--
-- PostgreSQL database dump
--

SET client_encoding = 'SQL_ASCII';
SET check_function_bodies = false;
SET client_min_messages = warning;

--
-- Name: SCHEMA public; Type: COMMENT; Schema: -; Owner: postgres
--

COMMENT ON SCHEMA public IS 'Standard public schema';


SET search_path = public, pg_catalog;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- Name: administrator; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE administrator (
    username character varying(50) NOT NULL,
    "password" character varying(10),
    name character varying(50),
    surname character varying(50),
    email character varying(100),
    gsm character varying(12)
);


ALTER TABLE public.administrator OWNER TO postgres;

--
-- Name: bayesblocked; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE bayesblocked (
    occurence integer,
    word character varying(200) NOT NULL
);


ALTER TABLE public.bayesblocked OWNER TO postgres;

--
-- Name: bayesunblocked; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE bayesunblocked (
    occurence integer,
    word character varying(200) NOT NULL
);


ALTER TABLE public.bayesunblocked OWNER TO postgres;

--
-- Name: blackurlgroup; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE blackurlgroup (
    urlgroup character varying(20) NOT NULL
);


ALTER TABLE public.blackurlgroup OWNER TO postgres;

--
-- Name: blackurllist; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE blackurllist (
    url character varying(150) NOT NULL,
    restrictionstart time without time zone,
    restrictionend time without time zone
);


ALTER TABLE public.blackurllist OWNER TO postgres;

--
-- Name: downloadexceed; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE downloadexceed (
    ip character(15) NOT NULL,
    date character(10) NOT NULL
);


ALTER TABLE public.downloadexceed OWNER TO postgres;

--
-- Name: extraurlforuser; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE extraurlforuser (
    userip character(15) NOT NULL,
    url character varying(150) NOT NULL
);


ALTER TABLE public.extraurlforuser OWNER TO postgres;

--
-- Name: extraurlgroupforuser; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE extraurlgroupforuser (
    userip character(15) NOT NULL,
    urlgroup character varying(20) NOT NULL
);


ALTER TABLE public.extraurlgroupforuser OWNER TO postgres;

--
-- Name: filteredcontent; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE filteredcontent (
    filterid serial NOT NULL,
    sourceip character(15) NOT NULL,
    destinationip character(15) NOT NULL,
    destinationurl character(150),
    firstday integer,
    firstmonth integer,
    firstyear integer,
    firsthour integer,
    firstminute integer,
    firstsecond integer
);


ALTER TABLE public.filteredcontent OWNER TO postgres;

--
-- Name: filteredcontent_filterid_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval(pg_catalog.pg_get_serial_sequence('filteredcontent', 'filterid'), 9, true);


--
-- Name: learntable; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE learntable (
    site_address character varying(255),
    site_spam_or_ham character varying(3)
);


ALTER TABLE public.learntable OWNER TO postgres;

--
-- Name: localuser; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE localuser (
    ip character(15) NOT NULL,
    name character varying(30) NOT NULL,
    permitted_download_size double precision,
    remaining_download_size double precision,
    email character varying(50),
    gsm character(11)
);


ALTER TABLE public.localuser OWNER TO postgres;

--
-- Name: localusergroup; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE localusergroup (
    usergroupname character varying(20) NOT NULL,
    permitteddownloadsize double precision
);


ALTER TABLE public.localusergroup OWNER TO postgres;

--
-- Name: log; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE log (
    id serial NOT NULL,
    username character varying(30),
    actiontype character varying(256),
    updatedfields character varying(256),
    tablename character varying(256),
    actionsql character varying(256),
    undosql character varying(256)
);


ALTER TABLE public.log OWNER TO postgres;

--
-- Name: log_id_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval(pg_catalog.pg_get_serial_sequence('log', 'id'), 232, true);


--
-- Name: networktrafficlog; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE networktrafficlog (
    communicationid serial NOT NULL,
    sourceip character(15) NOT NULL,
    destinationip character(15) NOT NULL,
    destinationurl character(150),
    sourceport character(10),
    destinationport character(10),
    packetsize double precision,
    firstday integer,
    firstmonth integer,
    firstyear integer,
    firsthour integer,
    firstminute integer,
    firstsecond integer,
    lastday integer,
    lastmonth integer,
    lastyear integer,
    lasthour integer,
    lastminute integer,
    lastsecond integer
);


ALTER TABLE public.networktrafficlog OWNER TO postgres;

--
-- Name: networktrafficlog_communicationid_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval(pg_catalog.pg_get_serial_sequence('networktrafficlog', 'communicationid'), 2347, true);


--
-- Name: restrictedurlgroupforusergroup; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE restrictedurlgroupforusergroup (
    usergroupname character varying(20) NOT NULL,
    urlgroup character varying(20) NOT NULL
);


ALTER TABLE public.restrictedurlgroupforusergroup OWNER TO postgres;

--
-- Name: urlingroup; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE urlingroup (
    url character varying(150) NOT NULL,
    urlgroup character varying(20) NOT NULL
);


ALTER TABLE public.urlingroup OWNER TO postgres;

--
-- Name: useringroup; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE useringroup (
    userip character(15) NOT NULL,
    usergroupname character varying(20) NOT NULL
);


ALTER TABLE public.useringroup OWNER TO postgres;

--
-- Name: whiteurllist; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE whiteurllist (
    url character varying(150) NOT NULL
);


ALTER TABLE public.whiteurllist OWNER TO postgres;

--
-- Data for Name: administrator; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY administrator (username, "password", name, surname, email, gsm) FROM stdin;
superadmin	123456	ayse	uzun	ayse@smartech	5364321561
\.


--
-- Data for Name: bayesblocked; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY bayesblocked (occurence, word) FROM stdin;
5	CUMFIESTA
7	SEXUAL
1	WARNINGWWW
2	KEEP
1	ENTIRE
1	DOMAIN
1	VOLUNTARY
1	RATING
1	LABELED
2	LABELING
1	SERVICES
2	ADDITION
1	COMPATIBLE
1	BUILT
1	EXPLANATION
1	ENABLE
1	BROWSER
1	FOUNDING
3	SAFELABELING
1	MOVEMENT
1	LABEL
2	THEMSELVES
1	COMPANIES
1	BROWSERS
1	CREATE
1	RELIABLE
1	EFFICIENT
1	ORIENTATED
2	IMAGES
3	SUCH
1	OFFENDS
2	CONTINUE
1	COMPLY
1	CONDITIONS
2	PERSONAL
1	EXPOSE
1	INALIENABLE
1	CONSENTING
1	NEITHER
1	OFFENSIVE
2	NOR
1	OBSCENE
2	DOES
2	VIOLATE
2	STANDARDS
1	SOLELY
1	FALSE
1	DISCLOSURES
3	RAMIFICATIONS
1	FURTHERMORE
1	AFFILIATES
1	ARISING
1	FRAUDULENT
1	ENTRY
1	SUBJECTING
2	MYSELF
2	ENTITY
2	EQUITABLE
2	INTEREST
2	JURISDICTION
1	DISPUTE
2	ARISE
1	CONSTITUTES
1	PORTION
1	DEEMED
1	UNENFORCEABLE
1	COMPETENT
1	AFFECT
1	ENFORCEABILITY
1	PORTIONS
3	PERFORMERS
1	CONSENTED
1	PHOTOGRAPHED
1	FILMED
1	SIGNED
1	RELEASE
1	PROOF
1	ENGAGE
1	CONSENSUAL
2	ENTERTAINMENT
1	ADULTREAD
1	USED
1	AIDS
2	PROVIDE
1	TESTED
1	TRANSMITTED
1	DISEASES
1	CHARGE
1	WITHIN
1	REASONABLE
1	AMOUNT
2	PERFORMANCE
1	ARRANGED
1	DISCUSSED
1	ADVANCE
1	FILMING
1	EFFORT
1	INSURE
1	HEALTH
1	SAFETY
1	ENSURE
1	PLEASANT
1	ENJOYABLE
1	EXPERIENCE
1	WITHOUT
1	ADO
1	AFFIRM
1	SWEAR
2	RECEIVING
1	FORM
1	CONSTITUTIONAL
1	WHOLLY
1	LIABLE
2	AGREE
1	DISAGREE
1	EXIT
1	RECORD
1	KEEPING
1	STATEMENT
1	TERMS
1	SPAM
1	PAYCOM
1	CANCEL
2	DIVXS
1	AVIS
1	MOVS
2	FEMALE
1	EJACULATION
1	CREAMPIE
8	0
114	272K
1	MATT
1	HEDGECOE
1	2002
1	KIT
4	SCRIPT
215	HTTP
1	JAVASCRIPTKIT
2	**********
1	CHANGES
1	LIVEWEB
1	CAMONLINE
3	80
3	SPEED
1	FADE
1	ALONE
5	GETELEMENTBYID
2	STORETEXT
1	GETREAD
1	ELEMENTBYID
2	HIGHLIGHT
4	HEX
1	ARRAY
3	00
6	28
1	3C
2	50
1	64
3	78
1	8C
1	A0
1	B4
1	C8
1	DC
1	F0
13	SEQ
8	FUNCTION
2	CHANGETEXT
3	RAINBOW
6	STYLE
2	CHANGE
23	6
16	5
106	3
30	2
2	STARTEFFECT
2	FLASH
1	SETINTERVAL
1	MEET
1	SOMEBODY
1	PROBLEM
1	NATIVE
3	TOWN
2	TONIGHT
1	ULTRA
1	VIAGRA
3	CATEGORIZED
3	LIST
1	PORNSTREAD
1	AR
8	17
3	56
6	UPDATE
240	APR
15	25
1	12AM
1	UPLOADED
1	SERIES
1	BRITTNEYS
1	PERVERSIONS
2	SPERMAHOLICS
1	352X272
40	2006
1	SCENE1
4	43
1	113MB
3	TRASHY
9	15
8	16
8	30
1	MINS
1	723
1	200
1	1000
1	ARCHIVED
2	CTRL
4	TOMORROW
63	24
3	55
3	HQ
1	WEST
3	32
13	SERVER
1	SERVREAD
1	ER
8	06
1	GROOM
1	OH
1	SCHOOOLGIRL
5	UPDATING
1	WIVES
1	SURPRIZE
1	TOPSHELF
7	VIP
5	DIVX
2	PLAY
1	MOST
2	QUESTIONS
1	PROBLEMS
3	CLICKING
3	40
5	SEC
1	TITLES
1	BEHAVIOR
1	FREAK
1	RIPE&READY
5	100
6	SILVIA
2	JILL
1	EXPOSED
1	MAFIOSO
2	PASSION
1	VENICE
1	DON
1	ADD
1	FAVORITES
1	TNX
3	MUFF
1	2005
1	106
1	SYNOPSIS
2	BITCHES
1	TWATS
1	THROW
1	STRAP
1	PRODUCER
1	ACID
2	RAIN
1	CHRISSY
1	SPARKS
1	JESSIE
1	ALEX
1	DELILAH
1	ISABELLA
1	CAMILLE
1	CHANDLER
1	XENA
18	DAILY
1	ARCHIVEURL
1	DVDARCHIVE
1	MOVDATE
17	DVD
1	MOVICOOURL
1	MOVCATEGORY
1	MOVSIZE
1	MOVTIME
1	NEED
1	ICOO
1	LOADER
1	UNCUT
27	PART
44	23
4	52
4	MARY
4	ANNE
9	8
2	0MB
2	SERIE
3	JEFF
1	HREAD
2	7
2	WORKING
1	PLACE
1	ORLEANS
1	RUNNING
1	THOUGHT
2	HOUSE
1	MIGHT
1	BRING
1	LEVITY
1	HAPPENING
1	SITS
1	SIDE
1	CAMPUS
6	WAS
1	HOPING
1	WOULD
1	COME
1	HOPPING
1	HOP
1	BOUNCE
1	PREPPING
1	MARDI
1	GRAS
1	PARTYING
3	GOT
3	NIGHT
2	EASY
1	ALASKAN
1	VACATION
33	02
7	27
1	RAGES
1	PILE
1	SLUMBER
11	PARTY
1	OUTSTANDING
1	CZECH
1	SANDRA
1	MARCO
2	ROUGH
1	MALAYSIAN
60	PORNSTAR
1	JAYNA
1	OSO
1	RECEIVES
1	SEMEN
1	STARLET
1	DANA
1	VESPOLI
3	BRANDY
1	HELLO
1	WELCOME
1	KIND
1	TELL
1	ACTUALLY
2	LOTS
1	THINGS
2	PEOPLE
1	UNEMPLOYED
1	SOCCER
2	DANCE
1	AROUND
2	FULLY
1	CLOTHED
1	REMOVING
2	SOCKS
1	CLAIMING
5	AM
1	LOLLIPOPS
1	PRETENDING
1	PREFER
1	PARKING
1	LOT
2	PICKUP
1	RANDOM
1	STRANGER
1	GROCERY
1	SHOPPING
6	GUYS
1	DONT
6	BELIEVE
2	VE
1	ALREADY
7	VIEWING
1	TRAILER
2	ABOUT
2	FEEL
1	ASK
1	MEMBERS
1	AREA
1	DIVULGE
1	WHATEVER
2	INFO
2	DESIRE
4	JOIN
1	DETAILS
1	ENOUGH
1	MUAH
1	PERSONALLY
1	GUARANTEE
1	WEBPAGE
1	EVER
1	SEEN
3	II
1	GEONA
5	36
2	45
1	DD
2	3SOME
1	411MB
4	GANGBANGED
1	205
1	LENGHT
8	19
17	03
3	BLIND
34	04
1	THORN
1	GAGGED
4	47
6	51
2	~3
2	5MB
1	MONICASWEET
57	22
2	SOUND
1	SPONSORS
1	WEEK
1	TIMES
2	POSTERS
20	PRESENTED
1	BRANDI
1	BRANDIS
1	COMMAND
1	ALWAYS
1	MASTERBATE
1	IDEA
1	CAMERAS
1	CAMERMAN
1	WATCHING
1	INVASION
1	LOUD
2	DURING
1	MONEY
1	TALKED
10	05
1	FUCKREAD
1	MR
2	CAMELTOE
1	ADVENTURE
1	SUSSANE
1	BALL
6	HONEYS
1	04READ
5	THAI
1	SCOTTISH
1	IRISH
1	ETC
1	FINE
1	PERSUASION
1	PREATY
1	PHILIPHINO
1	CHINEESE
1	MOVES
2	MEMBER
1	AREAS
6	ABOVE
1	BANGBROSNETWORK
2	CAFE
27	HOSTED
4	BUSTYCAFE
9	NET
1	JESSICA
1	JEWEL
3	ACCESS
61	NSGALLERIES
93	HOSTED1
10	NAA
1	NSAA43
1	NSAA45
1	NSAA44
1	NSAA49
1	NSAA48
1	NSAA42
1	NSAA47
1	NSAA41
1	NSAA46
1	NSAA50
1	CYTHEREA
10	CY
1	CYTHEREA057
1	CYTHEREA058
1	CYTHEREA059
1	CYTHEREA060
1	CYTHEREA061
1	CYTHEREA053
1	CYTHEREA052
1	CYTHEREA054
1	CYTHEREA055
1	CYTHEREA056
10	BUSTYMILLYGALS
1	HOTTUB
1	SOAPY
3	DREAM
5	BIKINIDREAM
1	VOY0015
1	VOY0016
1	EROMAXX
65	MAIN
2	TYPE
63	MAXXANDMORE
50	VIDEOEROMAXX
42	01
62	34592
50	EMX
6	07
4	08
4	09
23	20
1	3READ
1	4592
13	VIDEOMYFETISH
13	MF
1	MAYOR
32	ADDED
37	ACMEPORN
1	001
1	002
1	003
1	004
1	005
1	006
1	007
1	008
1	009
1	010
1	011
1	012
1	013
1	014
1	015
1	016
1	017
1	018
1	019
1	020
1	021
1	022
1	023
1	024
1	025
1	026
1	027
1	028
1	029
1	030
1	031
1	032
1	033
1	034
1	035
1	036
1	037
5	LL
1	15000GB
5	THEN
1	10000
1	DVDS
8	VIDS
1	XVID
2	MUCH
3	ARCHIVE
1	TITLE
8	SCENE
1	RUN
6	26
1	169
8	MB
1	RESOLUTION
2	480X360
1	PREMIUM
1	DESCRIPTION
2	FALLON
1	TEAMED
3	STEVE
2	HATCHER
1	MUTUAL
2	ACTIVITY
4	BETWEEN
1	MISSIONARY
1	REVERSE
1	SPOON
1	JERKS
1	ONTO
1	STARRING
2	DOWNLOADS
1	TAYLOR
1	COMPLETE
4	72
1	ANGELS
5	34
7	USE
2	BUTTON
5	9
2	1MB
1	YESREAD
1	TALORE
1	HOTTEST
1	BLONDEE
3	TOTAL
1	HANNAH
1	HARPER
1	CAR
4	DOWNLOADING
1	70
2	JENNA
1	HAZE
1	AURORA
1	SNOW
2	
4	38
3	BONUS
2	BREASTED
199	REPORT
1	SHARKA
40	TRADER
1	EXPERIENCED
1	RIDIN
1	EUROPEAN
1	KAROLINA
1	HELPING
1	HAND
1	BIGBOOBS
1	TENTACLE
1	SWEEREAD
1	THEART
4	CLUB
1	CUMLOAD
1	ASSES
1	BUS
2	SWEETIE
1	UNIT
1	BIGREAD
2	RIPPED
1	BALOONS
2	MPEGS
1	FOOTBALL
1	SPITS
1	MISTRESS
1	DISCIPLINES
1	KOWALSKY
1	CANDICE
1	VONN
2	SMASHED
1	PUMPING
1	CORINA
1	CURVES
1	KING
1	MOTHER
1	SMOKES
1	CIGARETTE
1	PUNISH
4	OUTDOORS
1	GIVE
1	FLOOR
1	BOBY
8	DOUBLE
3	33
2	INTENSE
1	DRUNKEN
4	COWGIRL
1	TOUGH
1	ANALIZED
1	DEEPLY
1	JANET
1	PERON
2	BRIANA
2	BANKS
3	35
1	BENT
1	LUCY
2	DEEPTHROATS
2	SELENA
1	SILVERS
3	FACIALED
1	PORREAD
1	NSTAR
1	LEWD
1	SIXTY
1	SLAM
1	TRINITY
1	HOWARD
1	FACIALIZED
3	37
1	WASHES
1	SWAP
1	REPORREAD
32	DOWNLOADABLE
1	ABUSED
1	TITFUCKED
1	CREAMED
1	EJACULATING
1	GETTIN
1	SPITING
1	MIKA
1	TANN
1	DEVOURS
1	JUGS
1	LICKED
1	SQUEEZED
1	SIPPED
1	STRAW
1	WORKPLACE
3	CUMMED
1	VIBRATED
1	SISTER
1	BROTHER
1	VIOLET
1	PERFORMING
2	HANDJOB
1	CHARMANE
4	42
1	CLITORIS
1	PLUNGED
6	TIED
1	MIYUKI
3	DP
1	TORY
1	AMORE
1	44
1	MAKING
1	DRY
1	CAT
1	PROBED
3	SQUIRTING
4	TOON
1	SPLASHED
1	EXAMINING
1	PUNISHED
1	DRENCHED
1	SPRAYED
1	46
2	FINGERED
1	JUGGED
1	BYSTY
1	EXTREMAL
1	JIZZED
2	48
1	TAMIKA
1	DESERT
1	LAPPING
1	PAINTED
4	THREE
3	ORGY
5	JIZZ
1	OUTFITS
1	TOYSEX
1	LILLY
1	LEAD
1	PISSING
1	TIFFANY
1	MILKS
2	LATINO
1	ADORABLE
1	COMING
1	SATIVA
1	ROSE
1	AREAD
1	PR
1	BRUTALLY
1	FIVE
3	53
1	SQUIRTS
2	JUICE
1	MATE
1	GROUPSEX
1	BIGGIE
2	54
1	SHEER
1	SPLIT
2	SYDNEY
1	CAPRI
1	SUCKER
1	DEEPTHROAT
1	MOVREAD
1	LEARN
1	LESBO
1	SABRINE
1	MAUI
2	57
2	AGED
1	MARRIED
1	MUTANT
1	REPREAD
1	ORT
1	SHOCK
1	UNTIL
1	EXPLOTION
2	58
1	ASKED
1	WHILE
1	PONDED
5	WHORE
1	HAMMERS
11	HAVE
3	HAD
3	BLOND
1	SENSUAL
1	MASTURBATE
1	NYLA
1	FIRSTTIME
1	TOUCH
2	CLOSE
2	62
1	DOUBLED
1	LUSTFUL
2	NINE
1	LADYS
1	63
1	WILDY
1	BEHIND
1	DARILING
3	ROD
1	BIGCOCK
1	HOES
1	MANGLED
1	MONSTERCOCK
1	SCHOOLTEACHER
4	PUBLIC
1	FRIGHTENED
1	65
1	FETTER
1	TITLICK
2	66
1	SATISFYING
1	GLAMOUR
1	ANASTASIA
1	CHRIST
12	TEENIE
1	PEES
1	ROCKS
2	67
2	68
2	ANOTHER
7	NEXT
1	CANDY
1	MANSON
3	61
7	LEFT
1	9MB&
1	00MINREAD
1	69
2	CLCK
1	NIKKY
15	PARTS
1	HI
1	AGAIN
2	CREW
1	DILAILA
1	NICOLA
1	IVY
1	KATIE
1	71
1	JOKES
1	ELENA
1	BERKOVA
1	ST
1	PETERSBURG
2	SHOULD
4	CLIPS
1	TRUST
1	MARGOAUTUMN_27_325
6	MPG
4	MIDDLE
1	ABOVE4
1	THEXMOVIE
1	TEAMWORK06
1	ABOVE7
1	MONICASWEET_01
1	ASSTRAFFIC_JACQUELINE07
1	ABOVE5
1	19YOUNG_36_19
1	ABOVE8
1	SEEFREEMOVIES
2	ALLNET
1	SERENA_SOUTH
1	ASS_2
1	44_GREH
2	BOTTOM
1	ABOVE6
1	ASSTRAFFIC_NIKKI04
1	ABOVE9
1	X3MOVIES
1	ELITE
1	FASHION
2	SUN
2	MARCH
7	MIN
1	278
2	AMY
2	73
1	FRI
1	248
2	TINA
1	PAMELA
1	CHASEY
4	SIRENS
1	74
1	PORNSTARKRYSTAL
1	STEAL
1	POV
1	92
1	BOOKMARKED
1	STUFF
2	SENSATIONS
20	NS
71	GALS
2	AVENA
1	LEE3
85	INDEX
85	PHP
89	ID
84	100617
1	ELLE7
2	TIA
1	TANAKA
1	TANAKA2
3	BOMB
6	JB
1	PIPER
1	ROXY5
1	FOUR
3	4F
2	MERRY
3	VS
4	MILLY
2	JAY
1	JAY2
1	SUE
1	DIAMOND
3	ANGEL
2	HUNGARIAN
31	NSHONEYS
10	HS
1	ADELA
1	SOAKING
11	HH
1	JENNIFER
3	STONE
2	MARKETA
1	BRYMOVA
2	NATASHA
1	QUAY
1	WINTER
1	SILVIE
1	THOMAS
1	CREAMS
2	STACY
4	SILVER
1	VERONIKA
1	HANAKOVA
1	GRASS
7	HONEY
1	JANA
1	KIANTY
1	MARCI
1	NOVA
3	BEFORE
1	PETRA
1	BENDOVA
1	STEFFI
1	OLA
1	LIL
3	CARMEN
1	PENA3
1	PENA4
1	VANESSA2
1	NSGALLERIESREAD
2	77
1	VANESSA3
1	INTERNAL
1	VIOLATIONS
2	IV
1	ELEN
1	ELLE
1	BROOK
5	PH
1	MIKO
3	LEE
1	SUSHI
1	SHELBY
4	BELLE
1	GLASSES
1	TERA
1	PATRICK
1	TRIPLE
1	TEAM
2	CHEST
4	HC
1	ARWYN
3	RENATA
1	POLKADOT
2	PHREAD
1	OTOS
1	REDBRA
1	LAPTOP
1	10061NEW
1	KELLY
1	WELLS3
2	LACIE
1	HEART
1	HEART2
3	LEAH
2	LUV
1	LUV2
2	LONI6
2	MELISSA
1	LAUREN3
2	NAUTICA
1	THORN4
3	VANESSA
1	CHRISTIE
1	CHRISTINA
1	NYOMI
1	ZEN
1	RENEE
1	RICHARDS
2	79
1	MALOVA
1	KATALIN
1	KIRALY
1	MILI
1	LAUNDRY
1	MAKES
1	MARLEY
1	OILED
1	DANINSKY
1	BUSTING
1	TABITHAS
1	TOYBOX
1	GALLERIESREAD
5	TTB
5	TABITHA
5	STERN
2	PUFFY
1	STRIPPER
1	VINYL
5	BUTT
1	DIVERS
2	BD
2	BLUE
1	LIZ
1	CLAUDIA
2	ENVY
1	SANCOVA
1	ROMANA
1	KUNOVA
1	BOOTS
2	SARAH
2	JANE
1	THIGH
2	WENDY
1	NAVRO
1	STAIRS
1	BREAD
1	USTY
1	MICHELLE
1	SUSAN
14	BIGTITS
1	SCREAMING
2	O
1	LONI7
1	BLAKE
1	81
2	MONICA
1	MAYHEM
1	MICRO
2	TANYA
1	DANIELLE
1	TERRI
1	BAR
1	GIOVANA
1	OILY
1	ZUZANNA
1	VOY0003
1	VOY0002
1	VOY0004
3	2D1C
1	KAT
1	KATHLEEN
1	KRUZ
1	LANE2
1	JAMES
1	ADULTFRIENDFINDER
1	TRISH
2	LETS
1	PEEK
8	TANK
1	SHORTS
2	LIVING
1	RACK
1	84
6	SLUTTY
1	PINCH
1	29
3	UNDRESSES
1	31
1	85
1	86
1	DOESN
1	39
1	CHARLOTTE
1	41
4	LIKED
5	CATEGORY
3	ACTS
3	AMAZING
1	ASSFUCKED
5	ASSHOLE
1	BABY
1	87
1	BALLED
1	BATH
1	BATHROOM
3	BEDROOM
1	BIMBO
1	BLASTED
2	88
1	BONED
1	BOSS
1	BOTTLE
2	BOUNCING
1	BOY
1	BRAT
1	CAUGHT
1	CHAIR
1	CHEATING
1	CHEER
1	CHERRY
1	COCKSUCKER
1	COOL
1	COP
2	89
1	DESK
1	DIPPING
1	DIVING
1	DOG
1	DOLL
2	DOOR
2	DOWN
4	DRESS
5	DRILLED
2	DRINKING
2	DUDE
3	E
1	ETHNIC
1	FANTASIES
2	90
1	FLASHER
1	FOREPLAY
1	FOURSOME
1	FOXY
1	FRENCH
7	G
2	GAL
2	GANGBANG
1	GARAGE
2	GARDEN
2	GERMAN
2	GIANT
1	GOBBLING
1	GRANNIES
2	GREAT
1	GYM
1	H
1	HAPPY
1	HOE
3	HOLE
1	HOOKER
1	HOSE
1	HUMPING
1	HUNGRY
2	INNOCENT
1	J
1	JUICY
1	JUMPING
1	KNOB
1	LAID
1	LEZ
1	M
2	MACHINE
1	MAD
1	MAID
1	MEAT
1	MEN
3	MESSY
1	MMF
2	MOM
5	MONSTER
2	NAILED
1	NYMPHO
1	OFFICE
1	ORGASM
3	OUTSIDE
1	PANTY
3	PARK
1	PATIENT
1	PICNIC
1	PIE
1	PIGTAIL
1	PISS
2	PLUGGED
1	POKED
1	POLE
2	POOL
1	POOLSIDE
1	POSER
1	PREGGO
1	PRICK
1	PRINCESS
1	Q
1	QUEEN
1	RAMMED
1	RAUNCHY
1	REAMED
1	RIDE
1	SREAD
2	94
3	SCREWED
1	SEA
1	SHARE
2	SHEMALE
2	SHIT
1	SHOWER
1	SIZZLING
1	SLAMMED
3	SLAVE
1	SLOPPY
1	SLURPING
2	SPERM
1	SPIT
1	SPY
1	SQUIRT
1	STICK
3	STIFF
2	STOCKING
4	STRAPON
2	95
2	STRONG
1	STUFFED
2	TALL
1	TASTING
2	TEASE
1	THICK
1	TOILET
1	TRAMP
1	TUB
1	TWAT
1	V
1	VIXEN
2	W
1	WATER
1	96
1	WICKED
12	Y
1	YACHT
1	ONLINE
1	GAMBLING
2	YES
5	CHOOSE
2	GAME
1	POKER
1	JACK
1	SLOT
1	ROULETTE
1	KENO
1	BINGO
3	DID
1	YA
1	MGP
1	WEBMASTERS
1	SECTION
5	AVI
1	JOINER
4	CODEC
1	MAIL
1	WEBMASTER
1	ICQ
1	143365208ALL
2	APPEARING
12	FREEPORNDIVXS
7	DOT
1	DOMAINS
1	RE
1	VIA
1	REMOVE
1	BUY
1	LICENSES
1	POST
5	OUR
2	OLDER
1	OFFENDED
1	QUESTION
2	REQUEST
1	DAMAGE
1	RESULT
1	LINKING
1	CAUSED
1	PLACING
1	LINREAD
2	99
1	KS
1	REMOVED
1	EARLIEST
1	POSSIBLE
1	MOMENT
1	SENDING
1	REMOVAL
3	WHICH
4	LAYERS
1	FLOATING
1	MENU
1	ROY
1	WHITTLE
2	JAVASCRIPT
1	FX
2	FEATURED
2	AVAILABLE
1	DYNAMICDRIVE
1	NOTICE
2	MUST
1	INTACT
2	FROMBOTTOM
3	FROMTOP
3	VERTICALPOS
2	JSFX_FLOATTOPDIV
2	STARTX
1	STARTYREAD
1	160
1	INDEXOF
1	NETSCAPE
10	D
2	ML
9	EL
2	SP
4	STARTY
3	PAGEYOFFSET
2	INNERHEIGHT
3	SCROLLTOP
2	CLIENTHEIGHT
1	RETURN
1	WINDOW
3	STAYTOPLEFT
4	PY
8	FTLOBJ
1	SETTIMEOUT
1	DIVSTAYTOPLEFT
1	POWERED
1	AUTOGALLERY
3	DONE
8	LOOKING
126	WWW
3	GIMMETEENS
3	CONTACTING
5	READING
2	CAMS
107	READ
35	1KBYTES
1	*READ
8	*
1	PARADISE
2	TONS
2	LOVERS
109	4
2	JERK
1	0169
3	PIXEL
1	0269
1	0369
1	0469
1	RULZ
1	05FREE
415	MOVIES
1	06FREE
1	07ALREADY
1	08FREE
1	09AMATEUR
1	DEDICATED
2	WON
7	T
2	FIND
4	MORE
1	ANYWHERE
5	WHAT
1	COULD
1	POSSIBLY
1	ACCESS12
1	CLUB13
1	DATABASE14
29	HENTAI
1	DATABASE15
1	NETWORK16
1	PERSIAN
1	KITTY17
1	WORLD
1	SEX18
1	THUMBZILLA19
1	HUN20
1	TGP
6	BOOKMARK
8	US
1	START
1	EN
2	DE
1	FR
1	SL
1	ES
1	TRAFFIC
1	TRADE
1	SUBMISSION
10	TODAY
2	SHOWREAD
1	SHOWWATCH
2	NATURALS
2	FIESTA
11	FIRST
1	MIKES
1	APARTMENTREAD
2	HUNTER
2	CAPTAIN
2	STABBIN
1	8TH
3	STREET
3	TRANNY
1	SURPRISE
1	BLOWJOBSWIVES
14	TOP
1	SHELF
1	MEGA
1	CRAVERS
1	VIPWE
2	TOGETHER
4	EURO
4	PARTIES
2	AUDITIONS
1	MIKE
1	BRAZILROUND
4	BROWN
1	CRUSH
2	DANGEROUS
2	DONGS
1	BACK
1	SEAT
1	BANGERSREAD
3	BANG
3	BOAT
1	GANG
1	SQUAD
1	CRAZYHER
1	SEEKERMY
1	SEARCH
2	CASH
1	BOOB
1	EXAM
1	SCAM
3	NATURAL
2	SPRING
1	BREAK
55	ANIME
1	AMATEURBLACK
2	CHEERLEADER
1	EXHIBITION
1	DILDOBALLOON
1	BONDAGEREAD
3	PAIN
1	STARS
1	INTERRACIALLATINA
1	GRANDMAS
3	THROAT
1	PREGNANTRUSSIAN
3	SHAVING
2	TINY
1	TRANSSEXUAL
1	UPSKIRT
2	MASTURBATES
1	TOYMOVIES
1	TATOO
1	RIDINGMOVREAD
2	IES
1	PORSHE
4	HAVING
2	AUDITIONMOVIES
5	HAMMERED
2	TEENMOVIES
1	DELISIOUS
1	TEASER
1	BATHMOVIES
1	JULIETTE
1	HARDCOREMOVIES
3	PUSSYMOVIES
1	SWETTY
5	DOGGY
2	STYLEMOVIES
7	TASTY
2	FUCKEDMOVIES
1	SNATCHMOVIES
2	JULIA
1	BACKMOVIES
8	WATCH
1	JODY
5	RIDING
1	ONEMOVIES
1	HARCORE
2	ACTIONMOVIES
1	MARTHA
2	TABLE
3	MASTURBATING
2	TEENY
2	HOTMOVIES
1	NAKEDMOVIES
2	MASTURBATEMOVIES
1	BADMOVIES
1	FINGERINGMOVIES
1	WETMOVIES
1	MANDY
1	BOOBSMOVIES
1	RANDI
1	BECOMING
1	PORNOSTARMOVIES
1	LATISHA
1	BEHINDMOVIES
4	DIRTY
12	NICE
1	RIDEMOVIES
1	BODYMOVIES
2	SYBIAN
1	EXPOSINGMOVIES
5	SWEETY
4	GIVES
1	SUCKMOVIES
1	DICKMOVIES
1	GEORGIA
1	ADAIR
1	SUCKINGMOVIES
1	SOLO
1	LEZZIES
1	ANOTHERREAD
1	VIBEMOVIES
1	NAUDIA
1	CLOTHESMOVIES
5	ALEXIS
1	TOPLESS
1	PANTSMOVIES
1	EXHIBITIONIST
1	PISSINGMOVIES
1	TAPES
2	RUBS
1	FAVORITE
1	BOOKMARKS
1	
1	DATING
3	FRIEND
1	FINDER
1	NETWORK
2	ESCORTS
1	GLASGOW
1	USA
18	MY
2	PENIS
1	BIGGER
1	VIG
1	RX
1	ENLARGEMENT
1	PILLS
2	PEEKSHOWS
1	COM
2	THOUSANDS
4	QUALITY
1	ZOEY
14	PUSSYPICTURES
4	DARK
4	POSINGPICTURES
1	NASTYREAD
1	BUTTPICTURES
7	BODYPICTURES
9	VERY
1	LAYING
4	BEDPICTURES
5	ROUND
1	BOOTYPICTURES
2	PERKY
8	TITSPICTURES
2	LEAN
4	TEENAGE
7	RIDES
2	COCKPICTURES
1	PINKPICTURES
2	TEENGIRL
2	LARGE
2	TEENAGER
1	ITPICTURES
2	JAMIE
2	BANDED
5	OVER
1	COUCHPICTURES
3	COED
1	ALEXA
3	JAPAN
2	CURLY
3	COVERED
1	CREAMPICTURES
1	LOVEL
7	BITCH
1	DROPS
1	THONGSPICTURES
4	BOOBSPICTURES
3	TEACHER
1	SPANKS
4	FUCKS
1	PUPILPICTURES
1	BLONDIE
1	SMELLING
1	THONGPICTURES
15	LOVELY
1	STYLEPICTURES
1	YOLANDA
2	PICSPICTURES
1	PUSSYCATPICTURES
1	SHOWERING
1	BOOTIEPICTURES
1	EVERYTHINGPICTURES
1	NAUGHTYPICTURES
1	MINI
1	SKIRTPICTURES
1	CASSANDRA
4	WEARING
3	UNDERWEARPICTURES
3	TWATPICTURES
1	FINGEREDPICTURES
3	CUTTIE
3	LISA
1	LOLLIPOP
2	MIRRORPICTURES
2	STRIPPINGPICTURES
2	LEGSPICTURES
3	NAKEDPICTURES
1	OUTFITPICTURES
1	TAWNEE
1	THONG
1	OFFPICTURES
1	AVY
1	FITNESS
1	CENTREPICTURES
1	TRANSPARENT
1	PORNCOLLEGE
1	FEST
1	XROTICA
1	TITTIESPICTURES
1	JEAN
3	CLOTHESPICTURES
1	TIGHTSPICTURES
2	GIPSY
1	SOFTCOREPICTURES
2	RUSSIA
1	PANTYHOSEPICTUREAD
1	RES
1	OUTDOORSPICTURES
3	KINKY
2	BANANAPICTURES
1	SLITPICTURES
1	POKERPICTURES
2	LACE
1	LINGERIEPICTURES
1	SEEMS
1	HORNYPICTURES
1	NURSEPICTURES
1	PANTIESPICTURES
2	SHY
3	STUDENT
1	NAUGHTYREAD
2	DILDOPICTURES
3	LOVES
1	EACHOTHERPICTURES
1	PUSSYREAD
4	FINGER
1	CLOSED
1	UPPICTURES
1	TEMPTING
1	RESTPICTURES
1	LOOK
1	PLAYINGPICTURES
1	VIBRATORPICTURESREAD
2	ENJOYS
1	VIBRATORPICTURES
1	MASTURBATESPICTURES
1	BEACHPICTURES
2	WAITING
4	SOFA
7	GINGER
1	PULLS
1	ASIDEPICTURES
2	PUTTING
2	HERREAD
1	MASTURBATINGPICTURES
1	ALLREDY
1	OVERPICTURES
1	OFFICEPREAD
1	ICTURES
1	YOUPICTURES
1	REDHEADED
1	NYMPHETTE
1	FILLING
1	TASY
3	LONG
1	CHOCOLATEVISITORS
1	28734LENA
13	&
1	ROCCOVISITORS
1	58729SUE
1	MUSTAFAVISITORS
1	32981LENA
1	FACIALVISITORS
1	57293DEEPTHROATREAD
1	VISITORS
1	30738
1	CATEGORIES
10	BABES
1	BALLOON
2	BANGBUS
14	BDSM
3	BEACH
1	BEARS
1	BIZARRE
3	BONDAGE
4	BOYS
3	BUKKAKE
1	CELEBS
2	CHEERLEADERS
1	CLOSEUPS
3	DRUNK
1	EXHIB
2	FIGHTING
2	FIST
2	FLASHERS
1	FREESITES
2	GANGBANGS
4	GAY
2	GRANNY
1	HOUSEWIVES
10	JAPANESE
5	LEGS
1	LIVESHOW
1	MAIDS
11	MILF
1	MOVIEREAD
1	AMATEURS
1	NON
1	NUDIST
4	NURSE
1	NYLON
6	OUTDOOR
3	PEE
2	PIERCING
4	PORNSTARS
1	SHAVEDREAD
3	SHEMALES
2	SPANKING
2	STUDS
1	SYLVIA
5	SAINT
1	TATTOO
2	TWINKS
1	UPSKIRTS
3	VOYEUR
23	VAR
8	R
4	ESCAPE
1	REFERRER
1	WH
1	LOCATION
8	BV
5	NAVIGATOR
1	APPVERSION
3	APPNAME
1	MICROSOFT
2	EXPLORER
2	POS
1	LASTINDEXOF
1	SUBSTRING
33	1
2	LENGTH
1	PARSEFLOAT
2	P
1	PLATFORM
1	SW
3	SCREEN
1	WIDTH
8	X
1	HEIGHT
1	SD
1	COLORDEPTH
1	SITEMAP
3	DOCTOR
2	ADVENTURES
5	DR
1	MEGAN
1	FAWLER
1	LANI
3	LANE
2	RACHEL
1	ZIMSKI
1	EVE
1	LAWRENCE
3	WORK
1	GEORGE
1	INTERN
6	HAS
2	BEEN
2	DOING
1	WRONG
7	HE
1	COMES
2	LATE
1	BREAKS
1	MESSES
1	IMPORTANT
1	DOCUMENTATION
3	WANTS
1	FIRE
1	HIM
1	DISCOVERS
8	CAN
1	THING
7	RIGHT
3	TOUR
3	MISS
1	RARE
2	OPPORTUNITY
3	EXCLUSIVE
1	BRUTALBLOWJOBS
228	COM
2	SUPER
1	SLAPPING
1	FISH
1	HOOKING
1	CHOKING
6	BEING
1	OBVIOUSLY
10	LIKES
1	CALLS
1	ENOUGH&QUOT
2	SOLDIERS
1	TROOPER
6	ELSE
3	ITAG
3	ITAG+
35	DOCUMENT
1	BGCOLOR
1	NULL
17	WRITE
17	CUMSHOT
2	EROTIC
3	BLOWJOBS
2	THUMBS
21	BLOWJOB
1	CHAT
1	SUCKERS
5	LOVE
9	SUCK
22	_
5	FACIAL
4	CUMSHOTS
2	MANY
2	FACIALS
3	STAY
7	INSIDE
1	FOREVER
6	AN
1	NATURE
5	COMMUNITY
2	HELD
6	RESPONSIBLE
4	ALSO
4	OWNER
1	ACTING
21	ANY
1	SEND
2	INFORMATION
3	RECEIVE
1	CONTINUING
2	FURTHER
1	MEANS
1	THUS
1	SERVICE
1	PROVIDER
8	WANT
2	CONTACT
3	FOLLOWING
2	RSAC
1	CYBERPATROL
1	SURFWATCH
1	WISH
1	PLAYGROUND
1	INSTANT
2	MEMBERSHIP
1	FISTING
13	STAR
3	INDIAN
4	ILLEGAL
2	CLIP
3	MPEG
2	CARTOON
49	DOWNLOAD
2	THUMBNAIL
9	VIDEO
2	MAJOR
27	SITE
37	MOVIE
1	GAUGE
3	SOFT
1	PASSWORD
1	CONNECTION
1	VINTAGE
1	FOTOS
20	RUSSIAN
1	SPEAR
12	DICK
3	PIC
1	LEGAL
1	HUSTLER
2	SLUTS
5	WAY
1	IMAGINABLE
3	INTENDED
4	ADULTS
3	CONTAINS
8	SEXUALLY
7	EXPLICIT
13	MATERIAL
4	LET
58	YOU
1	WHANT
5	REALLY
1	CLIC
1	110
1	000+
2	SOMETHING
1	EVERYONE
33	CLICK
36	HERE
17	SEE
1	CAMP
6	WARNING
4	UNDER
92	21
4	YEARS
8	AGE
26	OR
39	IF
7	VIEW
12	ADULT
1	WHERE
11	NOW
1	LOCATED
5	LEAVE
8	WE
1	FORCING
3	ACCEPT
23	FROM
2	CHOOSING
2	ENTERING
13	WEBSITE
3	UNDERSTAND
3	RESPONSIBILITY
19	YOUR
5	OWN
3	ACTIONS
2	RELEASING
1	OWNERS
16	PAGE
2	LIABILITY
2	SUPPORT
3	FILTERING
2	CONTROLS
3	INTERNET
6	THESE
4	PAGES
1	VIEWED
5	MINORS
7	AS
2	PARENT
3	HELP
1	PROTECT
2	CHILDREN
5	VISIT
2	LISTED
11	BELOW
2	INSTALL
1	COMPUTER
2	BLOCK
11	CONTENT
1	CYBER
1	PATROL
2	CYBERSITTER
3	SAFESURF
1	SURWATCH
10	ME
14	ENTER
2	L
40	I
5	N
2	K
36	S
1	LINKS1
1	LINK2
1	LINK3
1	LINK4
1	LINKS5
1	LINKS6
1	LINKS7
1	LINKS8
1	LINX9
1	FLINX
44	10
11	11
17	12
16	13
8	14
1	PORN1
4	TOTALLY
1	TRY
6	PICTURE
8	NO
2	STOP
45	LIVE
10	POSES
2	FANTASTIC
3	BUTTS
1	TABOO
3	BLONDES
2	DELICIOUS
1	GUM
3	WOMEN
1	DIGITAL
2	VAGINA
11	ACTION
13	PICTURES
1	TRULY
3	CUNT
7	SHOW
94	GALLERY
6	TOYS
1	INCREDIBLE
1	THINK
1	SEX&NBSP
4	EXTREME
8	BEST
2	RECORDS
1	REQUIRED
17	18
3	U
6	C
4	2257
2	ASSOCIATED
2	REGULATIONS
1	RESPECT
1	PHOTOGRAPHS
1	INCLUDED
1	HEREIN
1	KEPT
1	CUSTODIAN
1	PUBLISHER
1	HEREBY
1	CERTIFIES
2	COMMERCIAL
1	PURCHASERS
1	AFORESAID
9	MATERIALS
7	FULL
3	COMPLIANCE
2	REQUIREMENTS
1	PERSONS
1	DEPICTED
2	LEAST
1	PHOTOGRAPHY
1	BLOWING
1	LOADS
1	CENTERFOLD
2	HEAT
3	LATINAS
3	EMAIL
1	EROTICA
3	EXOTIC
2	REDHEADS
1	INTERNATIONAL
1	FANTASY&NBSP
2	TOONS
1	FORT
2	BOOTY
1	THRILLS
2	HIDDEN
2	EYES
9	JUST
2	LADIES
2	KISS
1	MIXED
1	FLAVOR
8	ORAL
1	ADDICTION
1	COPYRIGHT
1	2000
8	B
11	LINKS
8	PHOTOS
17	FUCK
77	A
5	LINK
10	TEXT
5	DECORATION
4	NONE
1	VISITED
1	ACTIVE
2	HOVER
1	UNDERLINE
1	TD
3	FONT
1	FAMILY
1	ARIAL
8	SIZE
1	10PT
1	WEIGHT
1	BOLD
3	F
7	COLOR
7	ONLY
84	XXX
91	PICS
87	ASIAN
4	BEAUTY
18	GETTING
8	HERSELF
27	OFF
1	FINGERS
1	COMPLETLY
23	NAKED
4	POSING
50	FOR
1	RATHER
1	SPICY
23	PHOTO
2	SESSION
29	REDHEAD
1	SHAPELY
159	TEEN
19	SHOWING
27	HARD
4	NIPPLES
21	GROUP
2	BANGING
91	BLONDE
36	HORNY
4	WIFE
1	SERVING
9	COCKS
129	THE
4	KITCHEN
76	GIRL
11	TAKES
13	PANTIES
1	SATISFIES
2	SHINY
14	CHICK
10	PANTYHOSE
48	GETS
55	BY
2	LOVER
54	BLACK
18	LINGERIE
6	SLIM
25	SHOWS
1	FIRM
21	ASS
57	SEXY
19	MATURE
2	LADY
14	STRIPS
3	OLD
60	PUSSY
2	PARTNER
2	SWAPPING
24	TWO
1	COUPLES
11	ONE
8	BED
11	DO
15	NOT
1	CARE
3	WHO
5	THEY
27	ARE
27	FUCKING
48	HARDCORE
2	STARVED
47	EBONY
12	LIKE
1	RABBITS
2	FEW
4	DIFFERENT
3	POSITIONS
4	WEBCAM
5	PETITE
34	AMATEUR
9	STRIPPING
8	WEB
30	CAM
5	PREGNANT
6	FINGERING
15	HUGE
1	MILKY
63	LESBIAN
3	CUTIES
25	SWEET
8	NASTY
6	THEIR
17	SHAVED
12	PUSSIES
7	UNIFORM
2	SHORT
2	HAIRED
6	SCHOOL
11	PLAYS
1	ORDINARY
10	TOUCHING
31	IT
1	BADLY
2	INTERRACIA
1	UNABLE
3	EVEN
1	HALF
202	OF
36	COCK
4	SHOT
28	CUM
56	ON
13	SUCKING
1	TIL
2	STICKY
3	LOAD
6	FACE
9	WILD
3	LEATHER
3	VEGGIE
1	INSERTION
58	BRUNETTE
1	SHOVES
1	VARIOUS
1	VEGETABLES
5	INTO
7	MODELS
3	WERE
4	BUT
1	WENT
2	BIT
6	CRAZY
1	ENDED
23	UP
1	HO
167	AND
2	HOTEL
4	ROOM
75	HOT
10	PINK
7	BIKINI
1	TAKE
1	ADVANGAGE
1	PLASTIC
1	THIN
109	HER
3	SMALL
14	WILL
7	MAKE
36	ALL
4	DICKS
19	PLAYING
17	YOUNG
9	CUTIE
3	VIRGIN
1	AMERICA
1	LOVING
8	WET
1	USA
1	THEMED
1	EXPOSING
3	FISHNET
6	STRIP
2	LUSTY
1	WHITES
1	BRA
1	MASTURBATION
5	HIGH
4	HEELS
5	STOCKINGS
2	DILDOING
5	COUCH
5	LATIN
35	BABE
15	SHE
2	LOOKS
7	PRETTY
6	GOOD
5	RED
3	TAKING
1	CLOTHES
3	SPREADING
3	SMOOTH
2	BEAVER
8	NAUGHTY
21	BUSTY
4	SCHOOLGIRL
8	BBW
7	FAT
4	HOUSEWIFE
3	CHUBBY
24	LESBIANS
3	PLUMP
6	EACH
14	OTHER
8	WOMAN
5	MALE
7	MODEL
10	HIS
9	TOYING
4	SNATCH
3	FILLS
1	PURPLE
2	VIBRATOR
1	RAW
12	DILDO
4	STUNNING
2	RUBBING
2	TRIMMED
3	READY
22	TO
12	BE
37	FUCKED
7	SPREADS
2	LIPS
1	HOPE
6	SOME
6	DEEP
1	PENETRATION
2	CHEAP
10	SLUT
1	DOESNT
1	SPEAK
2	ENGLISH
1	BUCKS
7	SUCKS
1	AMERICAN
2	PRO
52	THIS
42	IS
16	SO
48	CUTE
27	THAT
1	PROBABELY
1	SWEETER
1	THAN
2	CHOCOLATE
1	HAIRLESS
1	SCANDINAVIAN
6	LATINA
3	MASSIVE
4	SMOKING
1	FAG
3	MOUTH
4	GORGEOUS
13	BODY
25	GIRLS
1	HOTTIES
3	KISSING
15	LICKING
2	FFM
7	THREESOME
16	TEENS
20	GET
1	ALTERNATELY
9	BANGED
20	INTERRACIAL
33	ANAL
14	TIGHT
6	PENETRATED
1	FOOD
22	FETISH
1	MESSED
1	WHIPPED
3	CREAM
1	SANTAS
1	HELPERS
6	CHICKS
3	BARELY
2	SUFFICIENT
1	HOLIDAY
1	SUITS
3	EATING
1	LONELY
1	SUBSTITUTE
2	BOYFRIEND
1	GREEN
3	ELECTRIC
4	COUPLE
1	AWESOME
3	POUNDED
7	LICK
1	OTHERS
3	CLIT
4	SWALLOW
1	SWALLOWING
9	EVERY
7	LAST
1	DROP
3	AFTER
1	GIVING
2	HEAD
3	HUNK
9	GUY
21	PERFECT
1	MUSCULAR
3	WELL
1	HUNG
3	MAN
5	STUD
1	SEDUCING
2	FAIR
2	SIZED
4	FOOT
1	BARE
2	FEET
16	NUDE
2	TOES
5	LATEX
4	BATHING
5	SPANISH
1	JACUZZI
1	SHARING
3	ENJOY
45	AT
1	SAME
14	TIME
1	FRIENDS
5	COLLEGE
2	MEETING
1	TURNED
2	STEAMY
1	FUN
2	SEDUCTIVE
3	FATTY
4	SPREAD
3	TATOOED
86	BIG
6	HOTTIE
3	ALMOST
1	TORN
1	APART
1	BOYFRIENDS
3	TRIO
91	SEX
2	EVERYTHING
3	LUCKY
7	BEAUTIFUL
1	SUBTILE
6	PIERCED
2	COTTON
4	SKIRT
6	TIT
2	PUTS
2	MASSAGE
3	THEM
1	PRECISELY
4	SECRETARY
1	INTERVIEW
1	TRYING
8	NEW
2	JOB
1	POINTS
112	IN
1	LEGGY
10	WHITE
2	CORSET
2	THONGS
9	HAIRY
1	UNSHAVEN
1	PUBIC
1	HAIR
1	SATIN
1	ROBE
1	BARES
2	NEVER
47	TITS
1	NATURALLY
5	TITTED
3	USING
1	DILDOS
11	PLEASE
9	LITTLE
1	OVERWEIGHTED
1	LICKS
5	TITTIES
1	HAWAIAN
1	CLOTHING
3	TEASING
90	WITH
16	TOY
2	SKINNY
1	STUFFING
3	GLASS
2	ENJOYING
1	HANDSOME
2	KNOW
1	EXACTLY
5	HOW
2	GIRLFRIEND
8	BOOBS
6	CHECK
10	OUT
2	FRIENDLY
1	FILLED
5	FRESH
9	VIDEOS
3	DAY
44	PORN
10	SITES
2	GOES
1	BAD
8	REAL
3	HOME
1	MADE
143	FREE
111	GALLERIES
9	countOfBlockedSites
\.


--
-- Data for Name: bayesunblocked; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY bayesunblocked (occurence, word) FROM stdin;
8	JERSEY
1	RENEW
1	JOB
1	OPENINGS
1	EMPLOYEE
1	VOTE
1	CERTIFICATE
1	MVC
1	NUMBERS
1	RECORD
1	FLAG
10	NJ
1	INCOMETAXES
3	PUBLIC
1	RECORDS
1	REQUESTS
3	PROPERTY
5	TAX
1	RELIEF
2	VEHICLE
1	RENEWAL
1	SCHEDULE
1	TEST
1	DRIVER
1	ABSTRACT
2	TRAFFIC
2	PARKING
2	TICKET
1	NJDEP
1	TERM
1	HMO
1	SHOT
1	CLINICS
1	MORTGAGE
1	CALCULATOR
1	LICENSEE
2	LOTTERY
1	REG
1	TAXATION
2	FISHING
1	LICENSES
2	UNCLAIMED
2	UNEMPLOYMENT
1	CLAIM
2	HOUSING
1	RESOURCE
1	NJHRC
1	ASSET
1	AUCTION
1	SOCIAL
1	SAFETY
1	MOTOR
1	VEHICLES
1	Q
1	JUDICIARY
1	LEGISLATURE
1	MEGA
3	JACKPOT
1	TUESDAYREAD
3	$
1	LOTTO
1	MONDAYREAD
1	0READ
1	CASH
1	SUNDAYREAD
1	110
1	000READ
2	GOVTAG
3	IE
3	CHOOSEPIC
2	SKIER
2	POINT
2	PARK
2	SUSSEX
2	MYPIX
3	RANDOMNUM
2	INCLUDE_IMAGES
2	TRAVEL_THEME
2	LINKTAG
1	MYCAP
2	06
4	CORZINE
1	ANNOUNCES
1	PANEL
1	HUMAN
1	REFORM
1	SIGNS
1	LEGISLATION
1	ENHANCING
1	FISCAL
1	ACCOUNTABILITY
1	DISTRICTS
6	GOVERNOR
1	SPEECH
1	WATCH
1	SUGGESTION
3	BUDGET
1	26TH
1	SUPER
1	FESTIVAL
1	SATURDAY
1	SUNDAY
1	MUSEUM
1	FASCINATING
1	BRINGING
1	CHILDREN
1	TOGETHER
1	EXPERIENCE
1	OUTDOOR
1	BIOLOGY
1	ASTRONOMY
1	DEMONSTRATIONS
1	ADMISSION
1	DOWNLOADABLE
3	FORMS
1	DEPARTMENT
1	TREASURY
2	PRINTABLE
1	PAPERLESS
1	FILING
1	TIP
1	NJTAXATION
1	INAUGURAL
1	LOCATE
1	TOURISM
1	TOWN
1	THROUGHOUT
1	CONCERTS
1	FESTIVALS
1	CRAFT
2	SHOWS
1	BOATING
1	PET
1	NOTICE
1	STATEWIDE
1	Z
1	DEPARTMENTS
1	AGENCIES
1	1996
1	MAINTAINED
99	1KBYTES
8	
2	CORE
4	J2EE
2	J2ME
2	WIRELESS
6	PREVIEW
2	FEEL
2	DESTINATIONS
2	JFC
2	SWING
2	DEPLOYMENT
2	STRATEGIES
2	EFFECTIVE
2	JOSHUA
2	BLOCH
2	MUST
4	FRANCISCO
2	THOUSANDS
2	ADVOCATES
2	GLOBE
2	DESCEND
2	UPON
3	ANNUAL
2	LED
2	HANDS
2	LABS
2	PREVIEWS
2	ADVANCES
2	BOOTSTRAP
2	INTERFACES
2	DEFINITION
2	LEVERAGING
8	OSS
4	COMMON
2	JSR
2	DESIGN
2	SHARED
2	ENTITIES
2	INITIATIVE
2	J
2	FOCUSED
2	OPERATIONS
2	PROVIDERS
2	ARTICLE
2	PROVIDES
2	$100
2	OFF
2	OBTAIN
2	ENTERED
2	SWEEPSTAKES
2	JAMES
2	JONATHAN
2	SCHWARTZ
2	TIM
2	CRAMER
2	MONDAY
2	ARGENT
2	UNIVERISTY
4	BONUS
2	EVENING
2	EXPLORING
2	JSF
2	ATTENDING
2	FOUR
2	COURSES
6	DURING
6	WEBINAR
4	MIGRATING
4	SJSAS
6	LL
2	ABLE
2	POST
2	WEEK
4	TOOL
2	ANTICIPATED
2	MUSTANG
2	LAUNCHED
2	RESULT
2	UNPRECEDENTED
2	LEVELS
2	BETWEEN
2	ENGINEERS
2	REGISTERED
2	RESEARCHERS
4	MIGRATE
2	SPOTLIGHT
2	COLLECTS
2	WHITE
2	EASIER
2	DECIDE
4	BUTTON
2	ENSURE
2	RUNTIME
2	ENVIRONMENT
2	JRE
2	QUESTION
6	CONTACTING
6	READING
68	97K
27	CNN
3	BREAKING
19	&
1	CNNSITEWIDECURRDATE
1	CNN_GETCOOKIES
1	COOKIES
1	SPLIT
2	CNN_RETURNUSERNAME
1	UNDEFINED
1	FIRSTNAME
3	CNNADDCSI
1	CNNBREAKINGNEWSBANNER
3	ELEMENT
3	SSI
1	BREAKING_NEWS
1	BANNER
1	EXCLUDE
1	POLITICS
1	SPECIALS
1	SECTIONS
1	LAW
1	SPACE
1	EDT
1	2006READ
6	IRAN
4	SANCTIONS
1	MISTAKEIRANIAN
1	MAHMOUD
2	AHMADINEJAD
1	DISMISSED
1	POSSIBILITY
2	AGAINST
1	COUNTRY
1	SAID
2	HE
1	THOUGHT
1	UNLIKELY
1	COUNCIL
1	IMPOSE
1	ADDING
1	BELIEVES
3	MEMBER
1	RATIONAL
1	ENOUGH
1	MISTAKE
1	STORY
3	GALLERY
2	NUCLEAR
2	FACILITIES
1	ISRAELI
1	OFFICIAL
1	LIKENS
1	NUKE
1	THREAT
1	HITLER
1	SOCCER
1	STADIUMS
1	WOMEN
3	HITS
1	NEWSDIRECT
1	HEADQUARTERS
7	CNNAD_RENDERAD
1	HREAD
1	TTP
7	JS
7	NG
1	CNN_POSITION
1	306X60_LFT_ROLLUP
1	EXPLOSIONS
1	REPORTED
1	EGYPTIAN
1	RESORTNEPAL
1	KING
1	REINSTATE
1	PARLIAMENT
1	VIDEOJOB
1	ENDS
2	DEATH
1	IRAQISLAWYER
1	SEEKS
1	SLOW
2	9
1	CLIENTGOP
2	URGE
3	GAS
2	PRICE
2	GOUGING
1	PROBEANOTHER
3	SUSPECT
3	HOLLOWAY
1	FREEWITNESS
1	POSED
1	BASH
1	RISK
1	BACKFIREREAD
2	CYNTHIA
3	MCKINNEY
3	FOOL
2	REMARK
2	CAUGHT
1	TAPECNNMONEY
1	MONOPOLY
2	ROLLS
2	DICE
3	MILLION
2	BEES
1	FOOT
1	HIVE
1	HOUSESI
1	BONDS
1	MATCHING
1	AARON
1	HECK
1	TOM
1	CRUISE
1	DAUGHTER
2	VERY
2	SPIRITUAL
2	WITNESS
1	POSEDDEFENSE
1	DON
1	PLOTTER
1	MARTYRREAD
2	HOLE
1	HOMETWO
2	PLANES
2	COLLIDE
2	MIDAIR
2	KILLING
1	5MONOPOLY
1	LOOKPROSECUTORS
2	G
1	FREEDIRAN
6	PRESIDENT
1	SAYS
1	UNLIKELYCRUISE
3	BIRTH
2	SEINFELD
1	CURSEBODIES
1	SUNNIS
1	BAGHDADMOST
1	STORIES
1	REFERRING
2	HER
1	AIDE
1	WGCL
1	RENEE
1	STARZYK
7	REPORTS
1	UN
1	BEE
1	LIEVABLE
1	SIGHT
2	35
1	FLORIDIANS
1	STUNNED
2	MILLIONS
1	WSVN
1	SHARRON
1	MELTON
2	KILLED
2	SINKHOLE
2	54
5	MAN
1	MONIKA
1	DIAZ
1	KXTV
1	BIG
1	BASHING
3	49
1	33
1	BROOKE
1	ANDERSON
1	FILM
1	RELEASES
1	POKE
2	FUN
1	WATCHED
1	REMEMBERING
1	HOLOCAUST
2	40
1	36
1	KYUNG
1	LAH
1	LIBERATED
1	PRISONERS
1	NAZI
1	CONCENTRATION
1	WAR
1	II
1	APRI
1	CHARITY
1	NEEDS
1	38
1	BATTLE
1	REOPENING
1	ORLEANS
1	FAMED
1	KATRINA
1	SHUT
2	DOWN
1	SANJAY
1	GUPTA
1	MIND
1	BEATLE
1	FANS
1	03
1	PRODUCER
1	SEAREAD
1	39
1	NCE
1	JOHN
1	LENNON
1	SPIRIT
1	FEE
1	SIBILA
1	VARGAS
1	AP
2	BEARS
1	DECLINE
1	ARCTIC
1	ICE
1	THINS
1	MELTS
2	POLAR
1	DROWNING
1	JOE
1	JOHNS
1	41
2	ET
1	HYBRID
1	SO
1	CENTURYYOUR
1	MAILS
2	WORST
1	SONGS
1	EVREAD
1	42
1	ER
1	HOPES
1	SICK
1	BELUGA
1	GETS
1	PODCASTS
1	LISTEN
1	43
6	CNN_PAGETYPE
6	MAIN_POSITION
1	336X280_RGT_ROLLUP
4	CNNPIPELINEHEADERLINKS
1	46
4	HEADLINES
1	48
1	ARRIVAL
1	ARRIVES
1	LAS
1	VEGAS
1	VOLUNTEER
1	AWARD
2	GOP
1	FUND
1	RAISER
1	PRIEST
1	TRIED
1	MURDER
1	REV
1	GERALD
1	ROBINSON
1	ACCUSED
1	RITUALLY
1	MURDERING
4	NUN
1	STABBING
1	INVERTED
1	51
2	NAVAL
3	HOSPITAL
1	DEPA
2	SHIP
1	MERCY
1	DEPARTING
1	HUMANITARIAN
1	MISSION
1	SOUTHEAST
1	ASIA
1	52
1	88X31_SPON1_ROLLUP
1	CNNPIPELINEUPSELLLRGTEXT
9	FREEVIDCNTR
3	CNNPIPECONTAINER
3	SETOBJNAME
13	ADDCONTAINER
2	FREEVIDCNTR1
1	FREEVIDCNTR2
1	FREEVIDCNTR3
1	55
1	FREEVIDCNTR4
1	FREEVIDCNTR5
4	ZIPNODE
8	FREEVIDMPCNTR
2	FREEVIDMPCNTR1
1	FREEVIDMPCNTR2
1	FREEVIDMPCNTR3
1	FREEVIDMPCNTR4
13	PIPECTRL
2	PLINECNTR1
1	PLINECNTR2
2	PLINECNTR3
1	PLINECNTR4
1	SETREFRESHRATE
1	SETDATAURL
1	AUTO
1	PIPELINE_MP
1	MHTML
1	SETPARSINGFUNCTION
1	UPDATECONTENTS
1	SETTIMEOUT
1	REFRESH
1	30000
2	CNNMONEY
1	58
1	342
1	NAS
1	335
1	37
1	S&P
1	307
1	88
1	61
2	SYMBOL
4	LOOK
1	88X31_SPON2_ROLLUP
1	63
2	100
1	64
1	FORTUNE
1	RULE
2	MBA
2	CANDIDATES
1	DROOLCOUNTING
1	COMPANIES
1	SAY
2	THEY
1	SCHOOLED
1	CHARM
1	EW
1	CALLHOW
1	HUGH
1	GRANT
1	SWEETLY
1	AWKWARD
1	GENT
1	ARROGANT
1	CAD
1	65
1	PAGEVIDEOLOCAL
1	NORTHEAST
1	67
1	MIDWEST
1	SOUTHWEST
1	ALASKA
2	SCHOOL
3	BACK
1	ATTACK
1	SCARE
1	PAREAD
1	68
1	GEVIDEOCNN
2	TAPE
1	HUSSEIN
1	ATTACKS
1	CHERNOBYL
1	AGONY
1	FELT
2	YEARS
1	NATO
1	DARFUR
1	PEACEKEEPERS
1	PAGEVIDEOREAD
1	70
1	0FORTUNE
1	CLOUDY
1	FI
1	SKIES
1	FIGHT
1	MIDEAST
1	PEACE
1	PAGEREAD
1	71
1	VIDEOENTERTAINMENTWEEKLY
1	CURSE
1	COMMANDER
1	TROUBLE
1	PAGEVIDEOCARTOONSREAD
1	73
3	LEADERS
1	PROBE
1	PUSHES
1	REALISTIC
4	PAGEVIDEO
1	PROSECUTORS
1	FREED
1	POSEDREAD
1	74
1	PAGEVIDEOHEALTH
1	MEDPAGE
1	CDC
1	OBESITY
1	CAUSE
1	DIABETES
1	EPIDEMIC
1	PIGEONS
2	FLU
1	CONCERN
1	76
1	HAPPY
1	BIRTHDAY
1	SNUPPY
1	LAUNCH
1	NASA
1	SATELLITES
1	DELAYED
1	PAGEWEATHER
1	FORECAST
1	WARM
1	CRISP
1	NIGHTS
1	ATLANTIC
1	BOARDWALK
1	BESTREAD
1	77
1	GAINS
1	OVERSHADOWED
1	NORTH
1	POLE
2	STUDENTS
1	SI
1	TEXANS
1	UNDECIDED
1	79
2	NFL
1	STEALS
1	BARGAINS
1	PAST
1	OIL
2	COULD
1	SPOIL
1	PARTY
1	TOO
2	HOT
1	HANDLE
1	80
1	GIRLS
1	IRAQ
1	SCENE
1	TYRANNY
1	MASSES
1	RANKING
1	MASCOTS
1	SPREAD
1	82
1	ORTS
1	TRUTH
1	RUMORS
2	DRAFT
1	GOSSIP
1	NEWSSUBSCRIBE
1	RADHA
1	MITCHELL
1	SILENT
1	HILL
1	CONCERT
1	REVIEW
1	DAVID
1	GILMOUR
1	ROCKS
1	FLOYD
1	CLASSICSREAD
1	83
1	CUBAN
1	CIGARS
1	LIGHTING
1	LEGALLY
1	STARBUCKS
1	POPCORN
1	CNNENABLECL
2	HOSTNAME
1	ANYTHING
1	SOARING
1	INVESTIGATE
1	86
1	RISECELEBRITY
1	PARTYBUDDYS
1	HELPS
1	EVERYDAY
1	NIGHTLIFE
1	FUTUREIT
1	GRASP
1	87
1	CREATIONS
3	PHOTO
1	MARTIAN
1	WASTED
1	CUDDLY
1	PUPS
2	OFFBEAT
1	NEWSREAD
1	89
3	WEATHERBOX
1	SECT
1	STATICWEATHERBOX
1	DYN
4	DO
1	BELIEVE
1	PURSUING
1	PEACEFUL
1	REASONS
1	YES
1	90
2	RESULTS
1	120X90_RGT_ROLLUP
1	92
1	120X90_RGT2_ROLLUP
1	JAPANESE
1	KOREAN
1	TURKISH
1	HEADLINE
1	TRANSCREAD
1	93
1	RIPTS
1	95
2	
1	CABLE
1	LP
1	LLLP
1	WARNER
1	WHICH
3	GUIDELINES
1	EXTERNAL
1	ENDORSED
3	PAY
1	ARCHIVED
1	96
1	1X1_BOT_ROLLUP
1	98
6	DONE
2	CORPORATION
11	MICROSOFT
2	H
1	HP
1	MSVI_QLLC
1	MSVI_QLDIR
1	MSVI_QLHOST
1	895&&DOCUMENT
1	CLICK
5	HERE
1	JUMP
3	QUICK
3	RT
2	WI
1	I2
1	MS_MASTHEAD_10X7A_LTR
2	FAMILIES
5	WINDOWS
9	OFFICE
2	XBOX
1	MSN
1	WEBCASTS
2	COUNTRIES
1	REGIONS
1	WRT
2	ADHTML
3	WRITELN
1	RFT
1	EXPLORER
1	PLAYER
1	VISTA
1	2007
1	360
1	BASE
1	PACKS
1	SOLUTION
1	CENTERS
1	XP
1	CLIP
4	WORK
1	2003
1	EDITIONS
1	TEMPLATES
1	TRIAL
1	VOLUME
1	TECHNET
1	SQL
2	2005
1	SCRIPT
1	MSDN
1	SUBSCRIPTION
1	PATTERNS
1	JOURNALISTS
1	CORPORATE
1	CITIZENSHIP
4	M
1	PACIFIC
1	CAREERS
2	LEGAL
3	STATEMENT
1	WMGIF
1	MSNGIF
7	T1
3	T2
3	T3
3	T4
2	T5
3	T6
1	CC
5	'
3	YLP
6	GETTIME
2	PLINKS
1	OPENPLINK
1	PLINKLIST
1	_PLINKS
2	YG_COOKIE
10	N
7	C
13	INDEXOF
1	S+
1	LENGTH+2
4	SUBSTRING
1	ARGUMENTS
4	AL
3	COOKIE
1	N+
1	2&&A
1	EXPIRES
1	*1000
1	TOGMTSTRING
1	PATH
1	3&&A
1	4&&A
16	WWW
2	_YC
8	B
3	L
3	R
2	B+2
3	MATH
2	ROUND
1	1000
1	PARSEINT
2	32
1	%1021
1	LCK
1	FPPL
1	_PHPPL
1	REPLACE
1	HOSTNAME+LOCATION
5	MIN
4	WIDTH
1	760PX
1	47
1	5EM
3	LINK
3	COLOR
3	TEXT
3	DECORATION
1	VISITED
1	HOVER
1	UNDERLINE
1	SPACER
1	BLOCK
1	FORM
6	MARGIN
3	POSITION
2	RELATIVE
2	2PX
3	FONT
2	77%
2	VERDANA
1	65EM
7	PADDING
1	BOTTOM
1	LEFT
1	9EM
1	SSTOP
2	CLEAR
3	DL
2	5PX
1	6PX
2	60EM
1	*PADDING
1	DT
2	INLINE
1	WEIGHT
1	BOLD
1	4EM
1	DD
2	LI
2	02EM
1	7EM
1	*BACKGROUND
1	0EM
1	50%
1	3EM
3	AGT
1	NAVIGATOR
1	USERAGENT
1	TOLOWERCASE
1	16BIT
1	GEBID
2	O
4	GETELEMENTBYID
3	NSCREENWIDTH
4	SCREEN
2	TYPEOF
2	AVAILWIDTH
1	FALSE
1	BNARROW
2	FUNLD
2	IMG
3	IMAGE
2	SRC
1	GIF
1	ONUNLOAD
2	FINANCE
2	MUSIC
2	MESSENGER
2	IMAGES
7	VIDEO
2	AUDIO
4	LOCAL
1	VOICE
2	RATES
1	PHONE
1	CALLS
4	MAIL
2	STATUS
4	SIGN
1	360&#176
2	AUTOS
4	GAMES
1	GEOCITIES
4	HEALTH
1	HOROSCOPES
2	HOTJOBS
3	KIDS
4	MOBILE
3	MOVIES
1	PERSONALS
2	PHOTOS
3	REAL
1	ESTATE
4	SPORTS
3	TV
1	YELLOW
5	MTEXT
1	CHECKINPUT
4	TRA
9	P
4	VALUE
1	REMINPUT
2	FLIGHTS
1	HOTELS
1	VACATIONS
1	CRUISES
2	DEALS
1	GUIDES
1	MEMORIAL
1	GETAWAYS
1	STARTING
3	WAY
1	CREDIT
1	CANCUN
1	VACATION
3	PACKAGES
1	*INFO
1	TAXES
1	FEES
2	NK
1	RAND
1	FLOOR
1	LENGTH*MATH
3	RANDOM
2	MVAL
1	RAND%2
3	COUP
1	MIMG
4	MTOPURL
1	MURL
1	I1
2	YIMG
1	MNTL
1	TR
1	06Q2
1	IMG_SUM
4	JPG
2	HREF
2	PROMO
1	13243343
2	_YLC
1	X3ODMTFKYWFMAM5HBF9TAZI3MTYXNDKECG9ZAZKEC2VJA2ZWLXDLC3RTYW50BGUEC2XRA3N0YXRPYW
3	ELSE
1	RD
1	X3ODMTFKYWX0MGWWBF9TAZI3MTYXNDKECG9ZAZGEC2VJA2ZWLXDLC3RTYW50BGUEC2XRA3N0YXRPYW
1	119UU8ST5
1	**HTTP%3A
1	SUMMERTRAVEL
1	SELL
3	DOMAIN
2	LISTINGS
1	SBC
1	DSL
1	WEEKEND
1	VOTES
1	SOUL
1	SINGER
1	HICKS
1	CROWNED
1	TOYMAKER
1	SHELVES
2	PLANS
1	PUSSYCAT
1	DOLLS
1	MYSTERIES
1	UNRAVEL
1	SEASON
1	FINALE
1	CLIPS
1	KATHY
13	D
1	LOG
1	SEARCHING
5	BUZZ
1	OPRAH
1	MAINTAIN
1	PROPER
2	CARE
1	INSPIRED
1	PLUCK
2	BROW
6	EYEBROW
1	SEARCHES
1	THREADING
1	PIERCING
1	SHAPING
1	WAXING
3	ARTS
1	COMPUTERS
1	CULTURE
2	RECREATION
1	AUCTIONS
1	CALENDAR
1	CHAT
1	CLASSIFIEDS
1	GREETINGS
3	MEMBERS
1	TICKETS
1	VIDEOS
2	RADIO
1	ARTIST
1	INTERVIEWS
1	PEPSI
1	SMASH
9	HOUR
2	AMPM
5	TIME
1	STR
1	TZ
1	BEG
1	SSS*1000
1	JUN
1	JUL
1	AUG
1	SEP
1	OCT
1	NOV
1	DEC
3	MON
1	TUE
1	WED
1	FRI
1	SAT
1	GETHOURS
1	GETMINUTES
1	AM
1	GETDAY
1	GETMONTH
1	GETDATE
1	LAY
1	SKILLING
2	GUILTY
1	JURY
1	FINDS
2	EX
1	ENRON
1	EXECUTIVES
1	CONSPIRACY
1	BESIEGED
7	BUSH
1	BLAIR
1	ABBAS
1	HAMAS
1	REFERENDUM
1	HASTERT
1	DENIES
2	ROLE
2	SCANDAL
1	SOLDIERS
1	THAILAND
1	FLOOD
1	VICTIMS
2	IMMIGRATION
1	SEEN
1	BOOSTING
1	TENSION
1	CANON
2	STOP
2	MAKING
1	SINGLE
1	LENS
1	CAMERA
1	PROMOTER
1	IAN
1	COPELAND
3	DIES
2	57
2	DOW
1	5%
1	NASDAQ
1	7%
1	STOCK
1	QUOTES
2	STOCKS
3	WEATHER
2	ENTER
10	U
1	ZIP
4	SAVE
1	MARKETPLACE
2	CAMERAS
2	DIGITAL
1	COMPARE
2	PRICES
2	GAME
1	PLAY
1	MERCHANT
2	START
1	SELLING
1	SPEED
1	99
1	MONTH
1	MARKETING
2	SPONSORED
8	ADS
1	PUBLISHER
1	ARGENTINA
1	MEXICO
1	ITALY
1	SPANISH
1	BRAZIL
1	SUGGEST
3	COMPANY
1	INFO
2	ADVERTISE
1	IP
1	SF1
1	SCBG
2	OBJREF
1	STYLE
1	BACKGROUNDCOLOR
5	RETURN
2	CHANGE
1	SETTINGS
1	CONSULTING
1	DEMAND
2	MEDIUM
1	OFFERINGS
1	HARDWARE
1	FINANCING
1	LENOVO
2	OFFERS
1	WORKSTATIONS
1	PRINTERS
1	UPGRADES
1	ACCESSORIES
1	PARTS
1	CERTIFIED
1	EQUIPMENT
1	DRIVERS
1	TROUBLESHOOTING
2	PUBLICATIONS
1	WARRANTIES
1	MAINTENANCE
4	SHOPPING
1	CART
1	ORDERS
1	DELIVERY
1	INVOICES
1	PAYMENTS
1	CONTRACTS
1	INVENTORY
1	INDUSTRIES
1	AEROSPACE
1	DEFENSE
1	AUTOMOTIVE
1	BANKING
1	CHEMICALS
1	PETROLEUM
2	CONSUMER
1	ELECTRONICS
1	ENERGY
1	UTILITIES
1	FINANCIAL
2	MARKETS
1	HEALTHCARE
2	LIFE
1	INSURANCE
2	MEDIA
6	ENTERTAINMENT
1	RETAIL
1	TELECOMMUNICATIONS
7	TRAVEL
2	TRANSPORTATION
1	WHOLESALE
1	DISTRIBUTION
1	SETTRIGGERCLASS
3	LARGE
3	GOVERNMENT
2	ACCESSIBILITY
1	PRESS
1	ROOM
2	INVESTOR
2	RELATIONS
4	JOBS
2	RESEARCH
1	LENOVO*
4	WINDOW
1	SA_MESSAGE
1	AUDIENCE
2	IMPORT
1	URL
3	CSS
5	*
1	NS4
1	X
1	BGIMG
3	NONE
1	SKIP
3	UNITED
3	STATES
3	WORLDWIDE
1	ROLLNAMES
1	R_D
1	5320_S
1	TANGO_S
1	V490V890_S
2	STUNS
1	Q1
2	SALES
1	SPIKE
9	REGISTER
1	NETTALK
1	MAINFRAME
1	MIGRATION
1	CONTRARIAN
1	MINDS
1	GREAVES
1	EXPLORES
1	PERSONALITY
1	MAPPING
3	WIN
1	IPOD
7	I
2	LOVE
3	SHOP
4	SERVERS
1	X64
1	ULTRASPARC
1	IV+
1	GRID
5	VIEW
1	PROMOTIONS
3	CUSTOMERS
1	ADMINISTRATORS
1	INVESTORS
1	POWERED
1	MAP
8	SOLARIS
6	COMMUNITIES
4	STORE
9	JOIN
3	SDN
4	PROFILE
4	WHY
16	PRODUCTS
14	SE
13	EE
1	ME
3	CARD
3	XML
4	REFERENCE
3	SPECIFICATIONS
3	BLUEPRINTS
3	THEMES
8	TIPS
3	FORUMS
3	CHATS
7	NEWSLETTERS
3	BOOKS
3	AUTHORS
5	BLOGS
6	UPDATES
3	CERTIFICATION
3	QUIZZES
4	REGIONAL
80	SUN
1	HIGHLIGHTS
1	DOINGS
1	KEPT
1	000
1	PERCOLATING
1	CIRCLE
1	WON
1	DRAWINGS
1	INCOMING
3	T
1	SHIRT
1	DUCK
3	GOSLING
1	WOW
1	FACTOR
1	PRIMARY
3	INNOVATIONS
1	SCOTT
1	MCNEALY
1	PERSONAL
6	TOP
1	THINGS
1	CEO
2	MET
3	ROAD
1	CAR
1	RACING
2	CHALLENGE
2	WHERE
1	BUSY
1	CODING
2	SLOT
2	CARS
3	FAST
1	WITHOUT
1	CRASHING
2	REPORT
1	ROCK
1	STAR
2	GREG
2	MURRAY
1	INTERVIEW
1	SERVLET
1	SPECIFICATION
1	PREDICTS
1	RESURGENCE
1	ENVIRONMENTS
1	INSIGHTS
1	BLOGGERS
9	ARTICLES
1	ADVICE
1	NECESSARY
3	RICH
1	LET
4	NEXT
1	WIDE
1	FOUNDATION
3	GENERATION
15	STATE
2	ART
1	GROWING
1	CREATED
1	GROW
1	TREMENDOUS
3	MARKET
11	FIND
3	PC
1	OEM
5	PARTNERS
1	JAVABEANS
51	0
1	SCOOP
4	EJB
1	DIRECT
9	EXPERT
5	ENGINEER
2	DELIVERED
4	LIVE
7	JAVASERVER
7	FACES
1	HARNESS
4	POWER
7	COMPONENTS
1	DOJO
13	STUDIO
9	CREATOR
3	SNAP
4	VISUAL
3	PORTLETS
6	ACCESS
7	COURSE
5	DEVELOPING
3	SECURE
4	COMPONENT
3	CREATING
3	MECHANISMS
3	SERIES
6	ESB
6	JBI
3	LEVERAGE
3	IMPLEMENT
5	RIGHT
3	SIZED
6	INTEGRATION
17	J2SE
3	PRACTICAL
3	GUIDE
3	PROGRAMMERS
3	HUNDREDS
3	RECENTLY
1	EDUCATIONAL
1	INFORMATIVE
1	EVEN
1	NEVER
1	ATTENDED
1	PERSON
3	STILL
1	INTERACTION
3	WAYS
3	PICK
2	KNOWLEDGE
1	RELATIONSHIPS
11	NETBEANS
7	IDE
3	WSDP
13	SYSTEM
4	STAROFFICE
5	ASSISTANCE
5	ANSWERS
1	FINGERTIPS
3	LOW
5	DOWNLOAD
5	BETA
11	PLATFORM
4	MOBILITY
2	PACK
1	PROFILER
3	GLASSFISH
3	PROCESS
26	DOCUMENT
2	UNESCAPE
5	EMPLOYMENT
4	BUY
4	LICENSING
5	TRADEMARKS
4	1994
6	MICROSYSTEMS
3	UNLESS
3	OTHERWISE
3	LICENSED
3	MANUALS
3	HEREIN
6	SAMPLES
6	UNDER
4	LICENSE
4	FEEDS
3	PRINTMENUS
31	GOOGLE
6	NETWORK
17	HOME
1	ORGANIZATIONS
10	APIS
4	ADWORDS
18	API
3	BLOGGER
12	SDK
4	EARTH
4	KML
9	ENTERPRISE
11	HOMEPAGE
5	MAPS
2	SITEMAPS
3	XMPP
3	TOOLBAR
1	CLIENTS
1	AJAXSLT
1	COREDUMPER
1	EXPLORERCANVAS
1	GOOPY
1	GTAGS
1	KONGULO
1	LIBJINGLE
1	MMAIM
5	PERFORMANCE
1	GENERATOR
1	SPARSE
1	ENHANCE
1	EMBED
3	PAGES
5	DISPLAY
1	DYNAMIC
1	FRESH
7	CONTENT
1	WEBSITE
1	OPTIMIZE
2	COVERAGE
21	SEARCH
1	INDEX
4	TOOLKIT
10	AJAX
4	APPS
170	JAVA
1	REACH
4	CUSTOM
1	MODULES
2	PERSONALIZED
1	UI
1	INDEXING
1	QUERY
1	PLUG
1	INS
3	CREATE
6	CLIENT
1	BUTTONS
1	INTEGRATE
3	MANAGE
3	ACCOUNT
1	PROGRAMMATICALLY
19	WRITE
3	DATA
6	STANDARD
2	PROTOCOL
7	UPDATE
1	DELETE
1	POSTS
1	ATOM
1	FEDERATE
5	SUBSCRIBE
1	FRAPPR
4	AUTHOR
2	RISING
1	SLIDE
2	USGS
1	EARTHQUAKES
2	BLOG
1	BRET
1	TAYLOR
1	MANAGER
5	GWT
1	MAKES
2	WRITING
4	EASY
4	DEVELOP
1	DEBUG
10	TOOLS
1	CHOICE
3	WHEN
1	DEPLOY
1	PRODUCTION
1	COMPILER
1	TRANSLATES
1	BROWSER
1	COMPLIANT
3	JAVASCRIPT
2	FAVORITE
1	BUILT
1	RPC
1	INSTEAD
1	METHODS
1	PARSE
1	JSON
1	LITERALS
2	WRAP
3	THEM
1	OBJECTS
2	NEED
1	ANNOTATE
2	CLASSES
1	SEND
3	ACROSS
1	WIRE
1	AUTOMAGICALLY
1	HANDLES
1	SERIALIZATION
1	DESERIALIZATION
1	IMPRESSIVE
3	REALLY
1	YOURSELF
1	APPRECIATE
1	COOL
6	PRODUCT
22	JAVAONE
3	SURE
1	COME
3	TECH
2	LEAD
1	BRUCE
1	JOHNSON
6	HIS
1	TOMORROW
2	PM
3	MOSCONE
12	CENTER
1	GATEWAY
1	102
1	103
2	SOC
14	APPLICATION
1	EXTENDED
1	08
2	LESLIE
2	HAWTHORN
1	DECIDED
3	EXTEND
8	11
2	00
4	THOSE
1	YET
1	KEEP
5	COMING
1	BEGUN
1	IRC
1	SLASHNET
4	QUESTIONS
1	COVERED
5	FAQS
1	RUNNING
4	CTEMPLATE
3	JON
1	TROWBRIDGE
2	KEEPS
4	TODAY
4	IMPLEMENTING
1	POWERFUL
1	TEMPLATE
1	C++
1	EMPHASIZES
1	SEPARATING
1	LOGIC
1	PRESENTATION
2	ALREADY
1	SAME
1	FORMATS
1	RPMS
1	SOURCEFORGE
1	GIVE
1	HIRING
10	PRIVACY
3	POLICY
9	TERMS
20	US
10	countOfUnblockedSites
1	HYPERTEXT
1	PREPROCESSOR
19	DOWNLOADS
6	DOCUMENTATION
1	GETTING
10	HELP
4	MAILING
2	LISTS
2	REPORTING
1	BUGS
9	NET
10	SITES
10	LINKS
12	MY
1	EARCH
18	FUNCTION
12	LIST
3	MIRROR
3	ONLY
15	ONLINE
11	BUG
7	DATABASE
30	ALL
1	CHANGELOGS
11	JUST
1	PECL
3	TALKS
5	WHAT
66	IS
1	WIDELY
7	USED
3	PURPOSE
5	SCRIPTING
5	LANGUAGE
20	THAT
1	ESPECIALLY
1	SUITED
186	AND
10	CAN
25	BE
1	EMBEDDED
5	INTO
5	HTML
34	IF
33	ARE
3	WANT
29	GET
1	IDEA
205	OF
17	HOW
5	WORKS
10	TRY
1	INTRODUCTORY
8	TUTORIAL
4	AFTER
4	CHECK
7	OUT
1	MANUAL
1	EXAMPLE
3	ARCHIVE
8	OTHER
9	RESOURCES
18	AVAILABLE
11	SECTION
1	EVER
1	WONDERED
8	POPULAR
11	SEE
1	NETCRAFT
1	SURVEY
2	THANKS
165	TO
1	EASYDNS
1	DIRECTI
1	PAIR
1	EV1SERVERS
16	SERVER
3	CENTRAL
1	SPRY
1	VPS
2	HOSTING
1	EZ
10	SYSTEMS
1	HIT
1	OSU
1	LAB
1	EMINI
127	A
44	S
27	YAHOO
7	INC
4	APACHE
2	POSTGRESQL
6	ZEND
1	LINUXFUND
2	ORG
1	OSTG
1	SYNDICATION
42	YOU
1	GRAB
11	OUR
26	NEWS
15	AS
1	FEED
2	VIA
2	DAILY
1	DUMP
6	FILE
3	NAMED
4	RSS
107	2006
16	24
30	MAY
1	INVITES
3	PARTICIPATE
3	IDEAS
1	FELLOW
2	COLLEAGUES
21	COMMUNITY
2	CONCEPTS
1	CUTTING
1	EDGE
15	OR
36	YOUR
1	PARTICIPATION
25	WILL
9	MAKE
50	CONFERENCE
1	SUCCESS
4	TRACKS
9	INCLUDE
1	ARCHITECTING
1	BUILDING
10	SERVICE
5	BASED
31	APPLICATIONS
4	SOA
1	MASHUPS
15	DEVELOPMENT
2	PRACTICES
1	PIVOTAL
1	SKILLS
2	MANAGEMENT
1	OPERATING
39	BUSINESS
326	THE
1	SELECTION
1	COMMITTEE
2	CONSIDER
1	ABSTRACTS
2	SUBMITTED
67	ON
2	BEFORE
11	JUNE
3	30TH
1	NOTIFICATIONS
1	MADE
18	BY
1	AUGUST
4	1ST
5	COMPLETE
6	DETAILS
35	AT
23	DEVELOPER
1	ZONE
2	DB
9	16
2	ARCHITECT
1	MAGAZINE
5	PROUD
7	ANNOUNCE
9	THREE
3	PLUS
7	ONE
1	EXCLUSIVE
2	DEPTH
2	SEMINARS
3	DEDICATED
2	DRIVEN
21	SOFTWARE
51	THIS
5	TAKE
9	PLACE
1	SEPT
12	12
13	15
1	TORONTO
1	CANADA
1	SEPTEMBER
1	12TH
4	SET
1	ASIDE
1	GOT
2	UNIQUE
1	INSIGHT
15	HAVE
1	CONNECT
6	HIGH
3	END
1	DATASTORES
3	WANTS
1	HEAR
35	FROM
112	FOR
33	MORE
4	INFORMATION
2	PLEASE
3	VISIT
7	PAGE
2	SUBMIT
57	5
3	SPEAKER
2	PARIS
3	FORUM
10	17
1	AFUP
1	ASSOCIATION
1	FRANçAISE
1	DES
1	UTILISATEURS
5	DE
1	FRANCE
13	LOOKING
6	BEST
1	FRENCH
2	SPEAKING
10	WHO
3	SHARE
3	THEIR
1	KNOW
1	ENTHUSIASM
7	TWO
7	FEATURES
7	MOST
2	CASE
1	STUDIES
6	EXAMPLES
1	SUCCESSFUL
3	PROJECTS
10	DATE
6	LOCATION
1	SNHF
1	SOCIéTé
1	NATIONALE
1	THURSDAY
1	FRIDAY
2	9TH
2	10TH
2	NOVEMBER
6	NYPHPCON
1	ANNOUNCED
8	WE
3	PLEASED
1	KEYNOTE
8	PROGRAM
63	NEW
5	YORK
3	EXPO
3	TAKING
2	HISTORIC
2	YORKER
10	HOTEL
6	14
2	THERE
8	FULL
11	DAYS
12	SESSIONS
6	TUTORIALS
3	EXHIBITS
4	NETWORKING
7	ALSO
4	HOST
10	IBM
1	MASHUP
2	CONTEST
1	ORACLE
1	PHPFEST
3	SPECIAL
30	TRAINING
1	PACKAGE
3	FOCUSES
4	FEATURED
2	PARALLEL
2	STRATEGY
28	TECHNICAL
2	400
2	EXPECTED
4	ATTEND
7	INCLUDING
2	PROFESSIONALS
4	AROUND
10	WORLD
62	1
22	4
5	RELEASED
4	04
2	CRITICAL
6	ARRAY
2	HANDLING
4	WELL
2	FASTCGI
1	SAPI
14	BEEN
1	DISCOVERED
17	3
21	RELEASE
28	NOW
5	ADDRESS
1	THESE
4	ISSUES
3	ENCOURAGED
4	UPGRADE
2	SOON
4	POSSIBLE
4	FURTHER
33	ABOUT
6	FOUND
4	ANNOUNCEMENT
9	CHANGES
4	CHANGELOG
1	TARBALLS
2	WERE
11	UPDATED
1	PHAR
1	PREVIOUSLY
2	MISSING
3	01
7	TEAM
2	COMBINES
6	SMALL
4	NUMBER
4	FEATURE
2	ENHANCEMENTS
2	SIGNIFICANT
1	AMOUNT
5	FIXES
1	RESOLVES
9	SOME
5	KEY
1	DISALLOW
2	CERTAIN
1	CHARACTERS
14	SESSION
2	NAMES
1	BUFFER
1	OVERFLOW
6	INSIDE
1	WORDWRAP
1	PREVENT
1	JUMPS
1	PARENT
5	DIRECTORY
1	2ND
3	PARAMETER
1	TEMPNAM
1	ENFORCE
1	SAFE_MODE
11	SOURCE
1	COPY
3	CROSS
24	SITE
1	PHPINFO
1	OFFSET
4	LENGTH
1	VALIDATION
1	SUBSTR_COMPARE
1	HEAP
2	CORRUPTION
2	EXTENSION
4	WOULD
1	ALLOW
1	VARIABLE
1	SURVIVE
1	UNSET
1	CRASHES
1	DOM
2	SOAP
1	PDO
3	EXTENSIONS
2	UPGRADED
4	BUNDLED
1	PCRE
3	LIBRARY
4	VERSION
14	6
11	USE
27	VAR
1	KEYWORD
1	DECLARE
1	PROPERTIES
4	NO
1	LONGER
1	RAISES
1	DEPRECATION
1	E_STRICT
1	INTERFACE
5	WAS
2	COMPLETELY
1	REIMPLEMENTED
1	MULTITUDE
1	IMPROVEMENTS
1	SPL
1	SIMPLEXML
1	GD
1	CURL
1	REFLECTION
1	120
6	VARIOUS
22	CODE
1	PROPOSALS
2	BEING
2	ACCEPTED
1	QUALIFY
6	INTERESTED
4	WORKING
7	RELATED
9	PROJECT
8	SUMMER
1	APPLYING
1	LISTED
1	COUPLE
3	BUT
2	ENCOURAGE
1	PROPOSAL
1	ANY
3	PART
1	MATCH
2	MENTOR
4	PROVIDE
3	MUCH
12	SUPPORT
2	STARTED
152	READ
4	FAQ
1	THEN
1	GO
2	STEP
5	FROSCON
8	APR
2	FACULTY
3	COLLEGE
1	HIGHER
9	EDUCATION
6	BONN
2	RHEIN
2	SIEG
2	CELEBRATES
4	FIRST
1	COOPERATION
1	LUUSA
8	V
2	TAKES
3	24TH
3	25TH
4	GERMANY
15	OPEN
5	GROUPS
1	KöLN
2	DORTMUND
1	ORGANIZE
4	TRACK
4	BOTH
13	CALL
13	PAPERS
1	CURRENTLY
1	INTERESTING
7	TALK
1	HIGHLY
1	APPRECIATED
3	VIKINGER
7	HELD
1	SKIEN
2	NORWAY
1	FAMOUS
1	FOO
3	CAMP
1	BAR
4	PEOPLE
1	CHOOSE
4	PRESENT
1	MEANT
2	AFFORDABLE
4	REGISTRATION
12	20
1	EUROS
3	SIMPLE
1	FOOD
1	SLEEP
7	PROVIDED
1	MAJOR
1	EXPENSE
4	ATTENDEES
2	COST
1	TRAVELING
3	50
1	INVITATIONS
1	SENT
2	PEAR
1	CONTRIBUTORS
4	GENERAL
5	OPENS
8	INTERNATIONAL
1	5TH
1	8TH
1	2009
3	FRANKFURT
16	HAS
1	SIX
2	HOURS
1	POWERWORKSHOPS
7	MAIN
3	FOCUS
17	SECURITY
7	THROUGH
3	OWN
2	YEAR
22	DAY
1	BUSINESSES
1	UTILIZING
1	EVALUATING
1	21TH
2	TEK
2	02
2	MAR
1	ORLANDO
4	FLORIDA
16	APRIL
12	25
2	28
1	ROSTER
1	MANY
2	KNOWN
2	RASMUS
2	LERDORF
1	ROD
1	SMITH
1	ANDI
1	GUTMANS
3	VARIETY
5	TOPICS
2	HIGHLIGHT
1	SCALABILITY
1	ROBUSTNESS
2	FUTURE
6	QUEBEC
6	26
3	FEB
1	4TH
6	EDITION
5	MONTREAL
1	PLAZA
2	29TH
1	31ST
16	IT
32	2
1	ADDITIONAL
4	WORKSHOP
2	AMONG
2	SPEAKERS
15	EXPERTS
3	SUCH
1	ANDREI
1	ZMEIVSKI
2	DERICK
2	RETHANS
1	ILIA
1	ALSHANETSKY
1	DISTINCT
5	ADVANCED
5	TECHNIQUES
6	PROFESSIONAL
1	DATABASES
47	WITH
9	OVER
2	31
1	WORKSHOPS
1	QUéBEC
3	GREAT
1	OPPORTUNITY
7	LATEST
9	BUILD
1	QUALITY
4	STORAGE
15	SOLUTIONS
1	DB2
1	SQLITE
3	BIRD
1	PRICING
2	UNTIL
5	MARCH
1	3RD
17	LEARN
3	EXCITING
1	INVITE
1	EVERYONE
1	WHETHER
2	NON
13	AN
5	EARLY
3	DISCOUNT
2	BULGARIAN
11	19
6	JAN
3	THIRD
19	TECHNOLOGY
1	BULGARIA
11	CITY
1	SOFIA
1	WITHIN
1	ITS
2	FRAMEWORK
1	JULY
1	AREA
1	KEMPINSKI
1	ZOGRAFSKI
4	DISCUSS
1	TENDENCIES
1	DIRECTION
1	POPULARIZE
5	INTERNET
17	TECHNOLOGIES
1	SPHERES
31	SERVICES
2	RANGE
1	SUBJECTS
2	INCLUDES
5	LIKE
1	PERL
49	WEB
3	OTHERS
2	ST
2	AUGUSTIN
4	NEAR
3	ORGANIZED
1	COMMITED
1	AIMS
2	BECOME
1	RHINELAND
2	HOSTED
2	COMPUTER
6	SCIENCE
7	UNIVERSITY
2	APPLIED
2	SCIENCES
3	COLLABORATION
6	STUDENT
4	BODY
4	LINUX
1	UNIX
17	USER
125	IN
1	ORGANIZERS
8	ASK
2	SUBMISSION
1	BROAD
1	CONCERNING
1	DESIRED
1	PARTICULARLY
2	WELCOME
2	LANGUAGES
9	DESKTOP
1	ADMINISTRATION
2	NETWORKS
1	ASPECTS
5	INDUSTRY
3	CONTRIBUTIONS
1	ENGLISH
1	GERMAN
2	SHOULD
1	SUMMARIZE
1	INTENDED
1	CONCISELY
1	SUCCINCTLY
3	45
2	60
2	MINUTES
4	DEADLINE
3	15TH
4	UK
2	GOING
1	FEBRUARY
2	LONDON
33	GROUP
2	SOUTH
1	BANK
1	PAWEL
1	KOZLOWSKI
1	HARRY
1	FUECKS
1	CHRIS
1	KUNZ
1	MATT
1	ZANDSTRA
6	NOT
1	BAD
1	QUID
10	13
1	FEW
1	CORRECTS
1	REGRESSIONS
1	OCCURRED
14	HTTP
2	RESPONSE
2	SPLITTING
2	ADDRESSED
2	HEADER
1	XSS
1	PROBLEM
2	ERROR
2	FUNCTIONALITY
1	REMOVED
2	REGRESSION
1	SUB
4	REQUEST
10	FIXED
1	CURRENT
1	FUNCTIONS
4	30
1	FAIR
1	ADDRESSES
2	EXT
1	FORMAT
1	STRING
1	VULNERABILITY
1	MYSQLI
1	PROBLEMS
1	CONDITIONS
3	HASH
1	XMLWRITER
3	ADDED
1	ENABLED
1	DEFAULT
1	OCI8
2	85
2	UPCOMING
18	EVENTS
3	ADD
3	ARABIC
7	MEETING
3	MALAYSIA
2	MEET
19	UP
1	BEER
7	29
4	LONG
2	ISLAND
17	USERS
2	MUNICH
3	CONFERENCES
6	27
1	CAMINHOS
1	CERTIFICACAO
2	BRASIL
1	ALEFBRAIN
2	W
2	BOOTCAMP
2	USA
5	FORMATION
10	SAN
4	FRAN
4	LAMP
2	IIS
1	SDPHP
1	DIEGO
2	CA
1	HANNOVER
7	MEETUP
1	OMAHA
1	HOUSTON
1	BOSTON
1	MELBOURNE
2	WEST
1	PALM
1	BEACH
1	ATLANTA
1	MANCHESTER
1	EDPUG
1	EDINBURGH
1	SYDNEY
1	MEETINGS
1	UG
1	AUCKLAND
1	ORANGE
4	COUNTY
1	KLN
1	ENCUENTRO
4	EN
1	CCERES
1	CHINA
1	SW
1	PDXPHP
1	MONTHLY
6	7
1	IOWA
10	8
3	USERGROUP
1	APÃ©ROPHP
1	Ã 
1	LILLE
12	10
1	NANAIMO
1	BC
1	HAMBURG
2	DALLAS
1	DPUG
1	AUSTIN
1	OKC
1	WASH
1	DC
17	DEVELOPERS
1	TRIPUG
1	OINK
1	PUG
1	CINCINNATI
1	OHIO
1	UTAH
1	KANSAS
1	LOS
1	ANGELES
2	SIG
2	MIAMI
1	TWIN
1	CITIES
1	MADISON
7	21
1	BROWARD
166	PHP
1	CHICAGO
1	NASHVILLE
1	AZPHP
1	ANTONIO
7	23
1	STRASBOURG
1	JOURNEES
1	DU
1	LIBR
14	EVENT
1	WEBTECH
7	CURSO
1	AVANZADO
2	BILBAO
3	PROGRAMMING
10	USING
1	AHMEDABAD
3	SPAIN
1	MADRID
7	E
12	LEARNING
7	LINE
1	ACTIONSCRIPT
1	KASSEL
54	COM
1	DREAMWEAVER
1	MX
23	MYSQL
1	CONSTRUINDO
1	WEBSITES
4	EVERY
4	TUESDAY
3	CLASS
25	FREE
2	INTRO
1	PARA
1	EXPERTOS
16	Y
1	PHILIPPINES
1	GIEEN
1	CURSOS
3	22
1	SHOW
1	CREDITS
1	STATS
2	SITEMAP
12	CONTACT
3	ADVERTISING
8	COPYRIGHT
1	2001
4	RIGHTS
4	RESERVED
1	GENEROUSLY
5	LAST
2	THU
1	09
2	PDT
\.


--
-- Data for Name: blackurlgroup; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY blackurlgroup (urlgroup) FROM stdin;
\.


--
-- Data for Name: blackurllist; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY blackurllist (url, restrictionstart, restrictionend) FROM stdin;
\.


--
-- Data for Name: downloadexceed; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY downloadexceed (ip, date) FROM stdin;
\.


--
-- Data for Name: extraurlforuser; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY extraurlforuser (userip, url) FROM stdin;
\.


--
-- Data for Name: extraurlgroupforuser; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY extraurlgroupforuser (userip, urlgroup) FROM stdin;
\.


--
-- Data for Name: filteredcontent; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY filteredcontent (filterid, sourceip, destinationip, destinationurl, firstday, firstmonth, firstyear, firsthour, firstminute, firstsecond) FROM stdin;
3	144.122.71.208 	83.66.2.30     	ad.e-kolay.net                                                                                                                                        	28	5	2006	19	25	25
4	144.122.71.208 	213.243.16.188 	www.hurriyet.com.tr                                                                                                                                   	28	5	2006	19	25	42
5	144.122.71.208 	213.243.28.14  	213.243.28.14                                                                                                                                         	28	5	2006	19	40	35
6	144.122.71.208 	213.243.28.14  	213.243.28.14                                                                                                                                         	28	5	2006	19	51	22
7	144.122.71.208 	213.243.28.14  	213.243.28.14                                                                                                                                         	28	5	2006	19	53	2
8	144.122.71.208 	83.66.2.30     	ad.e-kolay.net                                                                                                                                        	28	5	2006	19	55	30
9	144.122.71.208 	83.66.2.30     	ad.e-kolay.net                                                                                                                                        	28	5	2006	19	58	36
\.


--
-- Data for Name: learntable; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY learntable (site_address, site_spam_or_ham) FROM stdin;
\.


--
-- Data for Name: localuser; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY localuser (ip, name, permitted_download_size, remaining_download_size, email, gsm) FROM stdin;
\.


--
-- Data for Name: localusergroup; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY localusergroup (usergroupname, permitteddownloadsize) FROM stdin;
\.


--
-- Data for Name: log; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY log (id, username, actiontype, updatedfields, tablename, actionsql, undosql) FROM stdin;
\.


--
-- Data for Name: networktrafficlog; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY networktrafficlog (communicationid, sourceip, destinationip, destinationurl, sourceport, destinationport, packetsize, firstday, firstmonth, firstyear, firsthour, firstminute, firstsecond, lastday, lastmonth, lastyear, lasthour, lastminute, lastsecond) FROM stdin;
\.


--
-- Data for Name: restrictedurlgroupforusergroup; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY restrictedurlgroupforusergroup (usergroupname, urlgroup) FROM stdin;
\.


--
-- Data for Name: urlingroup; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY urlingroup (url, urlgroup) FROM stdin;
\.


--
-- Data for Name: useringroup; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY useringroup (userip, usergroupname) FROM stdin;
\.


--
-- Data for Name: whiteurllist; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY whiteurllist (url) FROM stdin;
\.


--
-- Name: administrator_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY administrator
    ADD CONSTRAINT administrator_pkey PRIMARY KEY (username);


--
-- Name: bayesblocked_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY bayesblocked
    ADD CONSTRAINT bayesblocked_pkey PRIMARY KEY (word);


--
-- Name: bayesunblocked_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY bayesunblocked
    ADD CONSTRAINT bayesunblocked_pkey PRIMARY KEY (word);


--
-- Name: blackurlgroup_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY blackurlgroup
    ADD CONSTRAINT blackurlgroup_pkey PRIMARY KEY (urlgroup);


--
-- Name: blackurllist_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY blackurllist
    ADD CONSTRAINT blackurllist_pkey PRIMARY KEY (url);


--
-- Name: downloadexceed_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY downloadexceed
    ADD CONSTRAINT downloadexceed_pkey PRIMARY KEY (ip, date);


--
-- Name: extraurlforuser_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY extraurlforuser
    ADD CONSTRAINT extraurlforuser_pkey PRIMARY KEY (userip, url);


--
-- Name: extraurlgroupforuser_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY extraurlgroupforuser
    ADD CONSTRAINT extraurlgroupforuser_pkey PRIMARY KEY (userip, urlgroup);


--
-- Name: filteredcontent_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY filteredcontent
    ADD CONSTRAINT filteredcontent_pkey PRIMARY KEY (filterid);


--
-- Name: localuser_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY localuser
    ADD CONSTRAINT localuser_pkey PRIMARY KEY (ip);


--
-- Name: localusergroup_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY localusergroup
    ADD CONSTRAINT localusergroup_pkey PRIMARY KEY (usergroupname);


--
-- Name: log_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY log
    ADD CONSTRAINT log_pkey PRIMARY KEY (id);


--
-- Name: networktrafficlog_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY networktrafficlog
    ADD CONSTRAINT networktrafficlog_pkey PRIMARY KEY (communicationid);


--
-- Name: restrictedurlgroupforusergroup_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY restrictedurlgroupforusergroup
    ADD CONSTRAINT restrictedurlgroupforusergroup_pkey PRIMARY KEY (usergroupname, urlgroup);


--
-- Name: urlingroup_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY urlingroup
    ADD CONSTRAINT urlingroup_pkey PRIMARY KEY (url, urlgroup);


--
-- Name: useringroup_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY useringroup
    ADD CONSTRAINT useringroup_pkey PRIMARY KEY (userip, usergroupname);


--
-- Name: whiteurllist_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY whiteurllist
    ADD CONSTRAINT whiteurllist_pkey PRIMARY KEY (url);


--
-- Name: extraurlforuser_url_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY extraurlforuser
    ADD CONSTRAINT extraurlforuser_url_fkey FOREIGN KEY (url) REFERENCES blackurllist(url) ON DELETE CASCADE;


--
-- Name: extraurlforuser_userip_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY extraurlforuser
    ADD CONSTRAINT extraurlforuser_userip_fkey FOREIGN KEY (userip) REFERENCES localuser(ip) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: extraurlgroupforuser_urlgroup_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY extraurlgroupforuser
    ADD CONSTRAINT extraurlgroupforuser_urlgroup_fkey FOREIGN KEY (urlgroup) REFERENCES blackurlgroup(urlgroup) ON DELETE CASCADE;


--
-- Name: extraurlgroupforuser_userip_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY extraurlgroupforuser
    ADD CONSTRAINT extraurlgroupforuser_userip_fkey FOREIGN KEY (userip) REFERENCES localuser(ip) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: restrictedurlgroupforusergroup_urlgroup_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY restrictedurlgroupforusergroup
    ADD CONSTRAINT restrictedurlgroupforusergroup_urlgroup_fkey FOREIGN KEY (urlgroup) REFERENCES blackurlgroup(urlgroup) ON DELETE CASCADE;


--
-- Name: restrictedurlgroupforusergroup_usergroupname_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY restrictedurlgroupforusergroup
    ADD CONSTRAINT restrictedurlgroupforusergroup_usergroupname_fkey FOREIGN KEY (usergroupname) REFERENCES localusergroup(usergroupname) ON DELETE CASCADE;


--
-- Name: urlingroup_url_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY urlingroup
    ADD CONSTRAINT urlingroup_url_fkey FOREIGN KEY (url) REFERENCES blackurllist(url) ON DELETE CASCADE;


--
-- Name: urlingroup_urlgroup_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY urlingroup
    ADD CONSTRAINT urlingroup_urlgroup_fkey FOREIGN KEY (urlgroup) REFERENCES blackurlgroup(urlgroup) ON DELETE CASCADE;


--
-- Name: useringroup_usergroupname_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY useringroup
    ADD CONSTRAINT useringroup_usergroupname_fkey FOREIGN KEY (usergroupname) REFERENCES localusergroup(usergroupname) ON DELETE CASCADE;


--
-- Name: useringroup_userip_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY useringroup
    ADD CONSTRAINT useringroup_userip_fkey FOREIGN KEY (userip) REFERENCES localuser(ip) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: public; Type: ACL; Schema: -; Owner: postgres
--

REVOKE ALL ON SCHEMA public FROM PUBLIC;
REVOKE ALL ON SCHEMA public FROM postgres;
GRANT ALL ON SCHEMA public TO postgres;
GRANT ALL ON SCHEMA public TO PUBLIC;


--
-- PostgreSQL database dump complete
--

