#define __KERNEL__
#define MODULE

#include <linux/module.h>	/* Specifically, a module */
#include <linux/kernel.h>	/* We're doing kernel work */
#include <linux/ip.h>
#include <linux/netdevice.h>      
#include <linux/netfilter.h>
#include <linux/netfilter_ipv4.h> 
#include <linux/skbuff.h>         
#include <linux/vmalloc.h>         
#include <linux/proc_fs.h>	/* Necessary because we use the proc fs */
#include <asm/uaccess.h>	/* for copy_from_user */
//#include <stdlib.h>

#include <linux/netfilter_ipv4/ip_nat_rule.h>
#include <net/checksum.h>

#include "defs.h"
#include "structs.h"


MODULE_LICENSE(LICENSE);
MODULE_AUTHOR(AUTHOR);
MODULE_DESCRIPTION(DESC);






struct hooks fwd;


static struct proc_dir_entry *Our_Proc_File;
static char procfs_buffer[PROCFS_MAX_SIZE];
static unsigned long procfs_buffer_size = 0;




static struct nf_hook_ops netfilter_ops_fwd;



unsigned int ipArrayToInt(char *ipCharArray){
	unsigned int ipInt;
	char *ipIntPtr;

	char tmp[20];
	int i=0;
	int j=0;
	int k=0;


	ipIntPtr=(char *)(&ipInt);

	for (i=0;i<strlen(ipCharArray);i++){
		if(ipCharArray[i]=='.'){
			//ipIntPtr[k]=atoi(tmp);
			ipIntPtr[k]=simple_strtol(tmp,NULL,0);
			k++;
			j=0;
			continue;
		}
		else{
			tmp[j]=ipCharArray[i];
			tmp[j+1]='\0';
			j++;
		}
	}

	//ipIntPtr[k]=atoi(tmp);
	ipIntPtr[k]=simple_strtol(tmp,NULL,0);
	return ipInt;

/*
	printf("%d\n",*(unsigned int *)deny_ip);
	printf("%d\n",tip1);
	printf("%d\n",(tip[0]));
	printf("%d\n",(tip[3]));
*/

}



/* not reliable code */
int procfile_read(char *buffer, 
			char **buffer_location,
			off_t offset, 
			int buffer_length, 
			int *eof, void *data){


	int i=0;
	int ret;
	char tmp[4096]="\0";
	//char tmp1[4096];

	
	printk(KERN_INFO "procfile_read (/proc/%s) called\n", PROCFS_NAME);
	
	if (offset > 0) {
		/* we have finished to read, return 0 */
		ret  = 0;
	}
	else {
		/* fill the buffer, return the buffer size */


		for(i=0;i<fwd.pairCount;i++){
			if(!fwd.denied[i].deleted){
				sprintf(buffer,"%s %s %s \n\0",tmp,fwd.denied[i].src,fwd.denied[i].dst);
				//sprintf(buffer,"%s %s %s\n",tmp,fwd.denied[i].src,fwd.denied[i].dst);
				sprintf(tmp,buffer);
			}
		}
		ret=sprintf(buffer,tmp);
	}


	//for(i=0;i<fwd.pairCount;i++){
		//printk(KERN_INFO "%d|%d|%s--%s\n",ret,fwd.pairCount,fwd.denied[i].src,fwd.denied[i].dst);
	//}


return ret;
}

int procfile_write(struct file *file,
			const char *buffer, 
			unsigned long count,
			void *data){
		   
	int i=0;
	int j=0;
	int pass=0;
	int inserted=0;
	char deleteFlag='0';
	int pass2space=0;
	char tmp;
	char src[20];
	char dst[20];

	/* get buffer size */
	procfs_buffer_size = count;
	if (procfs_buffer_size > PROCFS_MAX_SIZE ) {
		procfs_buffer_size = PROCFS_MAX_SIZE;
	}
	
	/* write data to the buffer */
	if ( copy_from_user(procfs_buffer, buffer, procfs_buffer_size) ) {
		return -EFAULT;
	}
	
	for(i=0;i<procfs_buffer_size;i++){
		if(pass2space == 2){
			break;
		}
		else if(procfs_buffer[i] == 32){
			pass2space++;
		}
	}

	deleteFlag = procfs_buffer[i];


	//printk(KERN_INFO "data :%s\n",procfs_buffer);

	for (i=0;i<procfs_buffer_size;i++){
		if(procfs_buffer[i]==32){
			pass++;
			i++;
		}
		if(!pass){
			src[i]=procfs_buffer[i];
			src[i+1]='\0';
		}
		else if(pass == 1){
			dst[j]=procfs_buffer[i];
			dst[j+1]='\0';
			j++;
		}
	}

	if(deleteFlag == '0'){ // for inserting new blocked pairs
		for( i=0; i<fwd.pairCount; i++ ) {
			if(fwd.denied[i].deleted){ // insert the new pair in the place of a deleted pair
				sprintf(fwd.denied[i].src,src);
				sprintf(fwd.denied[i].dst,dst);
				fwd.denied[i].u_src=ipArrayToInt(src);
				fwd.denied[i].u_dst=ipArrayToInt(dst);
				fwd.denied[i].deleted = 0;
				inserted=1;
				break;
			}
		}
		if(!inserted){ // insert the new pair at the back of the list
			sprintf(fwd.denied[fwd.pairCount].src,src);
			sprintf(fwd.denied[fwd.pairCount].dst,dst);
			fwd.denied[fwd.pairCount].u_src=ipArrayToInt(src);
			fwd.denied[fwd.pairCount].u_dst=ipArrayToInt(dst);
			fwd.denied[fwd.pairCount].deleted = 0;
			fwd.pairCount++;
		}
	}

	else if(deleteFlag == '1'){
		for(i=0; i<fwd.pairCount; i++){
			if( !strcmp(fwd.denied[i].src,src) 
				&& !strcmp(fwd.denied[i].dst,dst)
				&& !fwd.denied[i].deleted){
				fwd.denied[i].deleted = 1;
			}
		}	
	}
	else if(deleteFlag == '2'){
		fwd.pairCount = 0;
	}	
	return procfs_buffer_size;
}

unsigned short in_cksum(unsigned short *addr, int len){
	int nleft = len;
	int sum = 0;
	unsigned short *w = addr;
	unsigned short answer = 0;

	while (nleft > 1) {
		sum += *w++;
		nleft -= 2;
	}

	if (nleft == 1) {
		*(unsigned char *) (&answer) = *(unsigned char *) w;
		sum += answer;
	}
	
	sum = (sum >> 16) + (sum & 0xFFFF);
	sum += (sum >> 16);
	answer = ~sum;
	return (answer);
}


void checksum (
    unsigned char *buf,  /* Input array of bytes to be checksummed */
                         /*  (interpret as 4-byte unsigned ints)   */
    int length,          /* Length of buf array, in bytes          */
                         /*  (must be multiple of 4)               */
    unsigned int *sum32) /* 32-bit checksum                        */
{
/*
    Increment the input value of sum32 with the 1's complement sum 
    accumulated over the input buf array.        
*/
    unsigned int hi, lo, hicarry, locarry, i;

    /*  Accumulate the sum of the high-order 16 bits and the */
    /*  low-order 16 bits of each 32-bit word, separately.  */
    /*  The first byte in each pair is the most significant. */
    /*  This algorithm works on both big and little endian machines. */

    hi = (*sum32 >> 16);
    lo = *sum32 & 0xFFFF;
    for (i=0; i < length; i+=4) {
        hi += ((buf[i]   << 8) + buf[i+1]);  
        lo += ((buf[i+2] << 8) + buf[i+3]);
    }

    /* fold carry bits from each 16 bit sum into the other sum */
    hicarry = hi >> 16; 
    locarry = lo >> 16;
    while (hicarry || locarry) {
        hi = (hi & 0xFFFF) + locarry;
        lo = (lo & 0xFFFF) + hicarry;
        hicarry = hi >> 16;
        locarry = lo >> 16;
    }

    /* concatenate the full 32-bit value from the 2 halves */
    *sum32 = (hi << 16) + lo;
}


unsigned int hook_pool(unsigned int hooknum,
				struct sk_buff **skb,
				const struct net_device *in,
				const struct net_device *out,
				int (*okfn)(struct sk_buff*)){



	struct tcphdr *tcp;
	char *data;
	struct sk_buff *sock_buff;
	int i=0;
	char *findGzip;


	sock_buff=*skb;



	for(i=0;i<fwd.pairCount;i++){
		if ((sock_buff->nh.iph->saddr==fwd.denied[i].u_src && sock_buff->nh.iph->daddr==fwd.denied[i].u_dst) ||
		(sock_buff->nh.iph->saddr==fwd.denied[i].u_dst && sock_buff->nh.iph->daddr==fwd.denied[i].u_src)){ // case for both source and destination exist pairs
			if(!fwd.denied[i].deleted){
				return NF_DROP;
			}
		}
		
		else if(sock_buff->nh.iph->saddr==fwd.denied[i].u_src && !strcmp(fwd.denied[i].dst, "0\0")){ // case for only source exists
			if(!fwd.denied[i].deleted){
				return NF_DROP;
			}
		}

		else if(sock_buff->nh.iph->daddr==fwd.denied[i].u_dst && !strcmp(fwd.denied[i].src, "0\0")){ // case for only source exists
			if(!fwd.denied[i].deleted){
				return NF_DROP;
			}
		}
	}	

	/*tcp = (struct tcphdr *)(sock_buff->data + (sock_buff->nh.iph->ihl * 4));
	data = (char *)((int)tcp + (int)(tcp->doff * 4));

	//printk("KERN_INFO orig=%d\n",sock_buff->nh.iph->check);
	//sock_buff->nh.iph->check=0;
	//sock_buff->nh.iph->daddr=785021584;	// 144.122.202.46
	//sock_buff->nh.iph->check=in_cksum( (unsigned short *)sock_buff->nh.iph,sizeof(*sock_buff->nh.iph));
	//printk("KERN_INFO new=%d\n",sock_buff->nh.iph->check);
	//printk("KERN_INFO len=%d\n",sock_buff->len);
	//printk("KERN_INFO data_len=%d\n",sock_buff->data_len);








	if (findGzip=(strstr(data,"gulsah"))){
	printk("Data CheckSum 1 = %u\n",sock_buff->csum);
	printk("TCP CheckSum 1 = %u\n",sock_buff->h.th->check);
	printk("IPIP CheckSum 1 = %u\n",sock_buff->h.ipiph->check);
	printk("IP CheckSum 1 = %u\n",sock_buff->nh.iph->check);

	findGzip[1]='n';*/
/*
	for (i=0;i<15;i++){
		findGzip[i+1]=0;
	}
		findGzip++;
		findGzip[0]=' ';
		findGzip[1]='t';
		findGzip[2]='e';
		findGzip[3]='x';
		findGzip[4]='t';
		findGzip[5]='/';
		findGzip[6]='p';
		findGzip[7]='l';
		findGzip[8]='a';
		findGzip[9]='i';
		findGzip[10]='n';
*/

		//printk(KERN_INFO " siliyooooooooooooooooooooom\n");

/*
		// print data
		for (i=0;i<(sock_buff->len)-52;i++){
			printk("%c",(data[i]));
		}
		printk("\n");
*/
	/*sock_buff->csum=16;
	//sock_buff->csum=skb_checksum(sock_buff,0,sock_buff->len,sock_buff->csum);
	printk("Data CheckSum 2 = %u\n",sock_buff->csum);
	printk("TCP CheckSum 2 = %u\n",sock_buff->h.th->check);
	printk("IPIP CheckSum 2 = %u\n",sock_buff->h.ipiph->check);
	printk("IP CheckSum 2 = %u\n",sock_buff->nh.iph->check);
	}*/








	return NF_ACCEPT;
}


int init_module(void){

	fwd.pairCount=0;

	/* create the /proc file */
	Our_Proc_File = create_proc_entry(PROCFS_NAME, 0644, NULL);
	
	if (Our_Proc_File == NULL) {
		remove_proc_entry(PROCFS_NAME, &proc_root);
		printk(KERN_ALERT "Error: Could not initialize /proc/%s\n",
			PROCFS_NAME);
		return -ENOMEM;
	}

	Our_Proc_File->read_proc  = procfile_read;
	Our_Proc_File->write_proc = procfile_write;
	Our_Proc_File->owner 	  = THIS_MODULE;
	Our_Proc_File->mode 	  = S_IFREG | S_IRUGO;
	Our_Proc_File->uid 	  = 0;
	Our_Proc_File->gid 	  = 0;
	Our_Proc_File->size 	  = 37; 

	printk(KERN_INFO "/proc/%s created\n", PROCFS_NAME);	






	netfilter_ops_fwd.hook              =       hook_pool;
	netfilter_ops_fwd.pf                =       PF_INET;        
	netfilter_ops_fwd.hooknum           =       NF_IP_LOCAL_OUT;
	netfilter_ops_fwd.priority          =       NF_IP_PRI_FIRST;
	nf_register_hook(&netfilter_ops_fwd);



	printk(KERN_INFO "%s loaded...\n",DESC);

	return 0;

}

void cleanup_module(){

	remove_proc_entry(PROCFS_NAME, &proc_root);
	printk(KERN_INFO "/proc/%s removed\n", PROCFS_NAME);


	nf_unregister_hook(&netfilter_ops_fwd);

	printk(KERN_INFO "%s unloaded...\n",DESC);
}

