#include <stdio.h>
#include <netdb.h> /* for gethostbyname function */
#include <string.h>
#include "defs.h"
#include "structs.h"


#ifdef	PROCFS_NAME
#define PROCF_NAME	"/proc/"PROCFS_NAME
#endif

struct src_dst_pair srcdstPair; 
struct hostent *hent_src;
struct hostent *hent_dst;
struct hostent *hent;
struct in_addr a;

int readProcFile(void){

	FILE *procf;
	char line[TINYBUFSIZE];

	if ((procf=fopen(PROCF_NAME,"r"))==NULL){
		printf("Can not open procfile %s\n",PROCF_NAME);
		exit(1);
	}

	while(fgets(line,TINYBUFSIZE,procf)){
		printf("%s",line);
	}

	fclose(procf);


return 0;
}

int writeProcFile(char *src, char *dst, int deleteFlag){

	FILE *procf;
	char *procWriteStr;
	procWriteStr = (char *) malloc(256);

	if ((procf=fopen(PROCF_NAME,"w"))==NULL){
		printf("Can not open procfile %s\n",PROCF_NAME);
		exit(1);
	}

	sprintf(procWriteStr,"%s %s %d\0\n",src,dst,deleteFlag);
	fputs(procWriteStr,procf);
	fclose(procf);

return 0;
}

int main(int argc, char **argv){
	
int i;
int stringSize;

srcdstPair.srcIndex = 0;
srcdstPair.dstIndex = 0;
srcdstPair.src[0] = '\0';
srcdstPair.dst[0] = '\0';


if ( !strcmp(argv[1],"-A") || !strcmp(argv[1], "-D")){ 	// for inserting new blocking rules -A
			   				// for deleting existing rules -D


/* for getting the indices of source and destination */

	for(i = argc - 1; i > 0; i--){
		if( !(strcmp(argv[i],"-s")) /*|| !(strcmp(argv[i],"-S"))*/ ){
			srcdstPair.srcIndex = i + 1; 
		}
		else if( !(strcmp(argv[i],"-d")) /*|| !(strcmp(argv[i],"-D"))*/ ){
			srcdstPair.dstIndex = i + 1; 
		}

	}


/*** after getting the indices set the variables in the structure ***/
	//hent_src = NULL;
	//hent_dst = NULL;

	if(srcdstPair.srcIndex != 0){
		strcpy(srcdstPair.src, argv[srcdstPair.srcIndex]);
		if(srcdstPair.src[0] < '0' || srcdstPair.src[0] > '9'){
			hent_src = gethostbyname(srcdstPair.src);
		}
	}

	if(srcdstPair.dstIndex != 0){
		strcpy(srcdstPair.dst, argv[srcdstPair.dstIndex]);
		if(srcdstPair.dst[0] < '0' || srcdstPair.dst[0] > '9'){
			hent_dst = gethostbyname(srcdstPair.dst);
		}
	}


/* writes the procfile */

	//printf("hent_src: %s\n",hent_src->h_name);
	//printf("hent_dst: %s\n",hent_dst->h_name);

	if(srcdstPair.srcIndex != 0 && srcdstPair.dstIndex != 0){ // both source and destination exists in the argument list of main
		if(hent_src){// source is given in url form        
			while (*hent_src -> h_addr_list){
				bcopy(*hent_src -> h_addr_list++, (char *) &a, sizeof(a));
	    			strcpy(srcdstPair.src, (const char *)inet_ntoa(a));
				if(!strcmp(argv[1],"-A")){
					writeProcFile(srcdstPair.src,srcdstPair.dst,0);
				}
				else if(!strcmp(argv[1],"-D")){
					writeProcFile(srcdstPair.src,srcdstPair.dst,1);
				}
        		}
		}

		else if(hent_dst){// destination is given in url form        
			while (*hent_dst -> h_addr_list){
				bcopy(*hent_dst -> h_addr_list++, (char *) &a, sizeof(a));
	    			strcpy(srcdstPair.dst, (const char *)inet_ntoa(a));
				if(!strcmp(argv[1],"-A")){
					writeProcFile(srcdstPair.src,srcdstPair.dst,0);
				}
				else if(!strcmp(argv[1],"-D")){
					writeProcFile(srcdstPair.src,srcdstPair.dst,1);
				}
        		}
		}

		else{// both source and destination is in ip form
				if(!strcmp(argv[1],"-A")){
					writeProcFile(srcdstPair.src,srcdstPair.dst,0);
				}
				else if(!strcmp(argv[1],"-D")){
					writeProcFile(srcdstPair.src,srcdstPair.dst,1);
				}
		}
	}

	else if(srcdstPair.srcIndex != 0){//only source is provided in the argument list
		if(hent_src){// source is given in url form        
			while (*hent_src -> h_addr_list){
				bcopy(*hent_src -> h_addr_list++, (char *) &a, sizeof(a));
	    			strcpy(srcdstPair.src, (const char *)inet_ntoa(a));
				if(!strcmp(argv[1],"-A")){
					writeProcFile(srcdstPair.src,"0\0",0);
				}
				if(!strcmp(argv[1],"-D")){
					writeProcFile(srcdstPair.src,"0\0",1);
				}
        		}
		
		}
		else{// only source provided in ip form
			if(!strcmp(argv[1],"-A")){
				writeProcFile(srcdstPair.src,"0\0",0);
			}
			if(!strcmp(argv[1],"-D")){
				writeProcFile(srcdstPair.src,"0\0",1);
			}
		}
	}

	else if(srcdstPair.dstIndex != 0){//only destination is provided in the argument list
		if(hent_dst){// destination is given in url form        
			while (*hent_dst -> h_addr_list){
				bcopy(*hent_dst -> h_addr_list++, (char *) &a, sizeof(a));
	    			strcpy(srcdstPair.dst, (const char *)inet_ntoa(a));
				if(!strcmp(argv[1],"-A")){
					writeProcFile("0\0",srcdstPair.dst,0);
				}
				if(!strcmp(argv[1],"-D")){
					writeProcFile("0\0",srcdstPair.dst,1);
				}
        		}
		}
		else{
			if(!strcmp(argv[1],"-A")){
				writeProcFile("0\0",srcdstPair.dst,0);
			}
			if(!strcmp(argv[1],"-D")){
				writeProcFile("0\0",srcdstPair.dst,1);
			}
		}
	}

}
else if( !strcmp(argv[1], "-L") ){ // for listing the rules in the table
	readProcFile();	
}

else if( !strcmp(argv[1], "-F")){ // for flushing all of the rules
	writeProcFile("0\0", "0\0", 2);
}

return 0;
}
