#include "BayesianFilter.h"
#include <vector>
#include <string>
#include <iostream>

using namespace std;

BayesianFilter::BayesianFilter() { }

void BayesianFilter::Tokenize(const string& str,
                      vector<string>& tokens,
                      const string& delimiters = " \t\n.?,!/)({}[]@|;\"<>")
{
    // Skip delimiters at beginning.
    string::size_type lastPos = str.find_first_not_of(delimiters, 0);
    // Find first "non-delimiter".
    string::size_type pos     = str.find_first_of(delimiters, lastPos);

    while (string::npos != pos || string::npos != lastPos)
    {
        // Found a token, add it to the vector.
        tokens.push_back(str.substr(lastPos, pos - lastPos));
        // Skip delimiters.  Note the "not_of"
        lastPos = str.find_first_not_of(delimiters, pos);
        // Find next "non-delimiter"
        pos = str.find_first_of(delimiters, lastPos);
    }
}



void BayesianFilter::parseContent(string htmlText){
	vector<string> tokens;
	Tokenize(htmlText,tokens); 
	bool tokenExists;
	
	for(int i=0;i<tokens.size();i++)
	{	
		//tokens[i] = 
		tokens[i] = string(tokens[i], tokens[i].find_first_not_of(" \t\n.?,!/)({}[]@|;\"<>"), tokens[i].find_last_not_of(" \t\n.?,!/)({}[]@|;\"<>") + 1);
		//cout<<tokens[i]<<endl;
		tokenExists = false;
		for(int j=0;j<bayesianLearn.size();j++)
		{		
			if(bayesianLearn.at(j).word == tokens[i])
			{
				bayesianLearn.at(j).spamFrequency++;
				tokenExists = true;
			}
		}

		if(tokenExists == false)
		{
			occurence newToken(tokens[i]);
			newToken.spamFrequency = 1;
			bayesianLearn.push_back(newToken);
		}
	
	}


		for(int j=0;j<bayesianLearn.size();j++)
		{		
			cout << "Word:\t" << bayesianLearn.at(j).word << endl << "Occurence:\t" << bayesianLearn.at(j).spamFrequency << endl << endl;
		}

	
}

		
