
#include "BinaryHeap.h"
#include <iostream>

using namespace std;


        /**
         * Construct the binary heap.
         * capacity is the capacity of the binary heap.
         */
        //template <class Comparable>
        //BinaryHeap<Comparable>::BinaryHeap()
	BinaryHeap::BinaryHeap()
        {
		currentSize = 0;
        }

        /**
         * Insert item x into the priority queue, maintaining heap order.
         * Duplicates are allowed.
         * Throw Overflow if container is full.
         */
        //template <class Comparable>
        //int BinaryHeap<Comparable>::getSize()
	int BinaryHeap::getSize()
        {
		return currentSize;
	}

        //template <class Comparable>
        //void BinaryHeap<Comparable>::insert( const Comparable & x )
	void BinaryHeap::insert( const string & x )
        {
		//cout << "a token " << x << endl;
            if( isFull( ) )
	    {	
		//cout << "Token heap is full!" << endl;
		return;
	    }
		
	    //cout << currentSize;
                // Percolate up
		bool flag = false;
            int hole = ++currentSize;
            for( ; hole > 1 /*&& x < array[ hole / 2 ]*/; hole /= 2 )
            {
		//cout << "hole " << hole;
		return;
		if(x < array.at(hole / 2 ))
			array[ hole ] = array[ hole / 2 ];
		else if (x == array[ hole / 2 ])
		{
			//cout << x << " is already in the heap" << endl;
			flag = true;
			break;
		}
		else if (x > array[ hole / 2 ])
			break;
	    }
		if(! flag)
		        array[ hole ] = x;


        }

        /**
         * Find the smallest item in the priority queue.
         * Return the smallest item, or throw Underflow if empty.
         */
//        template <class Comparable>
//        const Comparable & BinaryHeap<Comparable>::findMin( ) const
        const string & BinaryHeap::findMin( ) const
        {
            if( isEmpty( ) )
	    {
		//cout << "Heap is empty!";
		//donmemeli...
	    }
            return array[ 1 ];
        }

        /**
         * Remove the smallest item from the priority queue.
         * Throw Underflow if empty.
         */
        //template <class Comparable>
        //void BinaryHeap<Comparable>::deleteMin( )
	void BinaryHeap::deleteMin( )
        {
            if( isEmpty( ) )
	    {
		//cout << "Heap is empty!";
		//donmemeli...
	    }

            array[ 1 ] = array[ currentSize-- ];
            percolateDown( 1 );
        }

        /**
         * Remove the smallest item from the priority queue
         * and place it in minItem. Throw Underflow if empty.
         */
        //template <class Comparable>
        //void BinaryHeap<Comparable>::deleteMin( Comparable & minItem )
	void BinaryHeap::deleteMin( string & minItem )
        {
            if( isEmpty( ) )
	    {
		//cout << "Heap is empty!";
		//donmemeli...
	    }

            minItem = array[ 1 ];
            array[ 1 ] = array[ currentSize-- ];
            percolateDown( 1 );
        }

        /**
         * Establish heap order property from an arbitrary
         * arrangement of items. Runs in linear time.
         */
        //template <class Comparable>
        //void BinaryHeap<Comparable>::buildHeap( )
	void BinaryHeap::buildHeap( )
        {
            for( int i = currentSize / 2; i > 0; i-- )
                percolateDown( i );
        }

        /**
         * Test if the priority queue is logically empty.
         * Return true if empty, false otherwise.
         */
        //template <class Comparable>
        //bool BinaryHeap<Comparable>::isEmpty( ) const
	bool BinaryHeap::isEmpty( ) const
        {
            return currentSize == 0;
        }

        /**
         * Test if the priority queue is logically full.
         * Return true if full, false otherwise.
         */
        //template <class Comparable>
        //bool BinaryHeap<Comparable>::isFull( ) const
	bool BinaryHeap::isFull( ) const
        {
            return currentSize == array.size( ) - 1;
        }

        /**
         * Make the priority queue logically empty.
         */
        //template <class Comparable>
        //void BinaryHeap<Comparable>::makeEmpty( )
	void BinaryHeap::makeEmpty( )
        {
            currentSize = 0;
        }

        /**
         * Internal method to percolate down in the heap.
         * hole is the index at which the percolate begins.
         */
        //template <class Comparable>
        //void BinaryHeap<Comparable>::percolateDown( int hole )
	void BinaryHeap::percolateDown( int hole )
        {
/* 1*/      int child;
/* 2*/      string tmp = array[ hole ];

/* 3*/      for( ; hole * 2 <= currentSize; hole = child )
            {
/* 4*/          child = hole * 2;
/* 5*/          if( child != currentSize && array[ child + 1 ] < array[ child ] )
/* 6*/              child++;
/* 7*/          if( array[ child ] < tmp )
/* 8*/              array[ hole ] = array[ child ];
                else
/* 9*/              break;
            }
/*10*/      array[ hole ] = tmp;
        }

