#ifndef BINARY_HEAP_H_
#define BINARY_HEAP_H_

#include <vector>
#include <iostream>

using namespace std;

//      #include "dsexceptions.h"
      
        // BinaryHeap class
        //
        // CONSTRUCTION: with an optional capacity (that defaults to 100)
        //
        // ******************PUBLIC OPERATIONS*********************
        // void insert( x )       --> Insert x
        // deleteMin( minItem )   --> Remove (and optionally return) smallest item
        // Comparable findMin( )  --> Return smallest item
        // bool isEmpty( )        --> Return true if empty; else false
        // bool isFull( )         --> Return true if full; else false
        // void makeEmpty( )      --> Remove all items
        // ******************ERRORS********************************
        // Throws Underflow and Overflow as warranted

        //template <class Comparable>
        class BinaryHeap
        {
          public:
            explicit BinaryHeap();

            bool isEmpty( ) const;
            bool isFull( ) const;
//            const Comparable & findMin( ) const;
            const string & findMin( ) const;
//            void insert( const Comparable & x );
            void insert( const string & x );
            void deleteMin( );
//            void deleteMin( Comparable & minItem );
            void deleteMin( string & minItem );
            void makeEmpty( );
	    int getSize( );
//            vector<Comparable> array;        // The heap array
            vector<string> array;        // The heap array


          private:
	    int  currentSize;  // Number of elements in heap
            void buildHeap( );
            void percolateDown( int hole );
        };

#endif
