#include <errno.h>
#include <unistd.h>
#include <sys/socket.h>
#include <sys/types.h>
#include <linux/if_ether.h>
#include <stdlib.h>
#include <string.h>
#include <time.h>
#include <pthread.h>
#include <libpq-fe.h>
#include "defs.h"
#include "DatabaseThread.h"
#include "Globals.h"
#include "Thread.h"
#include <iostream>
#include <netdb.h>
#include <netinet/in.h>
#include <vector>
#include <cstdio>
#include <cstring>
#include "User.h"


using namespace std;
 
/**Required for Learning */
//extern "C" {int ShowText(char *siteAddress);
//}
int Learn(string htmlText, bool isSiteBlocked);

DatabaseThread::DatabaseThread() {
		current=(struct tm *)malloc(sizeof(struct tm));
		ntime = time(NULL);
		


	u_ptr = new User();
	

	url_ptr = new URLClass();
	

	url_ptr2 = new URLClass();
	

	url_ptr3 = new URLClass();
	
	 vector<URLClass>::iterator startIterator;

	
}


void DatabaseThread::execute(void *pThis) {
	int inMinute;
	int arrivalInMinute;
	
	PGresult *result,*learningResult,*networkLogResult; 
	PGresult *result2;
	PGresult *result3;
	PGresult *result4;
	PGconn *connection;
	char query[1000000];
			
	const char *pghost;
	const char *pgport;
	const char *pgoptions;
	const char *pgtty;
	const char *dbname;	
	const char *login;
	const char *pwd;
	
	pghost="localhost";
	pgport="5432";
	pgoptions=NULL;
	pgtty=NULL;
	dbname="filiz";
	login="postgres";
	pwd="";


//bayesian variablelari
	int wordExist = 0;
	Occurence newOccurence;
//////////////////////////////////////////////////////////////////////////////////


//********************* restriction variable'lari *******************************/

	
	
	/* temporary variables                 */ 
	char *tempUserIP;
	char *tempURLGroup;
	char *tempURLGroup2;
	char * tempUserGroup;
	char *tempURL;
	char *userGroup;
	int len1;
	int userFlag = 0;
	int extraURLFlag = 0;
	int extraURLGroupFlag = 0;
	int URLGroupFlag = 0;
	bool doIKnow=false; 	
/*	char query2[1000000];
	char query3[1000000];
	char blockRule[355];
	
*/

	/** BURADA BUYUKLUUUUUK DEGISMESI GEREKEBILIR ***************/
	char query2[1000];
	char query3[1000];
	char query4[1000];
	char learnQuery[1000];
	char blockRule[100];
	char networkLogQuery[1000];

	string siteAddress,siteSpamOrHam;
	float remainingDownloadSize;
	string htmlText;
	
	
	/**New Monitoring */
	char *sourceIP,*destinationIP;
	int packetSize;
//*******************************************************************************/
	

	connection = PQsetdbLogin(pghost,pgport,pgoptions,pgtty,dbname,login,pwd);

	if (PQstatus(connection) != CONNECTION_OK){
		printf("Baglanti Hatasi. %s",PQerrorMessage(connection));
		PQfinish(connection);
		exit(1);
	}
	
	while(1){
		time(&ntime);
		current=localtime(&ntime);
		//cout<<"DATABASE GIRIS: "<<current->tm_hour<<":"<<current->tm_min<<":"<<current->tm_sec<<endl;
		
		pthread_mutex_lock(&(Globals::mutexNetworkTrafficLog));
		//cout << "Database: mutexNetworkTrafficLog LOCK" << endl << endl;
		
		


		/**Control if anything is written onto the database for learning*/
		
		sprintf(learnQuery,"select * from learntable");
		learningResult=PQexec(connection,learnQuery);
		//cout << "number of sites to be learned" << PQntuples(learningResult) << endl;
		for (int j=0;j<PQntuples(learningResult);j++){
			 siteAddress=PQgetvalue(learningResult,j,PQfnumber(learningResult,"site_address"));
			 siteSpamOrHam=PQgetvalue(learningResult,j,PQfnumber(learningResult,"site_spam_or_ham"));
			 
			if(!siteAddress.c_str() || !siteSpamOrHam.c_str())
				continue;
			sprintf(learnQuery,"delete from learntable where site_address='%s'\0",siteAddress.c_str());
			PQexec(connection,learnQuery);	
			/**Burada Isle*/
			//ShowText((char *)siteAddress.c_str());
			htmlText = getRequest((char *)siteAddress.c_str());
			if (htmlText.length() < 15)
			{
				//cout << "no text in site: " << siteAddress << endl;
				continue;
			}
			//cout << "site name: " << siteAddress << endl;
			if(siteSpamOrHam=="s")
			{	
				//cout << "learning spam" << endl;
				Learn(htmlText, true);
			}
			else
			{
				//cout << "learning ham" << endl;
				Learn(htmlText, false);
			}
		}



			
		sprintf(networkLogQuery,"select * from networkTrafficLog");
		networkLogResult=PQexec(connection,networkLogQuery);
			
		for (int j=0;j<PQntuples(networkLogResult);j++){
			
			sourceIP=strdup(PQgetvalue(networkLogResult,j,PQfnumber(networkLogResult,"sourceIP")));
			destinationIP=strdup(PQgetvalue(networkLogResult,j,PQfnumber(networkLogResult,"destinationIP")));
			packetSize=atoi(PQgetvalue(networkLogResult,j,PQfnumber(networkLogResult,"packetSize")));
			
			
			/** Remaining Download Size */
			sprintf(query2,"select * from localuser where ip = '%s'",sourceIP);
			//cout<<"query2 Database: "<<query2<<endl;
			result2=PQexec(connection,query2);
			for (int j=0;j<PQntuples(result2);j++){
			remainingDownloadSize = atof(PQgetvalue(result2,j,PQfnumber(result2,"remaining_download_size")));
			}

			sprintf(query3,"select * from localuser where ip = '%s'",destinationIP);
			//cout<<"query3 Database: "<<query3<<endl;
			result3=PQexec(connection,query3);
			for (int j=0;j<PQntuples(result3);j++){
			remainingDownloadSize = atof(PQgetvalue(result3,j,PQfnumber(result3,"remaining_download_size")));
			}

			//cout<<"Remaining Download Size = "<<remainingDownloadSize;
			//cout<<"PAcket Size = "<<Globals::packetParser.networkTrafficLog[i].packetSize;	
			
			remainingDownloadSize -= packetSize;
			//cout<<"Remaining Download Size Final = "<<remainingDownloadSize;

			sprintf(query4,"update localuser set remaining_download_size='%f' where ip = '%s'",sourceIP);
			result4=PQexec(connection,query4);
				
		}
	
			
//hande
//black word
	if(!doIKnow)
	{
		doIKnow = true;

		pthread_mutex_lock(&(Globals::mutexBlackWord));
//site sayilari		
		result=PQexec(connection,"Select * from bayesblocked where word='countOfBlockedSites'");
		Globals::totalBlockedSites = atoi(PQgetvalue(result,0,PQfnumber(result,"occurence")));
		result=PQexec(connection,"Select * from bayesunblocked where word='countOfUnblockedSites'");
		Globals::totalUnblockedSites = atoi(PQgetvalue(result,0,PQfnumber(result,"occurence")));

//debugging
/*
		cout << "number of total spam sites: " << Globals::totalBlockedSites << endl;
		cout << "number of total Ham sites: " << Globals::totalUnblockedSites << endl;

*/
//blocked tarafi
		result=PQexec(connection,"Select * from bayesblocked where word<>'countOfBlockedSites' ORDER BY word ASC");
		for (int i=0;i<PQntuples(result);i++){

			wordExist = 0;			

			for(int j=0; j< (Globals::bayesBlocked).size(); j++){
				
				if(!strcmp((Globals::bayesBlocked.at(j).word).c_str(),PQgetvalue(result,i,PQfnumber(result,"word"))))
				{
					wordExist++;
					Globals::bayesBlocked.at(j).spamFrequency += atoi(PQgetvalue(result,i,PQfnumber(result,"occurence")));
					break;
				}
				
			}


			if(!wordExist){
				
				//sprintf(blackWord[blackWordListSize].data,"%s\0", PQgetvalue(result,i,PQfnumber(result,"word")));
				newOccurence.word = PQgetvalue(result,i,PQfnumber(result,"word"));
				newOccurence.spamFrequency = atoi (PQgetvalue(result,i,PQfnumber(result,"occurence")));
				(Globals::bayesBlocked).push_back(newOccurence);
				//blackWordListSize++;
				
			}
		}

		//unblocked tarafi

		result=PQexec(connection,"Select * from bayesunblocked where word<>'countOfUnblockedSites' ORDER BY word ASC");
		for (int i=0;i<PQntuples(result);i++){
			wordExist = 0;

			for(int j=0; j< (Globals::bayesUnblocked).size(); j++){
				
				if(!strcmp((Globals::bayesUnblocked.at(j).word).c_str(),PQgetvalue(result,i,PQfnumber(result,"word"))))
				{
					wordExist++;
					Globals::bayesUnblocked.at(j).hamFrequency += atoi(PQgetvalue(result,i,PQfnumber(result,"occurence")));
					break;
				}
				
			}


			if(!wordExist){
				
				//sprintf(blackWord[blackWordListSize].data,"%s\0", PQgetvalue(result,i,PQfnumber(result,"word")));
				newOccurence.word = PQgetvalue(result,i,PQfnumber(result,"word"));
				newOccurence.hamFrequency = atoi (PQgetvalue(result,i,PQfnumber(result,"occurence")));
				(Globals::bayesUnblocked).push_back(newOccurence);
				//blackWordListSize++;
				
			}
		}

//debugging		
/*
cout << "Spam words: " << endl;
for(int j=0; j< (Globals::bayesBlocked).size(); j++){
	cout << (Globals::bayesBlocked).at(j).word << "\t\t\t\t" << (Globals::bayesBlocked).at(j).spamFrequency << endl;
}

cout << "Ham words: " << endl;
for(int j=0; j< (Globals::bayesUnblocked).size(); j++){
	cout << (Globals::bayesUnblocked).at(j).word << "\t\t\t\t" << (Globals::bayesUnblocked).at(j).hamFrequency << endl;
}

//exit(0);
*/
		pthread_mutex_unlock(&(Globals::mutexBlackWord));
	 }

/*
/////////////////////////////
		pthread_mutex_lock(&(Globals::mutexBayesianLearn));
		int occurence;
		string tmpword;
		int tmpSpamOccurence, tmpHamOccurence;
		int dbSpamOccurence, dbHamOccurence;
		int dbOfBlockedSites, dbOfUnblockedSites;
		int newlyBlockedSites, newlyUnblockedSites;
		string newSite;

//BayesBlocked -- countOfBlockedSites
//word - occurence
//BayesUnblocked -- countOfUnblockedSites
//word - occurence

		
//bayesianLearningThread icin ziyaret edilmesi gereken sayfalarin cekilmesi.......
		
		result=PQexec(connection,"Select * from BayesianSiteList");
		for (int i=0;i<PQntuples(result);i++){
			if (PQgetvalue(result,i,PQfnumber(result,"isBlocked")) == true)
				newSite = "Y";
			if (PQgetvalue(result,i,PQfnumber(result,"isBlocked")) == false)
				newSite = "N";
			newSite += PQgetvalue(result,i,PQfnumber(result,"site"));
			Globals::bayesianSiteList.push_back(newSite);
			}
		
		result=PQexec(connection,"Delete * from BayesianSiteList");
		
		
		


//ziyaret edilen sayfa sayilarinin update edilmesi..........
		newlyBlockedSites = (Globals::bayesianFilter).countOfBlockedSites;
		newlyUnblockedSites = (Globals::bayesianFilter).countOfUnblockedSites;
		
		result=PQexec(connection,"Select occurence from BayesBlocked where word = 'countOfBlockedSites'");
		dbOfBlockedSites = PQgetvalue(result,0,PQfnumber(result,"occurence"));

		result=PQexec(connection,"Select occurence from BayesUnblocked where word = 'countOfUnblockedSites'");
		dbOfUnblockedSites = PQgetvalue(result,0,PQfnumber(result,"occurence"));
		
		dbOfBlockedSites += newlyBlockedSites;
		dbOfUnblockedSites += newlyUnblockedSites;

		result=PQexec(connection,"Update BayesBlocked set occurence = " + dbOfBlockedSites + "where word = 'countOfBlockedSites'");
		result=PQexec(connection,"Update BayesUnblocked set occurence = " + dbOfUnblockedSites + "where word = 'countOfUnblockedSites'");


		for(int i=0; i< (Globals::bayesianFilter).bayesianLearn.size(); i++){
				tmpword = (Globals::bayesianFilter).bayesianLearn.at(i).word;
				tmpSpamOccurence = (Globals::bayesianFilter).bayesianLearn.at(i).spamFrequency;
				tmpHamOccurence = (Globals::bayesianFilter).bayesianLearn.at(i).hamFrequency;


//o kelime db de yoksa!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! bastan olusturulmali resultin bos gelmesini kontrol edelim
				if(tmpSpamOccurence != 0)
				{
					result=PQexec(connection,"Select occurence from BayesBlocked where word = '" + tmpword +"'");
					if (PQntuples(result) == 0)
					{
						dbSpamOccurence = tmpSpamOccurence;
						result=PQexec(connection,"Insert into BayesBlocked values ('" + dbSpamOccurence + "', " + tmpword +");");
					}
					else
					{
						dbSpamOccurence = PQgetvalue(result,0,PQfnumber(result,"occurence"));
						dbSpamOccurence += tmpSpamOccurence;
						result=PQexec(connection,"Update BayesBlocked set occurence = " + dbSpamOccurence + "where word '" + tmpword +"'");
					}
					
				}

				if(tmpHamOccurence != 0)
				{
					result=PQexec(connection,"Select occurence from BayesUnblocked where word = '" + tmpword +"'");
					dbHamOccurence = PQgetvalue(result,0,PQfnumber(result,"occurence"));					
					dbHamOccurence += tmpHamOccurence;
					result=PQexec(connection,"Update BayesUnblocked set occurence = " + dbHamOccurence + "where word '" + tmpword +"'");
				
				}
		
		}

			
		//clear the bayesian array, which is now completely recorded to the DB...
		(Globals::bayesianFilter).clear();


		pthread_mutex_unlock(&(Globals::mutexBayesianLearn));
*/











//restriction

	pthread_mutex_lock(&(Globals::mutexRestriction));
	//cout << "Database: mutexRestriction LOCK" << endl << endl;

//	goto debugEnd;
	/* User tablosundan User'ları cekip,globaldeki User vectorune set ediyoruz burda */
	result=PQexec(connection,"select * from localuser");
	
	for (int i=0;i<PQntuples(result);i++){extraURLFlag = 0;
		tempUserIP=PQgetvalue(result,i,PQfnumber(result,"ip"));
	  	for(int j=0;j<16;j++){
			u_ptr -> userIP[j]=*tempUserIP;
			tempUserIP++;
		}

	  	u_ptr -> remainingDownloadSize = atof(PQgetvalue(result,i,PQfnumber(result,"remaining_download_size")));
		if (Globals::users.size() == 0){
	  		Globals::users.push_back(*u_ptr);
		}
		else { 
			for (int k=0; k < Globals::users.size(); k++ ){
				if (strcmp(Globals::users.at(k).userIP,  u_ptr ->userIP) == 0){
					Globals::users.at(k).remainingDownloadSize = u_ptr -> remainingDownloadSize;
					userFlag = 1;
					break;
				}
			}
			if (userFlag == 0)
				Globals::users.push_back(*u_ptr);

			userFlag = 0;
		}
	}
	//PQclear(result);
	/* control for user IPs and remaining download size */

	/*for(int i=0;i<Globals::users.size();i++){
	cout<<"User IP = "<<Globals::users.at(i).userIP<<endl;
	cout<<"Remaining Download Size = "<<Globals::users.at(i).remainingDownloadSize<<endl;
	}
	*/
	
	/* butun user'ların url vectorune extraurl'leri koyuyoruz */
	for(int i = 0; i < Globals::users.size() ; i++){
		for (int j = 0; j < Globals::users.at(i).restrictedURLs.size(); j++ ){
			Globals::users.at(i).restrictedURLs.at(j).inUse = 0;
		}
	}
	
	for(int i=0; i<Globals::users.size() ; i++){
		
		sprintf(query,"select * from extraurlforuser where userip = '%s'",Globals::users.at(i).userIP);
		result=PQexec(connection,query);
		for (int j=0;j<PQntuples(result);j++){
			url_ptr->URL=PQgetvalue(result,j,PQfnumber(result,"url"));
			url_ptr->blocked = 0;
			url_ptr->inUse=1;
			
			for(int k=0;k<Globals::users.at(i).restrictedURLs.size();k++){
			
				if(strcmp(Globals::users.at(i).restrictedURLs.at(k).URL, url_ptr->URL) == 0 ){
					Globals::users.at(i).restrictedURLs.at(k).inUse = 1;
					extraURLFlag = 1;
					break;
				}
			}	
			
			if (extraURLFlag == 0){
				Globals::users.at(i).restrictedURLs.push_back(*url_ptr);
			}
			extraURLFlag = 0;
		}
	}
	//PQclear(result);
	/*User arryindeki her userin extra url lerinin bastirilmasi kontrolunu yapiyoruz*/
	/*for(int i=0;i<Globals::users.size();i++){
		cout<<"User IP = "<<Globals::users.at(i).userIP<<endl;
	for (int m = 0; m<Globals::users.at(i).restrictedURLs.size();m++){
		cout<<"extra url = "<<Globals::users.at(i).restrictedURLs.at(m).URL<<endl;
		
	}
	}
	*/
	for(int i=0; i<Globals::users.size() ; i++){
		
		sprintf(query,"select * from extraurlgroupforuser where userip = '%s'",Globals::users.at(i).userIP);
		result=PQexec(connection,query);
		for (int j=0;j<PQntuples(result);j++){
			tempURLGroup = PQgetvalue(result,j,PQfnumber(result,"urlgroup"));
			sprintf(query2,"select * from urlingroup where urlgroup = '%s'",tempURLGroup);
			result2=PQexec(connection,query2);
			for (int k=0;k<PQntuples(result2);k++){
				url_ptr2->URL=PQgetvalue(result2,k,PQfnumber(result2,"url"));
				url_ptr2->blocked = 0;
				url_ptr2->inUse=1;
				
				for(int m=0;m<Globals::users.at(i).restrictedURLs.size();m++){
			
				if(strcmp(Globals::users.at(i).restrictedURLs.at(m).URL,url_ptr2->URL) == 0){
					Globals::users.at(i).restrictedURLs.at(m).inUse = 1;
					extraURLGroupFlag = 1;
					break;
					}
				}	
			
				if (extraURLGroupFlag == 0){
					Globals::users.at(i).restrictedURLs.push_back(*url_ptr2);
				}
				extraURLGroupFlag = 0;
			}
		}									
		
	}
	
	/* restricted urls in extra url groups of users*/
	/*for(int i=0;i<Globals::users.size();i++){
		cout<<"User IP = "<<Globals::users.at(i).userIP<<endl;
		for (int m = 0; m<Globals::users.at(i).restrictedURLs.size();m++){
			cout<<"extra url = "<<Globals::users.at(i).restrictedURLs.at(m).URL<<endl;
			
		}
	}
	*/
	
	
	for(int i=0; i<Globals::users.size() ; i++){
		
		sprintf(query,"select * from useringroup where userip = '%s'",Globals::users.at(i).userIP);
		result=PQexec(connection,query);

		for (int j=0;j<PQntuples(result);j++){
			tempUserGroup = PQgetvalue(result,j,PQfnumber(result,"usergroupname"));
			sprintf(query2,"select * from  restrictedurlgroupforusergroup where  usergroupname = '%s'",tempUserGroup);
			result2=PQexec(connection,query2);
			
			for (int k=0;k<PQntuples(result2);k++){
				tempURLGroup2 = PQgetvalue(result2,k,PQfnumber(result2,"urlgroup"));
				
				sprintf(query3,"select * from  urlingroup where  urlgroup = '%s'",tempURLGroup2);
				result3=PQexec(connection,query3);
			
				for (int z=0;z<PQntuples(result3);z++){
					url_ptr3->URL=PQgetvalue(result3,z,PQfnumber(result3,"url"));
					url_ptr3->blocked = 0;
					url_ptr3->inUse=1;
				
				for(int m=0;m<Globals::users.at(i).restrictedURLs.size();m++){
			
				if(strcmp(Globals::users.at(i).restrictedURLs.at(m).URL,url_ptr3->URL) == 0){
					Globals::users.at(i).restrictedURLs.at(m).inUse = 1;
					URLGroupFlag = 1;
					break;
					}
				}	
			
				if (URLGroupFlag == 0){
					Globals::users.at(i).restrictedURLs.push_back(*url_ptr3);
				}
				URLGroupFlag = 0;
				}
			}
		}									
		
	}
/*	if(result3)
		PQclear(result3);
	if(result2)
		PQclear(result2);
	if(result)
		PQclear(result);
*/	
	for(int i=0;i<Globals::users.size();i++){
		cout<<"User IP = "<<Globals::users.at(i).userIP<<endl;
		for (int m = 0; m<Globals::users.at(i).restrictedURLs.size();m++){
			cout<<"url = "<<Globals::users.at(i).restrictedURLs.at(m).URL<<endl;
			
		}
	}

//debugEnd:
	pthread_mutex_unlock(&(Globals::mutexRestriction));
	cout << "Database: mutexRestriction UNLOCK" << endl << endl;


/*		oldIpRule="iptables -A FORWARD -p tcp --dport 80 -j QUEUE";
		system(oldIpRule.c_str());
		oldIpRule="iptables -A FORWARD -p tcp --sport 80 -j QUEUE";
		system(oldIpRule.c_str());
*/
		/*oldIpRule="iptables -A FORWARD -s 10.0.0.2 -p tcp --dport 80 -j QUEUE";
		system(oldIpRule.c_str());
		oldIpRule="iptables -A FORWARD -s 10.0.0.2 -p tcp --sport 80 -j QUEUE";
		system(oldIpRule.c_str());
		oldIpRule="iptables -D FORWARD -s 10.0.0.2 -p tcp --sport 80 -j DROP";
		system(oldIpRule.c_str());
		oldIpRule="iptables -D FORWARD -s 10.0.0.2 -p tcp --dport 80 -j DROP";
		system(oldIpRule.c_str());
*/
		usleep(100000000); //???bu buyumeli bence -- hande...  5 saniyede bir veritabani baglantisi yapiyo simdi!!!
	}
	
	PQfinish(connection);
}


