#include <iostream>
#include <vector>
#include <fstream>
#include <string>
#include <WWWLib.h>
#include <WWWHTTP.h>
#include <WWWInit.h>
#include "Filter.h"
#include "Globals.h"
#include "PacketParser.h"
#include "MinHeap.h"
#include <locale>



using namespace std;

// seems to work with BCC5.6/STLPort
string stringToUpper(string str) {
for(size_t i = 0, len = str.size(); i < len; ++i)
str[i] = std::toupper(str[i]);
return str;
}

void Filter::Tokenize(const string& str,
                      /*vector<string>& tokens, bu arg'i kaldirdim, class member'i olarak var*/ /*\t\n.?,!/)({}[]@|;\"<>*/
                      const string& delimiters)
{
	string newString;
	string tagDelimiters = " =-\t\n.?,!/)({}[]@|;\"\r>";
    // Skip delimiters at beginning.
    string::size_type lastPos = str.find_first_not_of(tagDelimiters, 0);
    // Find first "non-delimiter".
    string::size_type pos = str.find_first_of(delimiters, lastPos);

	//taglari atmak icin
	while((string::npos != pos || string::npos != lastPos) && str.at(lastPos)=='<')
	{
		// Skip delimiters.  Note the "not_of"
	        pos = str.find_first_of(">", lastPos);
        	lastPos = str.find_first_not_of(tagDelimiters, pos);
	        // Find next "non-delimiter"
	        pos = str.find_first_of(delimiters, lastPos);
	}


    while (string::npos != pos || string::npos != lastPos)
    {
        // Found a token, add it to the vector.
	



	
//	cout << str.substr(lastPos, pos - lastPos) << endl;
//exclude!!!!!!!!!!!
/*

Done				1
Ham words: 
1Kbytes				49
Read				45


*/        

newString = str.substr(lastPos, pos - lastPos);
	/** BUrada InsertionSort islemi cok hizlandirir **/

if (newString != "" && newString != " " && newString != "\n" && newString != "\t" && newString != "\r" && newString != "Done" 
&& newString != "1Kbytes" && newString != "Read"
&& newString.at(0) != '&'
&& newString.at(0) != '+'
&& newString.at(0) != '#'
&& newString.at(0) != '$'
)



	tokensHeap.insert(stringToUpper(newString));
        

        	lastPos = str.find_first_not_of(tagDelimiters, pos);
	        // Find next "non-delimiter"
	        pos = str.find_first_of(delimiters, lastPos);


	while((string::npos != pos || string::npos != lastPos) && str.at(lastPos)=='<')
	{
		// Skip delimiters.  Note the "not_of"
	        pos = str.find_first_of(">", lastPos);
        	lastPos = str.find_first_not_of(tagDelimiters, pos);
	        // Find next "non-delimiter"
	        pos = str.find_first_not_of(delimiters, lastPos);
	}

    }
//burasi eksik gibi. < kontrolune 
//	exit(0);
}

Filter::Filter(){

	

}

void Filter::setText(char *text){

	this->text=text;
	Tokenize(text);

}

void Filter::formBadCharacterArray(string pattern){
                m = pattern.length();
		//for (m = 0; pattern[m] != '\0', m++);
                int k = 0;
                for (k = 0; k <256; k++)
                        badCharacter[k] = m;
                for (k = 0; k < m - 1; k++)
                        badCharacter[pattern.at(k)] = m - k - 1;

}

int Filter::countOccurence(string pattern){
		int count = 0;
		int previous;
		formBadCharacterArray(pattern);
                int n = text.length();
		//for (n = 0; text[n] != '\0', n++);

                if (m > n)
                        return 0;

                int k = m - 1;

                while (k < n) {
			previous = k;
                        int j = m - 1;
                        int i = k;
                        while (j >= 0 && i < text.length() && j < pattern.length() && text.at(i) == pattern.at(j)) {
                                j--;
                                i--;
                        }
                        if (j == -1)
                                //return i + 1;
			{
				count++;
				k+=1;
			}
			else if (k < text.length())
                        	k += badCharacter[text.at(k)];
			else 
				k += 1;

			if (previous == k)
				k += 1;

			//cout << k << endl;
			if (k < 0)
				break;
                }
        
                return count;

}

double Filter::findInBayesBlocked(string token){
				int left, right, mid;
				left = 0;
				right = Globals::bayesBlocked.size() - 1;

//cout << "Checking... " << token << endl;
				while(left <= right)
				{
					mid = (left+right) / 2;
					//cout << "check with " << stringToUpper(Globals::bayesBlocked.at(mid).word) << endl;
					if (stringToUpper(Globals::bayesBlocked.at(mid).word) == token)
            				{	
						return Globals::bayesBlocked.at(mid).spamFrequency;
					}
        			
					if (token < stringToUpper(Globals::bayesBlocked.at(mid).word))
            					right = mid - 1;
        				else
            					left  = mid + 1;
				}
    				return 0;

			}


double Filter::findInBayesUnblocked(string token){
				int left, right, mid;
				left = 0;
				right = Globals::bayesUnblocked.size() - 1;

				for(int i=0;i<Globals::bayesUnblocked.size();i++)
					//cout<<"Bayes unblocked:"<<Globals::bayesUnblocked.at(i).word<<endl;

//cout << "Checking... " << token << endl;
				while(left <= right)
				{
					mid = (left+right) / 2;
					//cout << "check with " << stringToUpper(Globals::bayesUnblocked.at(mid).word) << endl;
					if (stringToUpper(Globals::bayesUnblocked.at(mid).word) == token)
            					return Globals::bayesUnblocked.at(mid).hamFrequency;
        			
					if (token < stringToUpper(Globals::bayesUnblocked.at(mid).word))
            					right = mid - 1;
        				else
            					left  = mid + 1;
				}
    				return 0;

			}



bool Filter::filterContent(){

double messageSpamicity = 0;
int i = 0;
double tmp; 

if ((Globals::bayesBlocked).size() == 0 && (Globals::bayesUnblocked).size() == 0)
{
	return false;
}


else
{	
	double spamProbability = 0;
	double hamProbability = 0;
	double spamFrequency = 0;
	double hamFrequency = 0;
	double currSpamicity = 0;

//bunlar 1 olmali cunku *= kullanilacak
	double carpim = 1;
	double eksili_carpim = 1;
////
	//cout << "first in filter" << endl;
	tokensHeap.heapSort();

	for(i=0;i<tokensHeap.sorted.size();i++) //token indisleri dogru!!!!!!!!!!!!1111 implementation nedeniyle!!!!!!!!!!!!!!!!!!!!!!!!!!1
	{	if(tokensHeap.sorted.at(i).at(0)<='9' && tokensHeap.sorted.at(i).at(0)>='0')
			continue;
		if(!strcmp(tokensHeap.sorted.at(i).c_str(),"THE") || !strcmp(tokensHeap.sorted.at(i).c_str(),"AND") || !strcmp(tokensHeap.sorted.at(i).c_str(),"OR") || !strcmp(tokensHeap.sorted.at(i).c_str(),"A") || !strcmp(tokensHeap.sorted.at(i).c_str(),"AN"))
			continue;

		//search Globals::bayesBlocked, fill spamFrequency
		spamFrequency = findInBayesBlocked(tokensHeap.sorted.at(i));

		//search Globals::bayesUnblocked, fill hamFrequency
		hamFrequency = findInBayesUnblocked(tokensHeap.sorted.at(i));
		

//occurence siralamasinda degil ASC. word siralamasinda cekiyorum!!!! cunku isme gore binary search var!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!		


		//claculate spamicity and push to the vector

		if(hamFrequency >= 1 || spamFrequency >= 1)
		{
		hamProbability = hamFrequency / Globals::totalBlockedSites;
		spamProbability = spamFrequency / Globals::totalUnblockedSites;


				

		if (hamProbability > 1)	
			hamProbability = 1;

		if (spamProbability > 1)	
			spamProbability = 1;



		currSpamicity = spamProbability / (hamProbability + spamProbability);
		if (currSpamicity < 0.1)	
			currSpamicity = 0.1;
	
			spamicity.insert(currSpamicity);
		
		}

		else{
			spamicity.insert(0.4);
		}
	
	}
		
/*	cout<<"spamicity size before sort:"<<spamicity.getSize()<<endl;
for(int j = 1; j <= spamicity.getSize(); j++)
	cout << "unsorted: " << spamicity.array.at(j) << endl;
*/
	spamicity.heapSort();

/*for(int j = 0;j < spamicity.sorted.size(); j++)
	cout << "sorted: " << spamicity.sorted.at(j) << endl;

	cout<<"spamicity size after sort:"<<spamicity.sorted.size()<<endl;
*/
	//cout << "spamicity.sorted.size is " << spamicity.sorted.size() << endl;
	if(spamicity.sorted.size()<=8){
	
		for(i = 0; i < spamicity.sorted.size()/2; i++)
		{
			tmp = spamicity.sorted.at(i);
			//cout<<"Secilen Spam Carpim: "<<tmp<<endl;
			carpim *= tmp;
			if(tmp==1)
			 tmp=0.95;
			  eksili_carpim *= (1 - tmp);
		}
	
		for(i = spamicity.sorted.size()-1; i >=spamicity.sorted.size()/2 && i >=0; i--)
		{
			tmp = spamicity.sorted.at(i);
			//cout<<"Secilen Ham Carpim: "<<tmp<<endl;
			carpim *= tmp;
			if(tmp==1)
			 tmp=0.95;
			eksili_carpim *= (1 - tmp);
		}


	}		
	else {	
		for(i = 3; i < 7 && i < spamicity.sorted.size(); i++)
		{
			tmp = spamicity.sorted.at(i);
			//cout<<"Secilen Spam Carpim: "<<tmp<<endl;
			carpim *= tmp;
			if(tmp==1)
			 tmp=0.95;
			eksili_carpim *= (1 - tmp);
		}
	
		for(i = spamicity.sorted.size()-1; i > spamicity.sorted.size()-5 && i >=0; i--)
		{
			tmp = spamicity.sorted.at(i);
			//cout<<"Secilen Ham Carpim: "<<tmp<<endl;
			carpim *= tmp;
			if(tmp==1)
			 tmp=0.95;
			eksili_carpim *= (1 - tmp);
		}
	}
	//cout<<"eksili carpim: "<<eksili_carpim<<endl;
	//cout<<"carpim: "<<carpim<<endl;

	if(eksili_carpim==0)
		eksili_carpim=0.001;
	
	if(carpim==0 && eksili_carpim==0)
		messageSpamicity=0;
	else	
		messageSpamicity = carpim / (carpim + eksili_carpim);

	//cout << "messageSpamicity: " << messageSpamicity<<endl;
		
	if(messageSpamicity > 0.8)
		return true;
	else 
		return false;
	
//	cout << endl;
//	cout << endl;
}


}

