#ifndef FILTER_H
#define FILTER_H

#include <iostream>
#include <vector>
#include <string>
#include "PacketParser.h"
#include "Globals.h"
#include "MinHeap.h"
#include "MaxHeap.h"
using namespace std;

class Filter{
	public:
		int badCharacter[256];
		int m;
		vector<string> patterns;
		vector<int> occurences;
		string text;
		MinHeap<string> tokensHeap;
		MaxHeap<double> spamicity;

		Filter();
		void setText(char *text);
		void formBadCharacterArray(string pattern);
		int countOccurence(string pattern);
		bool filterContent();
		void Tokenize(const string& str,const string& delimiters = " =-\t\n.?,!/)({}[]@|;\"\r<>");
		double findInBayesBlocked(string);
		double findInBayesUnblocked(string);
};

#endif

