#include "PacketParser.h"
#include "Globals.h"
#include <iostream>
#include <WWWLib.h>
#include <WWWHTTP.h>
#include <WWWInit.h>
#include <string>

using namespace std; 



/*PRIVATE*/ int terminate (HTRequest * request, HTResponse * response,
			       void * param, int status) 
{
    /* Check for status */
    /* HTPrint("Load resulted in status %d\n", status); */
	
	/* we're not handling other requests */
	HTEventList_stopLoop ();
 
	/* stop here */
    return HT_ERROR;
}


/*PRIVATE*/ int printer (const char * fmt, va_list pArgs)
{
    return (vfprintf(stdout, fmt, pArgs));
}

/*PRIVATE*/ int tracer (const char * fmt, va_list pArgs)
{
    return (vfprintf(stderr, fmt, pArgs));
}


string getRequest (char * url)
{
    string htmlbody;
    HTRequest * request = HTRequest_new();
    HTList * converters = HTList_new();		/* List of converters */
    HTList * encodings = HTList_new();		/* List of encoders */
    HTChunk * chunk = NULL;
    //char * url = argc==2 ? argv[1] : NULL;

    /* Initialize libwww core */
    HTLibInit("TestApp", "1.0");

    /* Gotta set up our own traces */
    HTPrint_setCallback(printer);
    HTTrace_setCallback(tracer);

    /* Turn on TRACE so we can see what is going on */
#if 0
    HTSetTraceMessageMask("sop");
#endif

    /* On windows we must always set up the eventloop */
#ifdef WWW_WIN_ASYNC
    HTEventInit();
#endif
    
    /* Register the default set of transport protocols */
    HTTransportInit();

    /* Register the default set of protocol modules */
    HTProtocolInit();

    /* Register the default set of BEFORE and AFTER callback functions */
    HTNetInit();

    /* Register the default set of converters */
    HTConverterInit(converters);
    HTFormat_setConversion(converters);

    /* Register the default set of transfer encoders and decoders */
    HTTransferEncoderInit(encodings);
    HTFormat_setTransferCoding(encodings);

    /* Register the default set of MIME header parsers */
    HTMIMEInit();

    /* Add our own filter to handle termination */
     HTNet_addAfter(terminate, NULL, NULL, HT_ALL, HT_FILTER_LAST);

    /* Set up the request and pass it to the Library */
    HTRequest_setOutputFormat(request, WWW_SOURCE);
    HTRequest_setPreemptive(request, YES);
//HTPrint("Type the URL you want to accces on the command line\n");

    if (url) {
//HTPrint("Type the URL you want to accces on the command line\n");
	char * cwd = HTGetCurrentDirectoryURL();
	char * absolute_url = HTParse(url, cwd, PARSE_ALL);
	HTAnchor * anchor = HTAnchor_findAddress(absolute_url);
	chunk = HTLoadAnchorToChunk(anchor, request);
	HT_FREE(absolute_url);
	HT_FREE(cwd);

	/* If chunk != NULL then we have the data */
	if (chunk) {
	   char * str;
	   /* wait until the request is over */
	   HTEventList_loop (request);
	   str = HTChunk_toCString(chunk);
	if (str)
	{
	  htmlbody = htmlbody + str;
	}
	  // HTPrint("%s", str ? str : "no text");
	   HT_FREE(str);
//	HTPrint("%s", htmlbody.c_str());
	}
    } else {
	HTPrint("Type the URL you want to accces on the command line\n");
    }

    /* Clean up the request */
    HTRequest_delete(request);
    HTFormat_deleteAll();

    /* On windows, shut down eventloop as well */
#ifdef WWW_WIN_ASYNC
    HTEventTerminate();
#endif
   
    /* Terminate the Library */
    HTLibTerminate();
//if (htmlbody.length() == 0)
//	exit(0);
//	cout << "html size is " << htmlbody.length() << endl;
    return htmlbody;
}

























int text_printer (const char * fmt, va_list pArgs)
{
  //  return (vfprintf(stdout, fmt, pArgs));
}

int text_tracer (const char * fmt, va_list pArgs)
{
   // return (vfprintf(stderr, fmt, pArgs));
}

int text_terminate_handler (HTRequest * request, HTResponse * response,
			       void * param, int status) 
{
HTEventList_stopLoop ();
    /* We are done with this request */
    HTRequest_delete(request);
	
    /* Terminate libwww */
   HTProfile_delete();
//return HT_ERROR;
    //exit(0);
	//return 0;
// return HT_ERROR;
}


void text_addText (HText * text, const char * buf, int len)
{
    //if (buf) fwrite(buf, 1, len, stdout);
/*Globals::requestText = "hande";*/
	if (buf)
		Globals::requestText = Globals::requestText + string (buf, len);
/*	if (buf)
		Globals::requestText = Globals::requestText + buf;*/
	//cout << Globals::requestText;
}

int getText (char *url)
{
	//string ret_string;
    char * uri = NULL;
   Globals::requestText = "";
    /* Create a new premptive client */
    HTProfile_newHTMLNoCacheClient ("ShowTags", "1.0");

    /* Need our own trace and print functions */
    HTPrint_setCallback(text_printer);
    HTTrace_setCallback(text_tracer);

    /* Set trace messages and alert messages */
#if 0
    HTSetTraceMessageMask("sop");
#endif

    /* Add our own termination filter */
    HTNet_addAfter(text_terminate_handler, NULL, NULL, HT_ALL, HT_FILTER_LAST);

    /*
    ** Register our HTML element handler. We don't actually create a HText
    ** object as this is not needed. We only register the specific link
    ** callback.
    */
    HText_registerTextCallback(text_addText);

    /* Setup a timeout on the request for 15 secs */
    HTHost_setEventTimeout(15000);

    /* Handle command line args */
    
	uri = HTParse(url, NULL, PARSE_ALL);

    if (uri) {
	HTRequest * request = NULL;
	HTAnchor * anchor = NULL;
	BOOL status = NO;

	/* Create a request */
	request = HTRequest_new();

	/* Get an anchor object for the URI */
	anchor = HTAnchor_findAddress(uri);

	/* Issue the GET and store the result in a chunk */
	status = HTLoadAnchor(anchor, request);

	/* Go into the event loop... */
	if (status == YES) HTEventList_loop(request);

	
    } else {
	printf("Type the URI to print out a list of embedded links\n");
    }

    return 0;
}
