#ifndef GLOBALS_H
#define GLOBALS_H

#include "BayesianFilter.h"
#include <pthread.h>
#include <vector>
#include <string>
#include "PacketParser.h"
#include "User.h"
#include "Restriction.h"
#include "DatabaseThread.h"
#include "Proxy.h"
#include <WWWLib.h>
#include <WWWHTTP.h>
#include <WWWInit.h>
#include "Occurence.h"

/*chuckbody*/
int terminate (HTRequest * request, HTResponse * response,  void * param, int status) ;

int printer (const char * fmt, va_list pArgs);

int tracer (const char * fmt, va_list pArgs);

string getRequest (char * url);

void InitLibrary();

/*showtext*/
int text_terminate_handler (HTRequest * request, HTResponse * response,
			       void * param, int status);
int text_printer (const char * fmt, va_list pArgs);
int text_tracer (const char * fmt, va_list pArgs);
void text_addText (HText * text, const char * buf, int len);
int getText(char * url);

/*showtags*/

class Globals{

	public:
		
		static PacketParser packetParser;
		static Proxy proxy;
		static vector<User> users;
		static BayesianFilter bayesianFilter;		
		static Restriction restriction;
		static DatabaseThread databaseThread;

		static pthread_mutex_t mutexPacket;
		static pthread_mutex_t mutexNetworkTrafficLog;
		static pthread_mutex_t mutexBlackWord;//hande
		//bu string blackWord aslinda
		static vector<Occurence> bayesBlocked;
		static vector<Occurence> bayesUnblocked;
		static int totalBlockedSites;
		static int totalUnblockedSites;
		static string requestText; //hande
		static pthread_mutex_t mutexRestriction;
		
		
};

/*********************************************************************************************************/
/*****************We have to call pthread_mutex_init inside the test function for the initialization of the mutexes**************/

//PacketParser Globals::packetParser;

// pthread_mutex_t	Globals::mutexPacket=PTHREAD_MUTEX_INITIALIZER;
// pthread_mutex_t	Globals::mutexNetworkTrafficLog=PTHREAD_MUTEX_INITIALIZER;

		
		
#endif
