#ifndef HEADERS_H
#define HEADERS_H
#include "defs.h"

class IpHeader{
	public:
		struct{
			unsigned char dstEth[ETH_SIZE];
			unsigned char srcEth[ETH_SIZE];
			unsigned char unknown[2];
		}macHeader;
	//private:
		unsigned char headerLen:4;	/* Header Length */
		unsigned char version:4;	/* 4-bit version */
		unsigned int serveType:8;	/* Types of Service */
		unsigned char packetLen[2];	/* Package Length */
		//unsigned int packet_len:16;	/* Package Length */
		unsigned char ID[2];		/* Package Identifier */
		//unsigned int ID:16;		/* Package Identifier */
		//unsigned int reserved:1;	/* Reserved Bit */
		//unsigned int dont_frag:1;	/* Do not Fragment */
		//unsigned int more_frags:1;	/* More Fragment */
		//unsigned int frag_offset:13;	/* Fragment Offset */
		unsigned char fragment[2];	/* Fragmentation Data*/
		unsigned int ttl:8;		/* Hop Count */
		unsigned int protocol:8;	/* ICMP, UDP, TCP */
		unsigned char ipHdrChksum[2];	/* IP Header Checksum */
		unsigned char IPv4Src[IP_SIZE];/* Source Ip Address */
		unsigned char IPv4Dst[IP_SIZE];/* Destination Ip Address */
		unsigned char options[0];	/* Packet Options */

		unsigned char srcPort[2];	/* Source Port */
		unsigned char dstPort[2];	/* Destination Port */
		unsigned char sequenceNumber[4];	/* Sequence Number */
		unsigned char ackNumber[4];	/* Acknowledgment Number */
		unsigned char tcpFlags[2];	/* Tcp offset */
		unsigned char windowSize[2];	/* Window Size */
		unsigned char tcpChksum[2];	/* TCP CheckSum */
		unsigned char urgentPointer[2];	/* TCP CheckSum */
		unsigned char tcpOptions[12];	/* TCP CheckSum */
		unsigned char data[255];
	public:
		// get ve set fonksiyonlari yazilacak 
};

class TcpHeader{
	public:
		unsigned char srcPort[2];	/* Source Port */
		unsigned char dstPort[2];	/* Destination Port */
		unsigned char sequenceNumber[4];	/* Sequence Number */
		unsigned char ackNumber[4];	/* Acknowledgment Number */
		unsigned char tcpFlags[2];	/* Tcp offset */
		unsigned char windowSize[2];	/* Window Size */
		unsigned char tcpChksum[2];	/* TCP CheckSum */
		unsigned char urgentPointer[2];	/* TCP CheckSum */
		//unsigned char tcpOptions[12];	/* TCP CheckSum */
		unsigned char tcpOptions[12]; //WE SHOUL CONSIDER THIS SINCE IT IS OPTIONAL
		unsigned char data[255];
	public:
		//get ve set fonksiyonlari yazilacak
};

#endif
