#ifndef MAX_HEAP_H_
#define MAX_HEAP_H_

#include <vector>
#include <iostream>

using namespace std;

//      #include "dsexceptions.h"
      
        // BinaryHeap class
        //
        // CONSTRUCTION: with an optional capacity (that defaults to 100)
        //
        // ******************PUBLIC OPERATIONS*********************
        // void insert( x )       --> Insert x
        // deleteMax( minItem )   --> Remove (and optionally return) smallest item
        // Comparable findMax( )  --> Return smallest item
        // bool isEmpty( )        --> Return true if empty; else false
        // bool isFull( )         --> Return true if full; else false
        // void makeEmpty( )      --> Remove all items
        // ******************ERRORS********************************
        // Throws Underflow and Overflow as warranted

        template <class Comparable>
        class MaxHeap
        {
          public:
            explicit MaxHeap();
		
	    vector<Comparable> sorted;
            bool isEmpty( ) const;
            bool isFull( ) const;
            const Comparable & findMax( ) const;
           // const string & findMax( ) const;
            void insert( const Comparable & x );
//            void insert( const string & x );
            void deleteMax( );
            Comparable deleteMax2(  );
//            void deleteMax( string & minItem );
            void makeEmpty( );
	    int getSize( );
	    void heapSort();
            vector<Comparable> array;        // The heap array
//            vector<string> array;        // The heap array


          private:
	    int  currentSize;  // Number of elements in heap
            void buildHeap( );
            void percolateDown( int hole );
        };

#define INCLUDE_SHEILD
#include "MaxHeap.cpp"
#undef INCLUDE_SHEILD
//#include "MaxHeap.cpp"
#endif

