#ifdef INCLUDE_SHEILD

#include "MinHeap.h"
#include <iostream>

using namespace std;


        /**
         * Construct the binary heap.
         * capacity is the capacity of the binary heap.
         */
        template <class Comparable>
        MinHeap<Comparable>::MinHeap()
//	: currentSize( 0 )
	//MinHeap::MinHeap(int a)
        {
		currentSize = 0;
		//array.resize(a);
        }

        /**
         * Insert item x into the priority queue, maintaining heap order.
         * Duplicates are allowed.
         * Throw Overflow if container is full.
         */
        template <class Comparable>
        int MinHeap<Comparable>::getSize()
	//int MinHeap::getSize()
        {
		return currentSize;
	}

        template <class Comparable>
        void MinHeap<Comparable>::insert( const Comparable & x )
	//void MinHeap::insert( const string & x )
        {
	
	    array.resize(currentSize + 2);

            if( isFull( ) )
	    {	
		//cout << "Token heap is full!" << endl;
		return;
	    }
		
	    //cout << currentSize;
                // Percolate up
		bool flag = false;
            int hole = ++currentSize;

	   

            for( ; hole > 1 /*&& x < array[ hole / 2 ]*/; hole /= 2 )
            {
		//cout << "hole " << hole;
		if(x < array.at(hole / 2 ))
			array[ hole ] = array[ hole / 2 ];
		else if (x == array[ hole / 2 ])
		{
			currentSize--;
			flag = true;
			break;
		}
		else if (x > array[ hole / 2 ])
			break;
	    }
		if(! flag)
		{
		        array[ hole ] = x;
		}


        }


//heapsort
        template <class Comparable>
        void MinHeap<Comparable>::heapSort( ){
		int myCurrentSize=currentSize;
		Comparable tmp;

		for(int i = 1; i < myCurrentSize + 1; i++)
		{	
			tmp=deleteMin2();
			
			
			//cout << "sorted: " << tmp;
			if(sorted.size() >= 1)
			{
				if(sorted.at(sorted.size() - 1)!=tmp){
//				kacyazdim++;
				sorted.push_back(tmp);
				}
			}
			
			else if(sorted.size() < 1)
			{
//				kacyazdim++
				sorted.push_back(tmp);
			}
		}
	}













        /**
         * Find the smallest item in the priority queue.
         * Return the smallest item, or throw Underflow if empty.
         */
        template <class Comparable>
        const Comparable & MinHeap<Comparable>::findMin( ) const
        //const string & MinHeap::findMin( ) const
        {
            if( isEmpty( ) )
	    {
		//cout << "Heap is empty!";
		//donmemeli...
	    }
            return array[ 1 ];
        }

        /**
         * Remove the smallest item from the priority queue.
         * Throw Underflow if empty.
         */
        template <class Comparable>
        void MinHeap<Comparable>::deleteMin( )
	//void MinHeap::deleteMin( )
        {
            if( isEmpty( ) )
	    {
		//cout << "Heap is empty!";
		//donmemeli...
	    }

            array[ 1 ] = array[ currentSize-- ];
            percolateDown( 1 );
        }

        /**
         * Remove the smallest item from the priority queue
         * and place it in minItem. Throw Underflow if empty.
         */
       template <class Comparable>
       Comparable MinHeap<Comparable>::deleteMin2()
	//void MaxHeap::deleteMax( string & minItem )
        {
	   Comparable minItem;
            if( isEmpty( ) )
	    {
		//cout << "Heap is empty!";
		//donmemeli...
	    }

            minItem = array[ 1 ];
            array[ 1 ] = array[ currentSize-- ];
            percolateDown( 1 );
  	    return minItem;
        }

        /**
         * Establish heap order property from an arbitrary
         * arrangement of items. Runs in linear time.
         */
        template <class Comparable>
        void MinHeap<Comparable>::buildHeap( )
	//void MinHeap::buildHeap( )
        {
            for( int i = currentSize / 2; i > 0; i-- )
                percolateDown( i );
        }

        /**
         * Test if the priority queue is logically empty.
         * Return true if empty, false otherwise.
         */
        template <class Comparable>
        bool MinHeap<Comparable>::isEmpty( ) const
	//bool MinHeap::isEmpty( ) const
        {
            return currentSize == 0;
        }

        /**
         * Test if the priority queue is logically full.
         * Return true if full, false otherwise.
         */
        template <class Comparable>
        bool MinHeap<Comparable>::isFull( ) const
	//bool MinHeap::isFull( ) const
        {
            return currentSize == array.size( ) - 1;
        }

        /**
         * Make the priority queue logically empty.
         */
        template <class Comparable>
        void MinHeap<Comparable>::makeEmpty( )
	//void MinHeap::makeEmpty( )
        {
            currentSize = 0;
        }

        /**
         * Internal method to percolate down in the heap.
         * hole is the index at which the percolate begins.
         */
        template <class Comparable>
        void MinHeap<Comparable>::percolateDown( int hole )
	//void MinHeap::percolateDown( int hole )
        {
/* 1*/      int child;
/* 2*/      string tmp = array[ hole ];

/* 3*/      for( ; hole * 2 <= currentSize; hole = child )
            {
/* 4*/          child = hole * 2;
/* 5*/          if( child != currentSize && array[ child + 1 ] < array[ child ] )
/* 6*/              child++;
/* 7*/          if( array[ child ] < tmp )
/* 8*/              array[ hole ] = array[ child ];
                else
/* 9*/              break;
            }
/*10*/      array[ hole ] = tmp;
        }

	
#endif
