#ifndef PROXY_H
#define PROXY_H

#include <stdio.h>
#include <sys/types.h>
#include <stdlib.h>
#include <ctype.h>
#include <string.h>
#include <signal.h>
#include <fcntl.h>
#include <errno.h>

#include <unistd.h>
#include <sys/time.h>
#include <sys/wait.h>
#include <sys/stat.h>
#include <sys/socket.h>
#include <sys/time.h>
#include <netdb.h>

#include <syslog.h>

#ifndef FD_ZERO
#include <select.h>
#endif

#ifdef DMALLOC
#include <dmalloc.h>
#endif

#include "Thread.h"
#include <time.h>
#include "Headers.h"
#include <vector>
#include <string>
#include <iostream>

//using namespace std;

#define SYSLOG_NAMES

#define VERSIONSMARTECH "NetCheck"
#define BANNER  "<strong>"VERSIONSMARTECH"</strong>"

#define MAXHOST 255
#define MAXPORT 32
#define MAXPATTERNS 255


#define MAXADDRESSES  32
#define NLOADERS 8
#define freez(X)        if(X) free(X); X = NULL
#define SZ(X)        (sizeof(X) / sizeof(*X))

#define UNDEF_PROTO 0
#define HTTP_PROTO 1
#define HTTPS_PROTO 2
#define FTP_PROTO 3

/** loaders icin define'lar */

#define ijb_toupper(__X) toupper((int)(unsigned char)(__X))
#define ijb_tolower(__X) tolower((int)(unsigned char)(__X))
#define ijb_isspace(__X) isspace((int)(unsigned char)(__X))

using namespace std;

struct gateway {
        char *forward_host;
        char *forward_port;
};



	struct iob {
	        char *buf;
	        char *cur;
	        char *eod;
	};
	
	struct http_request {
	        char *cmd;
	        char *gpc;
        	char *host;
	        char *port;
	        char *path;
	        char *ver;
	        char *hostport; /* "host[:port]" */
	        int   ssl;
	        int proto;
	};

	struct list {
	        char *str;
	        struct list *last;
	        struct list *next;
	};
	
	class client_state {
        	
		public:
		int  cfd;
	        int  sfd;
	
	        struct gateway gw[1];
	        struct http_request http[1];
	        struct iob iob[1];
	        struct list headers[1];
	        /* files associated with this client */
	        struct file_list *flist;

	        struct client_state *next;
	};
	
	struct url_spec {
	        char  *spec;
	        char  *domain;
	        char  *dbuf;
        char **dvec;
	        int    dcnt;
	        int    toplevel;
	        int    proto;
	        char *path;
	        int   pathlen;
	        char *port;
	};
	
	struct file_list {
	        void *f; /* this is a pointer to the data structures
	                  * associated with the file
	                  */
	        void (*unloader)();
	        int active;
	        struct file_list *next;
	};
	
	struct forward_spec {
	        struct url_spec url[1];
	        struct gateway gw[1];
	        struct forward_spec *next;
	};


class Proxy:public Thread{


	public:


		Proxy();
		
		void Tokenize(const string& str, vector<string>& tokens, const string& delimiters = " ");
		void parseAcceptEncoding(char **header,bool *acceptEncodingFlag);   
		void chat (struct client_state * csp,char *);
		void serve (struct client_state *csp,char *);
		int flush_socket (int fd, struct client_state * csp);
		
		//Overwrites the execute function, responsible for catching packets
		virtual void execute(void *);
		
		struct tm *current;
		time_t ntime;
		
	private:

	
	/*
			char CFAIL[]; = "HTTP/1.0 503 Connect failed\r\n"
	"Content-Type: text/html\r\n\r\n"
	"<html>\r\n"
"<head>\r\n"
"<title>WWW6to4 Proxy: Connect failed</title>\r\n"
"</head>\r\n"
"<body>\r\n"
"<h1><center>"
BANNER
"</center></h1>\r\n"
"TCP connection to '%s' failed: %s.\r\n<br>"
"</body>\r\n"
"</html>\r\n";

char CNXDOM[];  = "HTTP/1.0 404 Non-existent domain\r\n"
"Content-Type: text/html\r\n\r\n"
"<html>\r\n"
"<head>\r\n"
"<title>WWW6to4 Proxy: Non-existent domain</title>\r\n"
"</head>\r\n"
"<body>\r\n"
"<h1><center>"
BANNER
"</center></h1>\r\n"
"No such domain: %s\r\n"
"</body>\r\n"
"</html>\r\n";

		char CHEADER[] = "HTTP/1.0 400 Invalid header received from browser\r\n\r\n";
		char SHEADER[] = "HTTP/1.0 502 Invalid header received from server\r\n\r\n";
		char CSUCCEED[] = "HTTP/1.0 200 Connection established\r\n"
					"Proxy-Agent: WWW6to4/" "\r\n\r\n";
		

*/
};

#endif
