#include "Thread.h"
#include <iostream>
#include <errno.h>
#include <unistd.h>
#include <sys/socket.h>
#include <sys/types.h>
#include <linux/if_ether.h>
#include <stdlib.h>
#include <string.h>
#include <time.h>
#include <pthread.h>
//#include <libpq-fe.h>
using namespace std;


Thread::Thread(int id)
{
	pthread_attr_init(&attr);
	pthread_attr_setdetachstate(&attr, PTHREAD_CREATE_JOINABLE);
	this->id=id;
}

Thread::Thread()
{
	pthread_attr_init(&attr);
	pthread_attr_setdetachstate(&attr, PTHREAD_CREATE_JOINABLE);
}

int Thread::run(void *pthis){
	//setup(pthis);
	((Thread *)pthis)->execute(pthis); //Function to be overwritten
}


void Thread::setup(void *pthis){}

void Thread::execute(void *pthis){
	while(1)
	{
		//cout<<"thread "<<((Thread *)pthis)->id<<endl;
		usleep(400);	
	}

	//pthread_exit(NULL);
	pthread_attr_destroy(&attr);
}

int Thread::start(void * arg) {

	if(!pthread_create(&threadID,&attr,Thread::entryPoint,arg)){
		
		return 0;
	}
	else 
	{
		//cout<<"Error: Cannot create the thread"<<endl;
		return -1;
	}

}

void * Thread::entryPoint(void *pthis){

	Thread *p=(Thread *) pthis;
	p->run(pthis);

}


