#include <iostream>
#include <vector>
#include <string>
#include <errno.h>
#include <unistd.h>
#include <sys/socket.h>
#include <sys/types.h>
#include <linux/if_ether.h>
#include <stdlib.h>
#include <string.h>
#include <time.h>
#include <pthread.h>
#include <libpq-fe.h>
#include <fstream>

using namespace std;


// seems to work with BCC5.6/STLPort
string stringToUpper2(string str) {
for(size_t i = 0, len = str.size(); i < len; ++i)
str[i] = std::toupper(str[i]);
return str;
}


//bayesian filter members
class occurence{
			public:
				string word;
				int spamFrequency;
				int hamFrequency;

				occurence(string str){
					word = str;
					spamFrequency=0;
					hamFrequency=0;					
				}
				occurence(const occurence &rhs){
					this->word=rhs.word;
					this->spamFrequency=rhs.spamFrequency;
					this->hamFrequency=rhs.hamFrequency;
				}
				occurence & operator=(const occurence &rhs){
					if(this!=&rhs){
						this->word=rhs.word;
						this->spamFrequency=rhs.spamFrequency;
						this->hamFrequency=rhs.hamFrequency;
					}
					return *this;
				

				}
				

		};
				
		
	
		string tmpword;
		int tmpSpamOccurence, tmpHamOccurence;
		int dbSpamOccurence, dbHamOccurence;
		int dbOfBlockedSites, dbOfUnblockedSites;
		int newlyBlockedSites, newlyUnblockedSites;
		string newSite;

vector<occurence> bayesianLearn;
vector<string> bayesianSiteList;
int countOfBlockedSites;
int countOfUnblockedSites;

void clear() {
	bayesianLearn.clear();
	countOfBlockedSites = 0;
	countOfUnblockedSites = 0;
}

void parseHTML(const string& str,
			vector<string>& tokens,
                      const string& delimiters = " =-\t\n.?,!/)({}[]@|;:\"\r<>")
{
	string newString;
	string tagDelimiters = " =-\t\n.?,!/)({}[]@|;:\"\r>";
    // Skip delimiters at beginning.
    string::size_type lastPos = str.find_first_not_of(tagDelimiters, 0);
    // Find first "non-delimiter".
    string::size_type pos = str.find_first_of(delimiters, lastPos);

	//taglari atmak icin
	while((string::npos != pos || string::npos != lastPos) && str.at(lastPos)=='<')
	{
		// Skip delimiters.  Note the "not_of"
	        pos = str.find_first_of(">", lastPos);
        	lastPos = str.find_first_not_of(tagDelimiters, pos);
	        // Find next "non-delimiter"
	        pos = str.find_first_of(delimiters, lastPos);
	}


    while (string::npos != pos || string::npos != lastPos)
    {
        // Found a token, add it to the vector.
	



	
//	cout << str.substr(lastPos, pos - lastPos) << endl;
//exclude!!!!!!!!!!!
/*

Done				1
Ham words: 
1Kbytes				49
Read				45


*/        

newString = str.substr(lastPos, pos - lastPos);
	/** BUrada InsertionSort islemi cok hizlandirir **/
//if (newString.find())

//newString = trim(newString);
	
if (newString != "" && newString != " " && newString != "\n" && newString != "\t" && newString != "\r" && newString != "Done" 
&& newString != "1Kbytes" && newString != "Read"
&& newString.at(0) != '&'
&& newString.at(0) != '+'
&& newString.at(0) != '#'
&& newString.at(0) != '$'
)



{
	tokens.push_back(newString);
        //cout<< newString <<endl;
}


        	lastPos = str.find_first_not_of(tagDelimiters, pos);
	        // Find next "non-delimiter"
	        pos = str.find_first_of(delimiters, lastPos);


	while((string::npos != pos || string::npos != lastPos) && str.at(lastPos)=='<')
	{
		// Skip delimiters.  Note the "not_of"
	        pos = str.find_first_of(">", lastPos);
        	lastPos = str.find_first_not_of(tagDelimiters, pos);
	        // Find next "non-delimiter"
	        pos = str.find_first_not_of(delimiters, lastPos);
	}

    }
//burasi eksik gibi. < kontrolune 
//	exit(0);
}


void Tokenize(const string& str,
                      vector<string>& tokens, /*\t\n.?,!/)({}[]@|;\"<>*/
                      const string& delimiters = " ='-\t\n.?,!/)({}[]@|;:\"<>\r:#%+\\")
{
    // Skip delimiters at beginning.
    string::size_type lastPos = str.find_first_not_of(delimiters, 0);
    // Find first "non-delimiter".
    string::size_type pos = str.find_first_of(delimiters, lastPos);

    while (string::npos != pos || string::npos != lastPos)
    {
        // Found a token, add it to the vector.
	//cout << str.substr(lastPos, pos - lastPos) << endl;
        tokens.push_back(str.substr(lastPos, pos - lastPos));
        // Skip delimiters.  Note the "not_of"
        lastPos = str.find_first_not_of(delimiters, pos);
        // Find next "non-delimiter"
        pos = str.find_first_of(delimiters, lastPos);
    }
}



void parseContent(string htmlText, bool isSiteBlocked){
	vector<string> tokens;
	bool tokenExists;

	//bu locku baesianlearningthrad'e tasidim -- hande
	//pthread_mutex_lock(&(Globals::mutexBayesianLearn));

	if(isSiteBlocked)
		countOfBlockedSites++;
	else
		countOfUnblockedSites++;


//	Tokenize(htmlText,tokens); 
	parseHTML(htmlText,tokens); 
//	cout<<tokens[0]<<endl;
	for(int i=0;i<tokens.size();i++)
 	{	
		//tokens[i] = 
//		cout<<tokens[i]<<endl;
		tokens[i] = string(tokens[i], tokens[i].find_first_not_of(" -=\t\n.?,!/)({}[]@|;\"<>"), tokens[i].find_last_not_of(" -=\t\n.?,!/)({}[]@|;\"<>") + 1);

		tokenExists = false;
		for(int j=0;j<bayesianLearn.size();j++)
		{		
			if(bayesianLearn.at(j).word == tokens[i])
			{
				if(isSiteBlocked)
					bayesianLearn.at(j).spamFrequency++;
				else
					bayesianLearn.at(j).hamFrequency++;
				tokenExists = true;
			}
		}

		if(tokenExists == false)
		{
			occurence newToken(tokens[i]);
			if(isSiteBlocked)
				newToken.spamFrequency = 1;
			else
				newToken.hamFrequency = 1;
			bayesianLearn.push_back(newToken);
		}
	
	}

/*
		for(int j=0;j<bayesianLearn.size();j++)
		{		
			cout << "Word:\t" << bayesianLearn.at(j).word << endl;
			if(isSiteBlocked)
 				cout << "Occurence:\t" << bayesianLearn.at(j).spamFrequency << endl << endl;
			else
 				cout << "Occurence:\t" << bayesianLearn.at(j).hamFrequency << endl << endl;

		}
*/
}




void toDatabase()
{

struct tm *current;
	time_t ntime=time(NULL);
	int inMinute;
	int arrivalInMinute;
	
	PGresult *result; 
	PGconn *connection;
	char query[1000000];
			
	const char *pghost;
	const char *pgport;
	const char *pgoptions;
	const char *pgtty;
	const char *dbname;	
	const char *login;
	const char *pwd;
	
	pghost="localhost";
	pgport="5432";
	pgoptions=NULL;
	pgtty=NULL;
	dbname="filiz";
	login="postgres";
	pwd="postgres";
	char tmpString[10];

	connection = PQsetdbLogin(pghost,pgport,pgoptions,pgtty,dbname,login,pwd);

	if (PQstatus(connection) != CONNECTION_OK){
		printf("Baglanti Hatasi. %s",PQerrorMessage(connection));
		PQfinish(connection);
		exit(1);
	}
	

/*
		//bu gecici olarak kaldirildi		
		result=PQexec(connection,"Select * from BayesianSiteList");
		for (int i=0;i<PQntuples(result);i++){
			if (PQgetvalue(result,i,PQfnumber(result,"isBlocked")) == true)
				newSite = "Y";
			if (PQgetvalue(result,i,PQfnumber(result,"isBlocked")) == false)
				newSite = "N";
			newSite += PQgetvalue(result,i,PQfnumber(result,"site"));
			bayesianSiteList.push_back(newSite);
			}
		
		result=PQexec(connection,"Delete * from BayesianSiteList");
		
*/

		
		
		


//ziyaret edilen sayfa sayilarinin update edilmesi..........
		newlyBlockedSites = countOfBlockedSites;
		newlyUnblockedSites = countOfUnblockedSites;
		
		result=PQexec(connection,"Select occurence from BayesBlocked where word = 'countOfBlockedSites'");
		dbOfBlockedSites = atoi(PQgetvalue(result,0,PQfnumber(result,"occurence")));
	
		result=PQexec(connection,"Select occurence from BayesUnblocked where word = 'countOfUnblockedSites'");
		dbOfUnblockedSites = atoi(PQgetvalue(result,0,PQfnumber(result,"occurence")));
		
		dbOfBlockedSites += newlyBlockedSites;
		dbOfUnblockedSites += newlyUnblockedSites;

		string connstr;
		connstr = "Update BayesBlocked set occurence = ";
		sprintf(tmpString,"%d",dbOfBlockedSites);
		connstr +=tmpString;
		connstr += " where word = 'countOfBlockedSites'";
		result=PQexec(connection,connstr.c_str());
		connstr = "Update BayesUnblocked set occurence = ";
		sprintf(tmpString,"%d",dbOfUnblockedSites);
		connstr +=tmpString;
		connstr += " where word = 'countOfUnblockedSites'";
		result=PQexec(connection,connstr.c_str());



		for(int i=0; i< bayesianLearn.size(); i++){
				tmpword = stringToUpper2(bayesianLearn.at(i).word);
				tmpSpamOccurence = bayesianLearn.at(i).spamFrequency;
				tmpHamOccurence = bayesianLearn.at(i).hamFrequency;


//o kelime db de yoksa!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! bastan olusturulmali resultin bos gelmesini kontrol edelim
	
				if(tmpSpamOccurence != 0)
				{
					connstr = "Select occurence from BayesBlocked where word = '";
					connstr += tmpword;
					connstr +="'";

					result=PQexec(connection,connstr.c_str());
					if (PQntuples(result) == 0)
					{
						dbSpamOccurence = tmpSpamOccurence;
						connstr = "Insert into BayesBlocked values (";
						sprintf(tmpString,"%d",dbSpamOccurence);
						connstr +=tmpString;
						connstr += ",'";
						connstr += tmpword;
						connstr += "')";
						
						
						result=PQexec(connection, connstr.c_str());

					}
					else
					{
						dbSpamOccurence = atoi(PQgetvalue(result,0,PQfnumber(result,"occurence")));
						dbSpamOccurence += tmpSpamOccurence;
						connstr = "Update BayesBlocked set occurence = ";
						sprintf(tmpString,"%d",dbSpamOccurence);
						connstr +=tmpString;
						connstr += " where word = '";
						connstr += tmpword;
						connstr +="'";
						result=PQexec(connection,connstr.c_str());
					}
					
				}

				if(tmpHamOccurence != 0)
				{

					connstr = "Select occurence from BayesUnblocked where word = '";
					connstr += tmpword;
					connstr +="'";
					result=PQexec(connection,connstr.c_str());
					if (PQntuples(result) == 0)
					{
						dbHamOccurence = tmpHamOccurence;
						connstr = "Insert into BayesUnblocked values ('";
						sprintf(tmpString,"%d",dbHamOccurence);
						connstr +=tmpString;
						connstr += "','";
						connstr += tmpword;
						connstr += "')";
						
						result=PQexec(connection, connstr.c_str());
					}
					else
					{
						dbHamOccurence = atoi(PQgetvalue(result,0,PQfnumber(result,"occurence")));
						dbHamOccurence += tmpHamOccurence;
						connstr = "Update BayesUnblocked set occurence = ";
						sprintf(tmpString,"%d",dbHamOccurence);
						connstr +=tmpString;
						connstr += " where word = '";
						connstr += tmpword;
						connstr +="'";
						result=PQexec(connection,connstr.c_str());
					}
				
				}
		
		}

			
		//clear the bayesian array, which is now completely recorded to the DB...
		clear();

}


int Learn(string requestText, bool isSiteBlocked) {
bayesianLearn.clear();
bayesianSiteList.clear();
countOfBlockedSites = 0;
countOfUnblockedSites = 0;
string /*requestText,*/ tmp;
/*ifstream readfile("LearnText.txt");
requestText = "";

for(;readfile >> tmp;)
{
	requestText += tmp + " ";
}
*/
//cout << isSiteBlocked << endl;
//cout << requestText;

//		Globals::requestText = "";
//		tmp = Globals::bayesianSiteList.at(i);

//		site = tmp.substr(1);
/*		if (tmp.find("Y", 0) == 0) //blocked!!
			isSiteBlocked = true;
		else if (tmp.find("N", 0) == 0) //unblocked!!
			isSiteBlocked = false;
*/
//		else //kontrol icin
//			continue;
//		cout << "Site is " << site << endl;
//		cout << "isSiteBlocked: " << isSiteBlocked << endl;
//		getText(site);
		

		parseContent(requestText, isSiteBlocked);

		toDatabase();
		return 0;
}


/*------string fonksiyonlari -------------*/
string chop(string arg) {  // removes a char from the end

    string returnString;	
    int sl = arg.length();
    char *data = strdup(arg.c_str());
    if (sl < 1) return "";  // can't have -ve String length
    char* temp = new char[sl];
    memcpy(temp, data, sl - 1);
    delete[] data;
    data = temp;
    sl -= 1;
    data[sl] = '\0';
    returnString=data;

    return returnString;
}


string lop(string arg) {  // removes a char from the begining

    string returnString;	
    int sl = arg.length();
    if (sl < 1) return "";  // can't have -ve String length
    char *data = strdup(arg.c_str());
    char* temp = new char[sl];
    memcpy(temp, data + 1, sl - 1);
    delete[] data;
    data = temp;
    sl -= 1;
    data[sl] = '\0';

    returnString=data;
    return returnString;;
}

string trim(string arg) {

    
    int sl = arg.length();
    if (arg.length() < 1) return arg;  // nothing to remove
    while((unsigned char)arg.c_str()[sl - 1] < 33 && sl > 0) {
        arg = chop(arg);
    }
    while((unsigned char)arg.c_str()[0] < 33 && sl > 0) {
        arg = lop(arg);
    }
	return arg;
}

